GNU bug report logs - #36747
Official MesCC bootstrap binaries differ from my locally built ones

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: serious; Reported by: Mark H Weaver <mhw@HIDDEN>; dated Sat, 20 Jul 2019 22:46:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 24 Aug 2019 20:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 16:35:02 2019
Received: from localhost ([127.0.0.1]:43325 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1ckX-0002LE-Il
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 16:35:02 -0400
Received: from world.peace.net ([64.112.178.59]:41196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1i1ckW-0002Kw-Ba
 for 36747 <at> debbugs.gnu.org; Sat, 24 Aug 2019 16:35:00 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1i1ckV-0000dI-7g; Sat, 24 Aug 2019 16:34:59 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <874l26y9j0.fsf@HIDDEN>
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <874l26y9j0.fsf@HIDDEN>
Date: Sat, 24 Aug 2019 16:34:20 -0400
Message-ID: <87d0guuwt4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: Marius Bakke <mbakke@HIDDEN>, 36747 <at> debbugs.gnu.org,
 Jan Nieuwenhuizen <janneke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
> I don=E2=80=99t think we explicitly discussed it, but my assumption is th=
at
> we=E2=80=99re delaying merging of =E2=80=98core-updates=E2=80=99 into =E2=
=80=98master=E2=80=99 until
> =E2=80=98core-updates-next=E2=80=99 becomes =E2=80=98core-updates=E2=80=
=99.  Is this what you had in
> mind?  (I=E2=80=99m asking because =E2=80=98core-updates=E2=80=99 was alm=
ost entirely built
> IIRC.)

My preference would be to merge 'core-updates-next' into 'core-updates',
or equivalently, to apply the following 3 commits to 'core-updates':

--8<---------------cut here---------------start------------->8---
commit d4bc93abe59e8ffcb8304050c05e727fe0230651
Author: Mark H Weaver <mhw@HIDDEN>
Date:   Thu Aug 15 15:39:30 2019 -0400

  gnu: bootstrap: Update to the 20190815 bootstrap binaries.
=20=20
  * gnu/packages/bootstrap.scm (%bootstrap-linux-libre-headers): Update the
  download URL.
  (%bootstrap-mescc-tools, %bootstrap-mes): Update the download URL and has=
h.

commit 82eaac49ac983f28768d6623d802f41cbd7f779b
Author: Mark H Weaver <mhw@HIDDEN>
Date:   Thu Aug 15 16:44:36 2019 -0400

  gnu: bash: Unconditionally configure PGRP_PIPE for *-linux systems.
=20=20
  * gnu/packages/patches/bash-linux-pgrp-pipe.patch: New file.
  * gnu/local.mk (dist_patch_DATA): Add it.
  * gnu/packages/bash.scm (bash)[source]: Add the patch.

commit 47fcdfac44c5bf236299679781133468be6f0207
Author: Ludovic Court=C3=A8s <ludo@HIDDEN>
Date:   Thu Aug 22 11:47:27 2019 +0200

  gnu: bootstrap: Add ftp.gnu.org to '%bootstrap-base-urls'.
=20=20
  * gnu/packages/bootstrap.scm (%bootstrap-base-urls): Add
  ftp.gnu.org/gnu/guix/bootstrap.
--8<---------------cut here---------------end--------------->8---

These commits are the only difference between 'core-updates' and
'core-updates-next'.

I'm confident that this will make no difference to the set of packages
that build successfully, modulo non-determistic build failures.  The
only additional time it should require is the time needed for Berlin to
rebuild the branch.

Otherwise, 'core-updates-next' seems to be in good shape, and possibly
almost ready to merge into 'master'.  I admit that this assessment is
based solely on the fact that I'm currently using it on my own machine,
and it works well.  Without Hydra's interface for comparing evaluations,
I'm mostly blind to the status of the branch beyond of the set of
packages I use myself.

In my opinion, 'core-updates' in its current form should never be merged
into 'master', because it's built upon non-deterministic bootstrap
tarballs that cannot be independently verified.

What do you think?

> Also, what=E2=80=99s the next step for =E2=80=98wip-binaries=E2=80=99?

Good question!  First, I think we should tag it with a name that
indicates that it was used to build the 20190815 bootstrap binaries.

Optionally, I would advocate merging 'wip-binaries' into 'master'.

What do you think?

      Thanks,
        Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 24 Aug 2019 13:31:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 24 09:31:57 2019
Received: from localhost ([127.0.0.1]:41685 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i1W96-0000Kw-Na
	for submit <at> debbugs.gnu.org; Sat, 24 Aug 2019 09:31:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:36827)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i1W95-0000G0-AL
 for 36747 <at> debbugs.gnu.org; Sat, 24 Aug 2019 09:31:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33951)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i1W90-00082i-4m; Sat, 24 Aug 2019 09:31:50 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=56126 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i1W8z-0004jV-8A; Sat, 24 Aug 2019 09:31:49 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
Date: Sat, 24 Aug 2019 15:31:47 +0200
In-Reply-To: <87woffh66h.fsf@HIDDEN> (Marius Bakke's message of "Wed, 14 Aug
 2019 21:56:38 +0200")
Message-ID: <874l26y9j0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: Mark H Weaver <mhw@HIDDEN>, 36747 <at> debbugs.gnu.org,
 Jan Nieuwenhuizen <janneke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Marius Bakke <mbakke@HIDDEN> skribis:

> Mark H Weaver <mhw@HIDDEN> writes:

[...]

>> I think what needs to be done is the following:
>>
>> (1) commit 78ced7975b0665e810834391d826c9f0ef7277e1 on 'wip-binaries'
>>     should be reverted, to downgrade mescc-tools to the 0.5.2 release.
>>
>> (2) The 'wip-binaries' tarballs should be uploaded to a new subdirectory
>>     of <https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/>, along
>>     with digital signatures, of course.  I'm talking about these in
>>     particular:
>>
>>     3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  gu=
ile-static-stripped-2.2.4-i686-linux.tar.xz
>>     1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  li=
nux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>>     021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  me=
scc-tools-static-stripped-0.5.2-i686-linux.tar.xz
>>     fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  me=
s-minimal-stripped-0.19-i686-linux.tar.xz
>>     c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  st=
atic-binaries-0-i686-linux.tar.xz
>>
>> (3) The following bootstrap packages in 'core-updates' bootstrap.scm
>>     should be updated to use the new binaries above:
>>
>>      (a) %bootstrap-linux-libre-headers
>>      (b) %bootstrap-mescc-tools
>>      (c) %bootstrap-mes
>>
>> (4) Berlin should start rebuilding 'core-updates'.
>>
>> If desired, steps (3) and (4) could come before (2) if someone
>> temporarily uploads the new binaries somewhere else, and adjusts
>> '%bootstrap-base-urls' accordingly.  The key is for the hashes and file
>> names to match what we've agreed on here, as I listed in (2) above.
>>
>> What do you think?
>
> Thank you for the excellent summary.  I can look into adjusting the bash
> fix for 5.0, and updating the bootstrap binary URLs and hashes.  I will
> do this in a 'core-updates-next' branch.  I would also like to merge
> wip-binaries into it as a final step, unless someone has objections.

I don=E2=80=99t think we explicitly discussed it, but my assumption is that
we=E2=80=99re delaying merging of =E2=80=98core-updates=E2=80=99 into =E2=
=80=98master=E2=80=99 until
=E2=80=98core-updates-next=E2=80=99 becomes =E2=80=98core-updates=E2=80=99.=
  Is this what you had in
mind?  (I=E2=80=99m asking because =E2=80=98core-updates=E2=80=99 was almos=
t entirely built
IIRC.)

Also, what=E2=80=99s the next step for =E2=80=98wip-binaries=E2=80=99?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 22 Aug 2019 10:09:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 22 06:09:35 2019
Received: from localhost ([127.0.0.1]:37004 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0k2A-0004F0-SD
	for submit <at> debbugs.gnu.org; Thu, 22 Aug 2019 06:09:35 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49399)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i0k27-0004El-Iq
 for 36747 <at> debbugs.gnu.org; Thu, 22 Aug 2019 06:09:33 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36760)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i0k22-00026n-7B; Thu, 22 Aug 2019 06:09:26 -0400
Received: from [2001:660:6102:320:e120:2c8f:8909:cdfe] (port=51674 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i0k21-0005Tw-Oo; Thu, 22 Aug 2019 06:09:25 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87o90pgzak.fsf@HIDDEN> <87mug9cagh.fsf@HIDDEN>
 <87ftlujj1f.fsf@HIDDEN> <87r25e2kjz.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 22 Aug 2019 12:09:23 +0200
In-Reply-To: <87r25e2kjz.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 21
 Aug 2019 18:57:25 -0400")
Message-ID: <87imqpqzos.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Mark H Weaver <mhw@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> writes:
>
>> Mark H Weaver <mhw@HIDDEN> skribis:
>>
>>> You can reproduce them with the following command from a git checkout at
>>> commit 9e6256ba0f32ab12d61c914a3fed879dac881762, which is the tip of the
>>> 'wip-binaries' branch, based on recent 'master':
>>>
>>>   ./pre-inst-env guix build --system=3Di686-linux bootstrap-tarballs
>>>
>>> mhw@jojen ~/guix-wip-binaries$ git describe
>>> v1.0.1-2479-g9e6256ba0f
>>> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=3Di68=
6-linux bootstrap-tarballs
>>> /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
>>> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40h=
p23rbi-bootstrap-tarballs-0
>>> mhw@jojen /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarball=
s-0$ sha256sum *
>>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile=
-static-stripped-2.2.4-i686-linux.tar.xz
>>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux=
-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc=
-tools-static-stripped-0.5.2-i686-linux.tar.xz
>>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-m=
inimal-stripped-0.19-i686-linux.tar.xz
>>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  stati=
c-binaries-0-i686-linux.tar.xz
>>>
>>> Do you get the same results?
>>
>> I built it on bayfront and got the exact same result:
>
> I'm glad to hear it!  Marius and Janneke got these exact results as
> well, albeit at a different commit which should be equivalent.

Great.

>> (I=E2=80=99m actually surprised Guile is 100% reproducible; ISTR there w=
ere
>> still issues with gensyms in .go files, but maybe I=E2=80=99m wrong.)
>
> It's apparently not reproducible unless built sequentially.  I did some
> preliminary investigation, and my guess is that the gensyms produced by
> Guile's compiler sometimes depends on whether dependent modules were
> previously compiled or not.

I see.

>> So, green light, right?
>
> Yes!
>
>>> To match what 'core-updates-next' expects, it would be good to upload
>>> the files above, along with digital signatures, to the following new
>>> directory:
>>>
>>>   https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/20190815/
>>
>> Unless you disagree, I=E2=80=99ll upload these to ftp.gnu.org (not
>> alpha.gnu.org, but same directory as you wrote) tomorrow.
>
> That's fine, although I guess %bootstrap-base-urls will need to be
> extended to include the new base URL.

Uploaded to
<https://ftp.gnu.org/gnu/guix/bootstrap/i686-linux/20190815/>.  I
adjusted =E2=80=98%bootstrap-base-urls=E2=80=99 and the branch is now being=
 evaluated
for real:

  https://ci.guix.gnu.org/jobset/core-updates-next

Thanks everyone for verifying and =E2=80=9Cfixing=E2=80=9D these bootstrap =
binaries, and
apologies for delaying the process!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 21 Aug 2019 22:58:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 21 18:58:05 2019
Received: from localhost ([127.0.0.1]:36775 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0ZYL-00045m-9u
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 18:58:05 -0400
Received: from world.peace.net ([64.112.178.59]:59388)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1i0ZYK-00045e-6a
 for 36747 <at> debbugs.gnu.org; Wed, 21 Aug 2019 18:58:04 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1i0ZYJ-0005OW-1P; Wed, 21 Aug 2019 18:58:03 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87o90pgzak.fsf@HIDDEN> <87mug9cagh.fsf@HIDDEN>
 <87ftlujj1f.fsf@HIDDEN>
Date: Wed, 21 Aug 2019 18:57:25 -0400
In-Reply-To: <87ftlujj1f.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Wed, 21 Aug 2019 23:38:36 +0200")
Message-ID: <87r25e2kjz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> You can reproduce them with the following command from a git checkout at
>> commit 9e6256ba0f32ab12d61c914a3fed879dac881762, which is the tip of the
>> 'wip-binaries' branch, based on recent 'master':
>>
>>   ./pre-inst-env guix build --system=3Di686-linux bootstrap-tarballs
>>
>> mhw@jojen ~/guix-wip-binaries$ git describe
>> v1.0.1-2479-g9e6256ba0f
>> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=3Di686=
-linux bootstrap-tarballs
>> /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
>> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp=
23rbi-bootstrap-tarballs-0
>> mhw@jojen /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs=
-0$ sha256sum *
>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-=
static-stripped-2.2.4-i686-linux.tar.xz
>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-=
libre-headers-stripped-4.14.67-i686-linux.tar.xz
>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-=
tools-static-stripped-0.5.2-i686-linux.tar.xz
>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-mi=
nimal-stripped-0.19-i686-linux.tar.xz
>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static=
-binaries-0-i686-linux.tar.xz
>>
>> Do you get the same results?
>
> I built it on bayfront and got the exact same result:

I'm glad to hear it!  Marius and Janneke got these exact results as
well, albeit at a different commit which should be equivalent.

> (I=E2=80=99m actually surprised Guile is 100% reproducible; ISTR there we=
re
> still issues with gensyms in .go files, but maybe I=E2=80=99m wrong.)

It's apparently not reproducible unless built sequentially.  I did some
preliminary investigation, and my guess is that the gensyms produced by
Guile's compiler sometimes depends on whether dependent modules were
previously compiled or not.

> So, green light, right?

Yes!

>> To match what 'core-updates-next' expects, it would be good to upload
>> the files above, along with digital signatures, to the following new
>> directory:
>>
>>   https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/20190815/
>
> Unless you disagree, I=E2=80=99ll upload these to ftp.gnu.org (not
> alpha.gnu.org, but same directory as you wrote) tomorrow.

That's fine, although I guess %bootstrap-base-urls will need to be
extended to include the new base URL.

    Thank you!
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 21 Aug 2019 21:38:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 21 17:38:46 2019
Received: from localhost ([127.0.0.1]:36672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0YJa-0006J1-Bd
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 17:38:46 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1i0YJY-0006Ic-Nt
 for 36747 <at> debbugs.gnu.org; Wed, 21 Aug 2019 17:38:45 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:55233)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1i0YJT-0002Wc-Ff; Wed, 21 Aug 2019 17:38:39 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55434 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1i0YJT-0001IL-0g; Wed, 21 Aug 2019 17:38:39 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87o90pgzak.fsf@HIDDEN> <87mug9cagh.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 4 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Wed, 21 Aug 2019 23:38:36 +0200
In-Reply-To: <87mug9cagh.fsf@HIDDEN> (Mark H. Weaver's message of "Fri, 16
 Aug 2019 12:59:31 -0400")
Message-ID: <87ftlujj1f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha256; protocol="application/pgp-signature"
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: Marius Bakke <mbakke@HIDDEN>, 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> You can reproduce them with the following command from a git checkout at
> commit 9e6256ba0f32ab12d61c914a3fed879dac881762, which is the tip of the
> 'wip-binaries' branch, based on recent 'master':
>
>   ./pre-inst-env guix build --system=3Di686-linux bootstrap-tarballs
>
> mhw@jojen ~/guix-wip-binaries$ git describe
> v1.0.1-2479-g9e6256ba0f
> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=3Di686-=
linux bootstrap-tarballs
> /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp2=
3rbi-bootstrap-tarballs-0
> mhw@jojen /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-=
0$ sha256sum *
> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-s=
tatic-stripped-2.2.4-i686-linux.tar.xz
> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-l=
ibre-headers-stripped-4.14.67-i686-linux.tar.xz
> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-t=
ools-static-stripped-0.5.2-i686-linux.tar.xz
> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-min=
imal-stripped-0.19-i686-linux.tar.xz
> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-=
binaries-0-i686-linux.tar.xz
>
> Do you get the same results?

I built it on bayfront and got the exact same result:

=2D-8<---------------cut here---------------start------------->8---
ludo@bayfront ~$ ./wip-binaries/bin/guix describe
Generation 1    Aug 18 2019 12:04:54    (current)
  guix 9e6256b
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: wip-binaries
    commit: 9e6256ba0f32ab12d61c914a3fed879dac881762
ludo@bayfront ~$ ./wip-binaries/bin/guix build -s i686-linux bootstrap-tarb=
alls
/gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
ludo@bayfront ~$ (cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-=
tarballs-0 ; sha256sum *)
3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-sta=
tic-stripped-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-lib=
re-headers-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-too=
ls-static-stripped-0.5.2-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minim=
al-stripped-0.19-i686-linux.tar.xz
c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-bi=
naries-0-i686-linux.tar.xz
=2D-8<---------------cut here---------------end--------------->8---

(I=E2=80=99m actually surprised Guile is 100% reproducible; ISTR there were
still issues with gensyms in .go files, but maybe I=E2=80=99m wrong.)

So, green light, right?

> To match what 'core-updates-next' expects, it would be good to upload
> the files above, along with digital signatures, to the following new
> directory:
>
>   https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/20190815/

Unless you disagree, I=E2=80=99ll upload these to ftp.gnu.org (not
alpha.gnu.org, but same directory as you wrote) tomorrow.

Thank you, and apologies for the delay!

Ludo=E2=80=99.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCAAdFiEEPORkVYqE/cadtAz7CQsRmT2a67UFAl1dudwACgkQCQsRmT2a
67UEFw/+JpMswWacGUdW2eZmneP4Py+X3piQleclGmPDX8WqV2HiAMb4Be0JhdVW
wWEf7iWMC4PEr/MPm9mRfA26OfqKTMYL7qkI4GCIckLg3Bttz+PtcZ9j4Ywg7Ibe
QLDOsnoeHCotSvcCOMEmTAuVHenc9tZFQ02iePXzVFxXyw+3oN7jRZ8Dxjsha1pf
6nZBXidOmOX1uX7Aa7tOqSwNNmDUHPlkhyo8ARiEsGqgNs1X+gsEtbG6RT/1Yw+1
5+OOgdwku74N/0k6bLRj8FzM2uynEYgXzQmwNcY4UM8croNlNe0QwUWLZ8hF2VnM
6nn2fn5PIpW1bXZDMRpz68Rwc/qWfbeEGDym4lqj1xHEhNAZpn/UTCRcFmNXPOH2
PVIT5eUrAnNOa5qzK5DJkZ2mGrPGpZGQ8M5ZTjbZYd3QjO5qhvdhvwD3qbU6xYQi
PXNEqrLgwmhX0WJi75hDzY23r3zHIHcvwBWPPZoS3dcVI3fY2qEG4ts26L85aVNU
T4glsHTeRwNObdP3hdixqIM+Bs/y6MTMut3LQwdONTjp23vtiayajkdSbRgE/N/m
ksJMOOve2PNW9LVPOWtJTBCKGmnTg8ABNurH4pJ8WcATN6a9IWp3LPjLRBEjmr+2
DJ7311kulMsJtZjolFoA7DP/jsakjpVd0Ah6W+L9Ppg4b2+i3VE=
=q1aw
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 21 Aug 2019 20:16:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 21 16:16:17 2019
Received: from localhost ([127.0.0.1]:36506 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i0X1j-000826-5e
	for submit <at> debbugs.gnu.org; Wed, 21 Aug 2019 16:16:17 -0400
Received: from world.peace.net ([64.112.178.59]:58998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1i0X1g-00081w-Vh
 for 36747 <at> debbugs.gnu.org; Wed, 21 Aug 2019 16:16:13 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1i0X1g-0003xn-Ch; Wed, 21 Aug 2019 16:16:12 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ftmy51kk.fsf@HIDDEN>
 <87muh6sib4.fsf@HIDDEN> <877e8a79mz.fsf@HIDDEN>
 <87pnm2ufv1.fsf@HIDDEN> <87lfwpqpb7.fsf@HIDDEN>
 <875znt2hlc.fsf@HIDDEN> <87zhke97xj.fsf@HIDDEN>
 <87h86mdaex.fsf@HIDDEN> <8736i5a7mb.fsf@HIDDEN>
 <87mugdbc9r.fsf@HIDDEN> <8736i3iyas.fsf@HIDDEN>
 <87zhkbhd07.fsf@HIDDEN> <87v9uz4msh.fsf@HIDDEN>
 <87woffh66h.fsf@HIDDEN> <87o90pgzak.fsf@HIDDEN>
 <87mug9cagh.fsf@HIDDEN> <87v9uvbhhh.fsf@HIDDEN>
 <875zmv1db7.fsf@HIDDEN> <87o90mbz8v.fsf@HIDDEN>
 <874l2bvfwd.fsf@HIDDEN>
Date: Wed, 21 Aug 2019 16:15:36 -0400
In-Reply-To: <874l2bvfwd.fsf@HIDDEN> (Mark H. Weaver's message of "Tue, 20
 Aug 2019 14:40:39 -0400")
Message-ID: <87v9uq2s1o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

FYI, I've fully switched my entire GNOME-based Guix system to
'core-updates-next' now.  Of the packages that I use, only three failed
to build: diffoscope, openimageio (needed by blender), and simple-scan.

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 20 Aug 2019 18:41:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 20 14:41:20 2019
Received: from localhost ([127.0.0.1]:33918 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i094J-000178-NY
	for submit <at> debbugs.gnu.org; Tue, 20 Aug 2019 14:41:19 -0400
Received: from world.peace.net ([64.112.178.59]:55012)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1i094F-00016s-KC
 for 36747 <at> debbugs.gnu.org; Tue, 20 Aug 2019 14:41:16 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1i094E-0005Fc-Ei; Tue, 20 Aug 2019 14:41:14 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87o90pgzak.fsf@HIDDEN> <87mug9cagh.fsf@HIDDEN>
 <87v9uvbhhh.fsf@HIDDEN> <875zmv1db7.fsf@HIDDEN>
 <87o90mbz8v.fsf@HIDDEN>
Date: Tue, 20 Aug 2019 14:40:39 -0400
In-Reply-To: <87o90mbz8v.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sun, 18 Aug 2019 11:26:40 +0200")
Message-ID: <874l2bvfwd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>> Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
>>> It=E2=80=99s currently being evaluated:
>>>
>>>   https://ci.guix.gnu.org/jobset/core-updates-next
>>
>> Thanks, although I guess all of the builds will fail, unless someone
>> manually added the new bootstrap tarballs to Berlin's store, or uploaded
>> them to one of the URLs in %bootstrap-base-urls.
>
> Indeed, it=E2=80=99s failing for that reason now, I hadn=E2=80=99t realiz=
ed.
>
> To be continued=E2=80=A6

In the meantime, I've rebuilt my GNOME-based Guix system, and most of my
user profile, based on 'core-updates-next'.  I'm typing this message
from that system, and am currently working on building the chain of Rust
compilers on the way to IceCat.

It would be good to get Berlin started on building the new branch soon.

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 18 Aug 2019 09:26:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 18 05:26:50 2019
Received: from localhost ([127.0.0.1]:57343 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hzHSb-0001zz-Uy
	for submit <at> debbugs.gnu.org; Sun, 18 Aug 2019 05:26:50 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42603)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hzHSa-0001zm-9l
 for 36747 <at> debbugs.gnu.org; Sun, 18 Aug 2019 05:26:48 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56841)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hzHSU-00071D-NF; Sun, 18 Aug 2019 05:26:42 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=55390 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hzHSU-000614-6P; Sun, 18 Aug 2019 05:26:42 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87o90pgzak.fsf@HIDDEN> <87mug9cagh.fsf@HIDDEN>
 <87v9uvbhhh.fsf@HIDDEN> <875zmv1db7.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 1 Fructidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sun, 18 Aug 2019 11:26:40 +0200
In-Reply-To: <875zmv1db7.fsf@HIDDEN> (Mark H. Weaver's message of "Sat, 17
 Aug 2019 21:17:53 -0400")
Message-ID: <87o90mbz8v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Mark H Weaver <mhw@HIDDEN> skribis:

> Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
>> It=E2=80=99s currently being evaluated:
>>
>>   https://ci.guix.gnu.org/jobset/core-updates-next
>
> Thanks, although I guess all of the builds will fail, unless someone
> manually added the new bootstrap tarballs to Berlin's store, or uploaded
> them to one of the URLs in %bootstrap-base-urls.

Indeed, it=E2=80=99s failing for that reason now, I hadn=E2=80=99t realized.

To be continued=E2=80=A6

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 18 Aug 2019 01:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 17 21:18:20 2019
Received: from localhost ([127.0.0.1]:57251 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hz9pr-0003pi-VL
	for submit <at> debbugs.gnu.org; Sat, 17 Aug 2019 21:18:20 -0400
Received: from world.peace.net ([64.112.178.59]:52900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hz9pp-0003pU-Rr
 for 36747 <at> debbugs.gnu.org; Sat, 17 Aug 2019 21:18:18 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hz9pk-0000NH-56; Sat, 17 Aug 2019 21:18:12 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87o90pgzak.fsf@HIDDEN> <87mug9cagh.fsf@HIDDEN>
 <87v9uvbhhh.fsf@HIDDEN>
Date: Sat, 17 Aug 2019 21:17:53 -0400
In-Reply-To: <87v9uvbhhh.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Sat, 17 Aug 2019 23:38:02 +0200")
Message-ID: <875zmv1db7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
> It=E2=80=99s currently being evaluated:
>
>   https://ci.guix.gnu.org/jobset/core-updates-next

Thanks, although I guess all of the builds will fail, unless someone
manually added the new bootstrap tarballs to Berlin's store, or uploaded
them to one of the URLs in %bootstrap-base-urls.

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 17 Aug 2019 21:38:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 17 17:38:10 2019
Received: from localhost ([127.0.0.1]:56963 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hz6Oo-0002Sx-Gh
	for submit <at> debbugs.gnu.org; Sat, 17 Aug 2019 17:38:10 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hz6On-0002Sl-C9
 for 36747 <at> debbugs.gnu.org; Sat, 17 Aug 2019 17:38:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49136)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hz6Oi-0004Nq-4W; Sat, 17 Aug 2019 17:38:04 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=52386 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hz6Oh-0002Ea-HS; Sat, 17 Aug 2019 17:38:03 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87o90pgzak.fsf@HIDDEN> <87mug9cagh.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 30 Thermidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Sat, 17 Aug 2019 23:38:02 +0200
In-Reply-To: <87mug9cagh.fsf@HIDDEN> (Mark H. Weaver's message of "Fri, 16
 Aug 2019 12:59:31 -0400")
Message-ID: <87v9uvbhhh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: Marius Bakke <mbakke@HIDDEN>, 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> You can reproduce them with the following command from a git checkout at
> commit 9e6256ba0f32ab12d61c914a3fed879dac881762, which is the tip of the
> 'wip-binaries' branch, based on recent 'master':
>
>   ./pre-inst-env guix build --system=3Di686-linux bootstrap-tarballs

OK, I=E2=80=99ll give it a try and report back, probably end of next week.

>> srfi/srfi-1.scm:592:17: In procedure map1:
>> Throw to key `srfi-34' with args `(#<condition &message [message: "texin=
fo-perl-compat.patch: patch not found"] 51bb5c0>)'.
>>
>> Am I missing something?
>
> The string "texinfo-perl-compat" does not occur in the current
> 'core-updates-next' branch on Savannah, which is at commit
> 82eaac49ac983f28768d6623d802f41cbd7f779b.

Oh, I had misconfigured the =E2=80=98core-updates-next=E2=80=99 jobset: its
=E2=80=98load_path_input=E2=80=99 was '("core-updates-next"), which led the=
 host Guix to
lookup bits of the target Guix, hence the confusion.

I fixed it by setting it to the empty list as it should:

  update specifications set load_path_inputs =3D '()' where name =3D 'core-=
updates-next';

(The specs can be seen at <https://ci.guix.gnu.org/specifications>.)

It=E2=80=99s currently being evaluated:

  https://ci.guix.gnu.org/jobset/core-updates-next

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 17 Aug 2019 16:49:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 17 12:49:41 2019
Received: from localhost ([127.0.0.1]:56779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hz1td-0000W4-EB
	for submit <at> debbugs.gnu.org; Sat, 17 Aug 2019 12:49:41 -0400
Received: from world.peace.net ([64.112.178.59]:52036)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hz1tb-0000Vo-Le
 for 36747 <at> debbugs.gnu.org; Sat, 17 Aug 2019 12:49:40 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hz1tV-0003FM-MU; Sat, 17 Aug 2019 12:49:33 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87mugaf8ph.fsf@HIDDEN> <87y2zteet0.fsf@HIDDEN>
Date: Sat, 17 Aug 2019 12:49:04 -0400
In-Reply-To: <87y2zteet0.fsf@HIDDEN> (Mark H. Weaver's message of "Fri, 16
 Aug 2019 03:42:40 -0400")
Message-ID: <87ef1j20v8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Earlier, I wrote:

> I pushed those two commits to 'core-updates-next', and am currently
> building out that branch on my X200.  So far I've successfully built the
> core packages and 'hello', and am now continuing on to build the rest of
> my Guix system.

FYI, on 'core-updates-next', I've built the full 'emacs' package (with
GTK), git, openssh, gnupg, evince, gnome-terminal, and hundreds of other
packages.  I'm currently focused on building the 'gnome' package.

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 16 Aug 2019 17:00:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 16 13:00:07 2019
Received: from localhost ([127.0.0.1]:54844 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyfaB-0002q6-3B
	for submit <at> debbugs.gnu.org; Fri, 16 Aug 2019 13:00:07 -0400
Received: from world.peace.net ([64.112.178.59]:48714)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hyfa8-0002oT-Hp
 for 36747 <at> debbugs.gnu.org; Fri, 16 Aug 2019 13:00:05 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hyfa1-0004w6-SX; Fri, 16 Aug 2019 12:59:58 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87o90pgzak.fsf@HIDDEN>
Date: Fri, 16 Aug 2019 12:59:31 -0400
In-Reply-To: <87o90pgzak.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Fri, 16 Aug 2019 12:49:55 +0200")
Message-ID: <87mug9cagh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: Marius Bakke <mbakke@HIDDEN>, 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Marius Bakke <mbakke@HIDDEN> skribis:
>
>> Mark H Weaver <mhw@HIDDEN> writes:
>
> [...]
>
>>> I think what needs to be done is the following:
>>>
>>> (1) commit 78ced7975b0665e810834391d826c9f0ef7277e1 on 'wip-binaries'
>>>     should be reverted, to downgrade mescc-tools to the 0.5.2 release.
>>>
>>> (2) The 'wip-binaries' tarballs should be uploaded to a new subdirectory
>>>     of <https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/>, along
>>>     with digital signatures, of course.  I'm talking about these in
>>>     particular:
>>>
>>>     3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  g=
uile-static-stripped-2.2.4-i686-linux.tar.xz
>>>     1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  l=
inux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>>>     021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  m=
escc-tools-static-stripped-0.5.2-i686-linux.tar.xz
>>>     fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  m=
es-minimal-stripped-0.19-i686-linux.tar.xz
>>>     c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  s=
tatic-binaries-0-i686-linux.tar.xz
>>>
>>> (3) The following bootstrap packages in 'core-updates' bootstrap.scm
>>>     should be updated to use the new binaries above:
>>>
>>>      (a) %bootstrap-linux-libre-headers
>>>      (b) %bootstrap-mescc-tools
>>>      (c) %bootstrap-mes
>>>
>>> (4) Berlin should start rebuilding 'core-updates'.
>>>
>>> If desired, steps (3) and (4) could come before (2) if someone
>>> temporarily uploads the new binaries somewhere else, and adjusts
>>> '%bootstrap-base-urls' accordingly.  The key is for the hashes and file
>>> names to match what we've agreed on here, as I listed in (2) above.
>>>
>>> What do you think?
>>
>> Thank you for the excellent summary.  I can look into adjusting the bash
>> fix for 5.0, and updating the bootstrap binary URLs and hashes.  I will
>> do this in a 'core-updates-next' branch.  I would also like to merge
>> wip-binaries into it as a final step, unless someone has objections.
>>
>> Ludovic should be back in a couple of days and can hopefully take care
>> of the uploads.
>
> I haven=E2=80=99t quite caught up yet, but I trust you and I can upload t=
he
> files that Mark mentions above to ftp.gnu.org this time (Ricardo should
> also be able to upload them, if needed.)
>
> How can I reproduce them or fetch them?

You can reproduce them with the following command from a git checkout at
commit 9e6256ba0f32ab12d61c914a3fed879dac881762, which is the tip of the
'wip-binaries' branch, based on recent 'master':

  ./pre-inst-env guix build --system=3Di686-linux bootstrap-tarballs

--8<---------------cut here---------------start------------->8---
mhw@jojen ~/guix-wip-binaries$ git describe
v1.0.1-2479-g9e6256ba0f
mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=3Di686-li=
nux bootstrap-tarballs
/gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23r=
bi-bootstrap-tarballs-0
mhw@jojen /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0$=
 sha256sum *
3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-sta=
tic-stripped-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-lib=
re-headers-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-too=
ls-static-stripped-0.5.2-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minim=
al-stripped-0.19-i686-linux.tar.xz
c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-bi=
naries-0-i686-linux.tar.xz
--8<---------------cut here---------------end--------------->8---

Do you get the same results?

To match what 'core-updates-next' expects, it would be good to upload
the files above, along with digital signatures, to the following new
directory:

  https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/20190815/

>> Ricardo: can you instruct Cuirass to add a reduced jobset for
>> 'core-updates-next', that only builds builds the "core" package subset?
>
> Should be ready now:
>
>   https://ci.guix.gnu.org/jobset/core-updates-next

Thank you.

> However, evaluation fails with:
>
> Backtrace:
> In guix/packages.scm:
>   1188:25 19 (bag->derivation #<store-connection 256.99 2860c60> #<?> ?)
> In srfi/srfi-1.scm:
>    592:29 18 (map1 (("source" #<origin ("http://fossies.org/lin?>) ?))
>    592:17 17 (map1 (("bash" #<package bash-minimal@HIDDEN gnu/p?>) ?))
> In guix/packages.scm:
>    979:16 16 (expand-input #<store-connection 256.99 2860c60> #<pac?> ?)
>    936:16 15 (cache! #<weak-table 2/113> #<package bash-minimal@HIDDEN?> ?)
>   1255:22 14 (thunk)
>   1188:25 13 (bag->derivation #<store-connection 256.99 2860c60> #<?> ?)
> In srfi/srfi-1.scm:
>    592:29 12 (map1 (("source" #<origin "mirror://gnu/bash/bash-?>) ?))
>    592:17 11 (map1 (("gcc" #<package gcc@HIDDEN gnu/packages/boo?>) ?))
> In guix/packages.scm:
>    979:16 10 (expand-input #<store-connection 256.99 2860c60> #<pac?> ?)
>    936:16  9 (cache! #<weak-table 2/113> #<package gcc@HIDDEN gnu/pa?> ?)
>   1255:22  8 (thunk)
>   1188:25  7 (bag->derivation #<store-connection 256.99 2860c60> #<?> ?)
> In srfi/srfi-1.scm:
>    592:29  6 (map1 (("source" #<origin "mirror://gnu/gcc/gcc-5.?>) ?))
>    592:17  5 (map1 (("texinfo" #<package texinfo@HIDDEN gnu/packag?>) ?))
> In guix/packages.scm:
>    979:16  4 (expand-input #<store-connection 256.99 2860c60> #<pac?> ?)
>    936:16  3 (cache! #<weak-table 2/113> #<package texinfo@HIDDEN gnu/?> ?)
>   1255:22  2 (thunk)
>   1188:25  1 Exception thrown while printing backtrace:
> Throw to key `srfi-34' with args `(#<condition &message [message: "texinf=
o-perl-compat.patch: patch not found"] 56ac3c0>)'.
>
> srfi/srfi-1.scm:592:17: In procedure map1:
> Throw to key `srfi-34' with args `(#<condition &message [message: "texinf=
o-perl-compat.patch: patch not found"] 51bb5c0>)'.
>
> Am I missing something?

The string "texinfo-perl-compat" does not occur in the current
'core-updates-next' branch on Savannah, which is at commit
82eaac49ac983f28768d6623d802f41cbd7f779b.

However, that file name _was_ present in an older version of
'core-updates-next', before it was deleted on Savannah at some time in
the past.  I know this because I checked out 'core-updates-next' from
another one of my computers, and found that it was actually at commit
89e7f90d0b40bc4f15f902cc3b82c3effa87dd02 from last November.  I ran "git
fetch" and "git reset --hard origin/core-updates-next" to fix it, but
maybe there's a better way.

How is this kind of issue normally dealt with?  Is there a git cache in
Cuirass that can be cleaned?

      Thanks,
        Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 16 Aug 2019 10:50:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 16 06:50:06 2019
Received: from localhost ([127.0.0.1]:53187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyZo6-0008FN-3W
	for submit <at> debbugs.gnu.org; Fri, 16 Aug 2019 06:50:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:58894)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hyZo4-0008En-JY
 for 36747 <at> debbugs.gnu.org; Fri, 16 Aug 2019 06:50:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42843)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hyZnz-0005gO-3P; Fri, 16 Aug 2019 06:49:59 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=49250 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hyZny-0003yn-8S; Fri, 16 Aug 2019 06:49:58 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 29 Thermidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Fri, 16 Aug 2019 12:49:55 +0200
In-Reply-To: <87woffh66h.fsf@HIDDEN> (Marius Bakke's message of "Wed, 14 Aug
 2019 21:56:38 +0200")
Message-ID: <87o90pgzak.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: Mark H Weaver <mhw@HIDDEN>, 36747 <at> debbugs.gnu.org,
 Jan Nieuwenhuizen <janneke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

Marius Bakke <mbakke@HIDDEN> skribis:

> Mark H Weaver <mhw@HIDDEN> writes:

[...]

>> I think what needs to be done is the following:
>>
>> (1) commit 78ced7975b0665e810834391d826c9f0ef7277e1 on 'wip-binaries'
>>     should be reverted, to downgrade mescc-tools to the 0.5.2 release.
>>
>> (2) The 'wip-binaries' tarballs should be uploaded to a new subdirectory
>>     of <https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/>, along
>>     with digital signatures, of course.  I'm talking about these in
>>     particular:
>>
>>     3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  gu=
ile-static-stripped-2.2.4-i686-linux.tar.xz
>>     1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  li=
nux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>>     021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  me=
scc-tools-static-stripped-0.5.2-i686-linux.tar.xz
>>     fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  me=
s-minimal-stripped-0.19-i686-linux.tar.xz
>>     c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  st=
atic-binaries-0-i686-linux.tar.xz
>>
>> (3) The following bootstrap packages in 'core-updates' bootstrap.scm
>>     should be updated to use the new binaries above:
>>
>>      (a) %bootstrap-linux-libre-headers
>>      (b) %bootstrap-mescc-tools
>>      (c) %bootstrap-mes
>>
>> (4) Berlin should start rebuilding 'core-updates'.
>>
>> If desired, steps (3) and (4) could come before (2) if someone
>> temporarily uploads the new binaries somewhere else, and adjusts
>> '%bootstrap-base-urls' accordingly.  The key is for the hashes and file
>> names to match what we've agreed on here, as I listed in (2) above.
>>
>> What do you think?
>
> Thank you for the excellent summary.  I can look into adjusting the bash
> fix for 5.0, and updating the bootstrap binary URLs and hashes.  I will
> do this in a 'core-updates-next' branch.  I would also like to merge
> wip-binaries into it as a final step, unless someone has objections.
>
> Ludovic should be back in a couple of days and can hopefully take care
> of the uploads.

I haven=E2=80=99t quite caught up yet, but I trust you and I can upload the
files that Mark mentions above to ftp.gnu.org this time (Ricardo should
also be able to upload them, if needed.)

How can I reproduce them or fetch them?

> Ricardo: can you instruct Cuirass to add a reduced jobset for
> 'core-updates-next', that only builds builds the "core" package subset?

Should be ready now:

  https://ci.guix.gnu.org/jobset/core-updates-next

However, evaluation fails with:

--8<---------------cut here---------------start------------->8---
Backtrace:
In guix/packages.scm:
  1188:25 19 (bag->derivation #<store-connection 256.99 2860c60> #<?> ?)
In srfi/srfi-1.scm:
   592:29 18 (map1 (("source" #<origin ("http://fossies.org/lin?>) ?))
   592:17 17 (map1 (("bash" #<package bash-minimal@HIDDEN gnu/p?>) ?))
In guix/packages.scm:
   979:16 16 (expand-input #<store-connection 256.99 2860c60> #<pac?> ?)
   936:16 15 (cache! #<weak-table 2/113> #<package bash-minimal@HIDDEN?> ?)
  1255:22 14 (thunk)
  1188:25 13 (bag->derivation #<store-connection 256.99 2860c60> #<?> ?)
In srfi/srfi-1.scm:
   592:29 12 (map1 (("source" #<origin "mirror://gnu/bash/bash-?>) ?))
   592:17 11 (map1 (("gcc" #<package gcc@HIDDEN gnu/packages/boo?>) ?))
In guix/packages.scm:
   979:16 10 (expand-input #<store-connection 256.99 2860c60> #<pac?> ?)
   936:16  9 (cache! #<weak-table 2/113> #<package gcc@HIDDEN gnu/pa?> ?)
  1255:22  8 (thunk)
  1188:25  7 (bag->derivation #<store-connection 256.99 2860c60> #<?> ?)
In srfi/srfi-1.scm:
   592:29  6 (map1 (("source" #<origin "mirror://gnu/gcc/gcc-5.?>) ?))
   592:17  5 (map1 (("texinfo" #<package texinfo@HIDDEN gnu/packag?>) ?))
In guix/packages.scm:
   979:16  4 (expand-input #<store-connection 256.99 2860c60> #<pac?> ?)
   936:16  3 (cache! #<weak-table 2/113> #<package texinfo@HIDDEN gnu/?> ?)
  1255:22  2 (thunk)
  1188:25  1 Exception thrown while printing backtrace:
Throw to key `srfi-34' with args `(#<condition &message [message: "texinfo-=
perl-compat.patch: patch not found"] 56ac3c0>)'.

srfi/srfi-1.scm:592:17: In procedure map1:
Throw to key `srfi-34' with args `(#<condition &message [message: "texinfo-=
perl-compat.patch: patch not found"] 51bb5c0>)'.
--8<---------------cut here---------------end--------------->8---

Am I missing something?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 16 Aug 2019 07:43:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Aug 16 03:43:15 2019
Received: from localhost ([127.0.0.1]:53023 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyWtH-0003Vb-L5
	for submit <at> debbugs.gnu.org; Fri, 16 Aug 2019 03:43:15 -0400
Received: from world.peace.net ([64.112.178.59]:47692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hyWtG-0003VP-IM
 for 36747 <at> debbugs.gnu.org; Fri, 16 Aug 2019 03:43:14 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hyWt9-0003zJ-U9; Fri, 16 Aug 2019 03:43:08 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87mugaf8ph.fsf@HIDDEN>
Date: Fri, 16 Aug 2019 03:42:40 -0400
In-Reply-To: <87mugaf8ph.fsf@HIDDEN> (Mark H. Weaver's message of "Thu, 15
 Aug 2019 16:56:47 -0400")
Message-ID: <87y2zteet0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Marius,

Earlier I wrote:

> Marius Bakke <mbakke@HIDDEN> writes:
>> I can look into adjusting the bash fix for 5.0, and updating the
>> bootstrap binary URLs and hashes.
>
> I've attached preliminary untested patches for these.  I'm testing them
> now.

I pushed those two commits to 'core-updates-next', and am currently
building out that branch on my X200.  So far I've successfully built the
core packages and 'hello', and am now continuing on to build the rest of
my Guix system.

Anyway, I'm long past the point where the slight differences made to the
new bootstrap binaries to make them deterministic should have any
effects, so I think it's fairly safe to predict that these commits will
not introduce new problems.

Marius Bakke <mbakke@HIDDEN> wrote:
> Ricardo: can you instruct Cuirass to add a reduced jobset for
> 'core-updates-next', that only builds builds the "core" package subset?

For now, I did as you suggested and pushed the commits to
'core-updates-next', although personally I'd be inclined to simply push
them to 'core-updates', after the new bootstrap binaries have either
been uploaded or manually added to Berlin's store.

What do you think?

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 15 Aug 2019 23:17:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 19:17:05 2019
Received: from localhost ([127.0.0.1]:52650 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyOzQ-0007eM-OL
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 19:17:05 -0400
Received: from world.peace.net ([64.112.178.59]:46622)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hyOzO-0007YE-GW
 for 36747 <at> debbugs.gnu.org; Thu, 15 Aug 2019 19:17:02 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hyOzI-0004io-LU; Thu, 15 Aug 2019 19:16:56 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87r25mfc2s.fsf@HIDDEN> <87r25mgm93.fsf@HIDDEN>
Date: Thu, 15 Aug 2019 19:16:31 -0400
In-Reply-To: <87r25mgm93.fsf@HIDDEN> (Marius Bakke's message of "Thu, 15 Aug
 2019 23:19:20 +0200")
Message-ID: <87imqyf28l.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Marius Bakke <mbakke@HIDDEN> writes:

> Mark H Weaver <mhw@HIDDEN> writes:
>
>> I rebased 'wip-binaries' on top of current master (which includes the
>> recent 'staging' merge), and excluding the update of mescc-tools to the
>> git checkout.
>>
>> I built the bootstrap-tarballs for i686-linux and got the same hashes
>> that we've previously agreed on here.  I used "guix download" to load
>> the new bootstrap binaries into my store, and am now testing the
>> attached draft patch to 'core-updates'.
>
> Excellent, thank you!  The patches LGTM.
>
> I wonder if we should run these through a 'core-updates-next' branch to
> give ourselves a little time to bootstrap the different architectures.
>
> (also, it would be neat to get SQLite 3.29.0 in..)
>
> Thoughts?  I don't have a strong opinion, so do what you think is best.

I think we should continue to treat 'core-updates' as frozen.  These
slight changes to the bootstrap binaries to make them build
deterministically should almost certainly make no difference to anything
else in 'core-updates', so the only time we'll lose is the time needed
for Berlin to rebuild.

If we make any additional changes to 'core-updates', such as updating
SQLite or adding more architectures, it will likely cause additional
problems that need to be debugged.  This 'core-updates' cycle has
already taken too long, IMO.

Any other opinions?

      Thanks,
        Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 15 Aug 2019 21:19:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 17:19:33 2019
Received: from localhost ([127.0.0.1]:52541 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyN9g-0000vY-S2
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 17:19:33 -0400
Received: from out4-smtp.messagingengine.com ([66.111.4.28]:57953)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hyN9d-0000vH-Pa
 for 36747 <at> debbugs.gnu.org; Thu, 15 Aug 2019 17:19:31 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 9073122125;
 Thu, 15 Aug 2019 17:19:23 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Thu, 15 Aug 2019 17:19:23 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=0dfRDyejWOILfRo8+olLd+i3a8
 Y7ibXuQ/HzX5nUwSE=; b=UT/E8nqKM3VDA4FegN8lcoTjpH1aEY3Mu6TFY2mM/Q
 c9XjHUqHte7wocEPlIITifeeGiakooEs91/zKZMBi1FDA3TDZ+PIRH6g5ueyTCNU
 tq/z1mZjPXw+F4cLddoYvyOpx3HBQPL6CF/SEXSkwk2ERK/SU93ZGrDJJ3Txu8Kc
 TYQXiujmYX0CtNpp01XYW8ilKliS0Os8rO0TQgjaV6wTI6Qg6dFgcE5n8CBObUjR
 PzJNbvOLW37Eh42MTe/xw9+CDeCF9dfMfXQdM60x0hrjfWC24ty62jZ8HZZA/lKJ
 abebml6VWHAhlHRyRBdNtSDzLs+5YOoidpgG9yD/NTGw==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=0dfRDy
 ejWOILfRo8+olLd+i3a8Y7ibXuQ/HzX5nUwSE=; b=prEoQDX3qfu7dreheTPSFq
 rLXF2nRsHTKJzL6q1S6QGJmmZxXuz1RDfNWTmbiktCE+cF1nPJl/Z/h34ceKjrwi
 vRx/0OmaqQHJp/XpC00x0m45x5sbGjqVXgjev83wxJW4LXB+Clv6kqe2fcatMJ5J
 2X6NJDVYqLNqmGZZRob/PNqmoFco+MBxa8r/mDallHX4Lt7TvgqfYOIrlr49L4IA
 MN/iljTreVb2rvzliOw1AUsEmDh1Gqxl0PuAb/tuXNJUFaEDxcZ29tSP+HtjAslH
 ORtksHKQybGMD3JQU+Sm6gwHi0nrXPs8VAhkZfsVi2N7nwrgbmpK5FrL8Q0tDP3w
 ==
X-ME-Sender: <xms:W8xVXX-3Mx3p8nUroQWrNjxvMMko_Rtuf2BIeCYR36kJm7OHFjbPrA>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddrudefuddgudehkecutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhephffvufgjfhgffffkgggtsehgtd
 erredtredtnecuhfhrohhmpeforghrihhushcuuegrkhhkvgcuoehmsggrkhhkvgesfhgr
 shhtmhgrihhlrdgtohhmqeenucfkphepkeegrddvtddvrdeiledrudeikeenucfrrghrrg
 hmpehmrghilhhfrhhomhepmhgsrghkkhgvsehfrghsthhmrghilhdrtghomhenucevlhhu
 shhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:W8xVXdxF38lYN4FAGya4DwsfLXB1M-RGGxOwgo6PHRuGFLE304UzCw>
 <xmx:W8xVXZ-yTskivNUIW8ESIqSWxAYnXHKuIuN7bP7_HchchkQH6HfsTg>
 <xmx:W8xVXbPKfnF-gc3Ezz9K07mrWO4U20VALxcDpQCzdF__W09dCrhdmw>
 <xmx:W8xVXepvsBD7wn4OPhljz-CBkwXLGOCPkjAMJ1r3hHW41X-SzHEk7w>
Received: from localhost (168.69.202.84.customer.cdi.no [84.202.69.168])
 by mail.messagingengine.com (Postfix) with ESMTPA id DFBBF380075;
 Thu, 15 Aug 2019 17:19:22 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <87r25mfc2s.fsf@HIDDEN>
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
 <87r25mfc2s.fsf@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Thu, 15 Aug 2019 23:19:20 +0200
Message-ID: <87r25mgm93.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain

Mark H Weaver <mhw@HIDDEN> writes:

> I rebased 'wip-binaries' on top of current master (which includes the
> recent 'staging' merge), and excluding the update of mescc-tools to the
> git checkout.
>
> I built the bootstrap-tarballs for i686-linux and got the same hashes
> that we've previously agreed on here.  I used "guix download" to load
> the new bootstrap binaries into my store, and am now testing the
> attached draft patch to 'core-updates'.

Excellent, thank you!  The patches LGTM.

I wonder if we should run these through a 'core-updates-next' branch to
give ourselves a little time to bootstrap the different architectures.

(also, it would be neat to get SQLite 3.29.0 in..)

Thoughts?  I don't have a strong opinion, so do what you think is best.

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl1VzFgACgkQoqBt8qM6
VPot/gf+K2Ji25Bd7GaW76GBwXKNoPD2It9FPkgnkwrwCtcqWQ8cxgmrS3/4Gb00
+Lvt6kaYlNY/tgLnO8SN5la+ZJjXL7VkZwEXDCj5ic/8hGlTJ9Fk2e107vSQttmS
cdrYHL9U4Kt11RDDi1zcl+jbdpY/WPH9X1Hc713Snejee57EZMmK2goEp9FxnYaj
9FWWPD8JAoDej5606u9TgCKhuY20KZwXbuUnFXdtylrvjA3k46/qgS+xoP68S6sA
R7YfU7QbD5roC2a3rV1SGoZ/ZSzTI2KadTfJewscG1154o4Uz5pSAqO3z2NG2ggB
DqS9jaL2k/y2JtKc07fB29qPfYKH9g==
=V3pM
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 15 Aug 2019 20:57:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 16:57:33 2019
Received: from localhost ([127.0.0.1]:52509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyMoL-000068-8d
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 16:57:32 -0400
Received: from world.peace.net ([64.112.178.59]:46332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hyMoD-00005H-Rq
 for 36747 <at> debbugs.gnu.org; Thu, 15 Aug 2019 16:57:26 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hyMo3-0002OQ-UJ; Thu, 15 Aug 2019 16:57:12 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
Date: Thu, 15 Aug 2019 16:56:47 -0400
In-Reply-To: <87woffh66h.fsf@HIDDEN> (Marius Bakke's message of "Wed, 14 Aug
 2019 21:56:38 +0200")
Message-ID: <87mugaf8ph.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi,

Marius Bakke <mbakke@HIDDEN> writes:
> I can look into adjusting the bash fix for 5.0, and updating the
> bootstrap binary URLs and hashes.

I've attached preliminary untested patches for these.  I'm testing them
now.

       Mark



--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-gnu-bootstrap-Update-to-the-20190815-bootstrap-binar.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: [PATCH 1/2] gnu: bootstrap: Update to the 20190815
 bootstrap binaries

From e3e477c92af3b62eb8f65a5c4459f02faf60e857 Mon Sep 17 00:00:00 2001
From: Mark H Weaver <mhw@HIDDEN>
Date: Thu, 15 Aug 2019 15:39:57 -0400
Subject: [PATCH 1/2] gnu: bootstrap: Update to the 20190815 bootstrap
 binaries.

* gnu/packages/bootstrap.scm (%bootstrap-linux-libre-headers): Update the
download URL.
(%bootstrap-mescc-tools, %bootstrap-mes): Update the download URL and hash.
---
 gnu/packages/bootstrap.scm | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
index 8dbe52435e..1982c9706f 100644
--- a/gnu/packages/bootstrap.scm
+++ b/gnu/packages/bootstrap.scm
@@ -1,6 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Ludovi=
c Court=C3=A8s <ludo@HIDDEN>
-;;; Copyright =C2=A9 2014, 2015, 2018 Mark H Weaver <mhw@HIDDEN>
+;;; Copyright =C2=A9 2014, 2015, 2018, 2019 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright =C2=A9 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright =C2=A9 2018 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;;
@@ -490,7 +490,7 @@ $out/bin/guile --version~%"
      (origin
        (method url-fetch)
        (uri (map (cute string-append <>
-                       "/i686-linux/20181020/"
+                       "/i686-linux/20190815/"
                        "linux-libre-headers-stripped-4.14.67-i686-linux.ta=
r.xz")
                  %bootstrap-base-urls))
        (sha256
@@ -735,12 +735,12 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
             (method url-fetch)
             (uri (map
                   (cute string-append <>
-                        "/i686-linux/20181020/"
-                        "mescc-tools-static-0.5.2-0.bb062b0-i686-linux.tar=
.xz")
+                        "/i686-linux/20190815/"
+                        "mescc-tools-static-stripped-0.5.2-i686-linux.tar.=
xz")
                   %bootstrap-base-urls))
             (sha256
              (base32
-              "11lniw0vg61kmyhvnwkmcnkci9ym6hbmiksiqggd0hkipbq7hvlz")))))))
+              "0c3kklgghzh4q2dbpl6asb74cimp7hp6jscdwqwmzxbapgcl6582")))))))
     (synopsis "Bootstrap binaries of MesCC Tools")
     (description synopsis)
     (home-page #f)
@@ -784,12 +784,12 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
             (method url-fetch)
             (uri (map
                   (cute string-append <>
-                        "/i686-linux/20181020/"
+                        "/i686-linux/20190815/"
                         "mes-minimal-stripped-0.19-i686-linux.tar.xz")
                   %bootstrap-base-urls))
             (sha256
              (base32
-              "0k7kkl68a6xaadv47ij0nr9jm5ca1ffj38n7f2lg80y72wdkwr9h")))))))
+              "1q4xjpx6nbn44kxnilpgl12bhpmwy2bblzwszc2ci7xkf400jcpv")))))))
     (supported-systems '("i686-linux" "x86_64-linux"))
     (synopsis "Bootstrap binaries of Mes")
     (description synopsis)
--=20
2.22.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0002-UNTESTED-bash-Unconditionally-configure-PGRP_PIPE-fo.patch
Content-Description: [PATCH 2/2] UNTESTED: bash: Unconditionally configure
 PGRP_PIPE for *-linux systems

From 1e609d70cd29af6eed7ceb81b840ac0a4f29fe42 Mon Sep 17 00:00:00 2001
From: Mark H Weaver <mhw@HIDDEN>
Date: Thu, 15 Aug 2019 16:45:03 -0400
Subject: [PATCH 2/2] UNTESTED: bash: Unconditionally configure PGRP_PIPE for
 *-linux systems.

* gnu/packages/patches/bash-linux-pgrp-pipe.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add it.
* gnu/packages/bash.scm (bash)[source]: Add the patch.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/bash.scm                         |  3 +-
 .../patches/bash-linux-pgrp-pipe.patch        | 32 +++++++++++++++++++
 3 files changed, 35 insertions(+), 1 deletion(-)
 create mode 100644 gnu/packages/patches/bash-linux-pgrp-pipe.patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 08bc205623..2e6d4776b9 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -697,6 +697,7 @@ dist_patch_DATA =						\
   %D%/packages/patches/awesome-reproducible-png.patch		\
   %D%/packages/patches/azr3.patch				\
   %D%/packages/patches/bash-completion-directories.patch	\
+  %D%/packages/patches/bash-linux-pgrp-pipe.patch		\
   %D%/packages/patches/bastet-change-source-of-unordered_set.patch	\
   %D%/packages/patches/bazaar-CVE-2017-14176.patch		\
   %D%/packages/patches/beets-python-3.7-fix.patch		\
diff --git a/gnu/packages/bash.scm b/gnu/packages/bash.scm
index d3abeec6e6..f1ef7047bf 100644
--- a/gnu/packages/bash.scm
+++ b/gnu/packages/bash.scm
@@ -115,7 +115,8 @@ number/base32-hash tuples, directly usable in the 'patch-series' form."
                (base32
                 "0kgvfwqdcd90waczf4gx39xnrxzijhjrzyzv7s8v4w31qqm0za5l"))
               (patch-flags '("-p0"))
-              (patches %patch-series-5.0)))
+              (patches (cons (search-patch "bash-linux-pgrp-pipe.patch")
+                             %patch-series-5.0))))
      (version (string-append version "." (number->string (length %patch-series-5.0))))
      (build-system gnu-build-system)
 
diff --git a/gnu/packages/patches/bash-linux-pgrp-pipe.patch b/gnu/packages/patches/bash-linux-pgrp-pipe.patch
new file mode 100644
index 0000000000..234a55e897
--- /dev/null
+++ b/gnu/packages/patches/bash-linux-pgrp-pipe.patch
@@ -0,0 +1,32 @@
+Unconditionally enable PGRP_PIPE on Linux (the kernel), regardless of
+the kernel version in use on the build machine.
+
+--- configure.ac.orig	2019-01-02 09:38:44.000000000 -0500
++++ configure.ac	2019-08-15 16:40:24.271758379 -0400
+@@ -1108,10 +1108,7 @@
+ solaris2*)	LOCAL_CFLAGS=-DSOLARIS ;;
+ lynxos*)	LOCAL_CFLAGS=-DRECYCLES_PIDS ;;
+ linux*)		LOCAL_LDFLAGS=-rdynamic		 # allow dynamic loading
+-		case "`uname -r`" in
+-		1.*|2.[[0123]]*)	: ;;
+-		*)	AC_DEFINE(PGRP_PIPE) ;;
+-		esac ;;
++		AC_DEFINE(PGRP_PIPE) ;;
+ netbsd*|openbsd*)	LOCAL_CFLAGS="-DDEV_FD_STAT_BROKEN" ;;
+ *qnx[[67]]*)	LOCAL_LIBS="-lncurses" ;;
+ *qnx*)		LOCAL_CFLAGS="-Dqnx -F -3s" LOCAL_LDFLAGS="-3s" LOCAL_LIBS="-lunix -lncurses" ;;
+--- configure.orig	2019-01-02 09:43:04.000000000 -0500
++++ configure	2019-08-15 16:41:44.440155912 -0400
+@@ -16312,11 +16312,7 @@
+ solaris2*)	LOCAL_CFLAGS=-DSOLARIS ;;
+ lynxos*)	LOCAL_CFLAGS=-DRECYCLES_PIDS ;;
+ linux*)		LOCAL_LDFLAGS=-rdynamic		 # allow dynamic loading
+-		case "`uname -r`" in
+-		1.*|2.[0123]*)	: ;;
+-		*)	$as_echo "#define PGRP_PIPE 1" >>confdefs.h
+- ;;
+-		esac ;;
++		$as_echo "#define PGRP_PIPE 1" >>confdefs.h ;;
+ netbsd*|openbsd*)	LOCAL_CFLAGS="-DDEV_FD_STAT_BROKEN" ;;
+ *qnx[67]*)	LOCAL_LIBS="-lncurses" ;;
+ *qnx*)		LOCAL_CFLAGS="-Dqnx -F -3s" LOCAL_LDFLAGS="-3s" LOCAL_LIBS="-lunix -lncurses" ;;
-- 
2.22.1


--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 15 Aug 2019 19:44:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Aug 15 15:44:33 2019
Received: from localhost ([127.0.0.1]:52483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hyLfl-0005w4-6R
	for submit <at> debbugs.gnu.org; Thu, 15 Aug 2019 15:44:33 -0400
Received: from world.peace.net ([64.112.178.59]:46126)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hyLfj-0005vr-AP
 for 36747 <at> debbugs.gnu.org; Thu, 15 Aug 2019 15:44:31 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hyLfc-0000yn-9u; Thu, 15 Aug 2019 15:44:24 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
Date: Thu, 15 Aug 2019 15:44:00 -0400
In-Reply-To: <87woffh66h.fsf@HIDDEN> (Marius Bakke's message of "Wed, 14 Aug
 2019 21:56:38 +0200")
Message-ID: <87r25mfc2s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

I rebased 'wip-binaries' on top of current master (which includes the
recent 'staging' merge), and excluding the update of mescc-tools to the
git checkout.

I built the bootstrap-tarballs for i686-linux and got the same hashes
that we've previously agreed on here.  I used "guix download" to load
the new bootstrap binaries into my store, and am now testing the
attached draft patch to 'core-updates'.

      Thanks,
        Mark



--=-=-=
Content-Type: text/x-patch; charset=utf-8
Content-Disposition: inline;
 filename=0001-gnu-bootstrap-Update-to-the-20190815-bootstrap-binar.patch
Content-Transfer-Encoding: quoted-printable
Content-Description: [PATCH] gnu: bootstrap: Update to the 20190815
 bootstrap binaries

From e3e477c92af3b62eb8f65a5c4459f02faf60e857 Mon Sep 17 00:00:00 2001
From: Mark H Weaver <mhw@HIDDEN>
Date: Thu, 15 Aug 2019 15:39:57 -0400
Subject: [PATCH] gnu: bootstrap: Update to the 20190815 bootstrap binaries.

* gnu/packages/bootstrap.scm (%bootstrap-linux-libre-headers): Update the
download URL.
(%bootstrap-mescc-tools, %bootstrap-mes): Update the download URL and hash.
---
 gnu/packages/bootstrap.scm | 14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)

diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
index 8dbe52435e..1982c9706f 100644
--- a/gnu/packages/bootstrap.scm
+++ b/gnu/packages/bootstrap.scm
@@ -1,6 +1,6 @@
 ;;; GNU Guix --- Functional package management for GNU
 ;;; Copyright =C2=A9 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019 Ludovi=
c Court=C3=A8s <ludo@HIDDEN>
-;;; Copyright =C2=A9 2014, 2015, 2018 Mark H Weaver <mhw@HIDDEN>
+;;; Copyright =C2=A9 2014, 2015, 2018, 2019 Mark H Weaver <mhw@HIDDEN>
 ;;; Copyright =C2=A9 2017 Efraim Flashner <efraim@HIDDEN>
 ;;; Copyright =C2=A9 2018 Jan (janneke) Nieuwenhuizen <janneke@HIDDEN>
 ;;;
@@ -490,7 +490,7 @@ $out/bin/guile --version~%"
      (origin
        (method url-fetch)
        (uri (map (cute string-append <>
-                       "/i686-linux/20181020/"
+                       "/i686-linux/20190815/"
                        "linux-libre-headers-stripped-4.14.67-i686-linux.ta=
r.xz")
                  %bootstrap-base-urls))
        (sha256
@@ -735,12 +735,12 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
             (method url-fetch)
             (uri (map
                   (cute string-append <>
-                        "/i686-linux/20181020/"
-                        "mescc-tools-static-0.5.2-0.bb062b0-i686-linux.tar=
.xz")
+                        "/i686-linux/20190815/"
+                        "mescc-tools-static-stripped-0.5.2-i686-linux.tar.=
xz")
                   %bootstrap-base-urls))
             (sha256
              (base32
-              "11lniw0vg61kmyhvnwkmcnkci9ym6hbmiksiqggd0hkipbq7hvlz")))))))
+              "0c3kklgghzh4q2dbpl6asb74cimp7hp6jscdwqwmzxbapgcl6582")))))))
     (synopsis "Bootstrap binaries of MesCC Tools")
     (description synopsis)
     (home-page #f)
@@ -784,12 +784,12 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
             (method url-fetch)
             (uri (map
                   (cute string-append <>
-                        "/i686-linux/20181020/"
+                        "/i686-linux/20190815/"
                         "mes-minimal-stripped-0.19-i686-linux.tar.xz")
                   %bootstrap-base-urls))
             (sha256
              (base32
-              "0k7kkl68a6xaadv47ij0nr9jm5ca1ffj38n7f2lg80y72wdkwr9h")))))))
+              "1q4xjpx6nbn44kxnilpgl12bhpmwy2bblzwszc2ci7xkf400jcpv")))))))
     (supported-systems '("i686-linux" "x86_64-linux"))
     (synopsis "Bootstrap binaries of Mes")
     (description synopsis)
--=20
2.22.1


--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 14 Aug 2019 20:44:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 16:44:21 2019
Received: from localhost ([127.0.0.1]:49760 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hy085-0000LE-As
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 16:44:21 -0400
Received: from world.peace.net ([64.112.178.59]:43026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hy083-0000Kq-8n
 for 36747 <at> debbugs.gnu.org; Wed, 14 Aug 2019 16:44:19 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hy07x-0003ap-01; Wed, 14 Aug 2019 16:44:13 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN> <87woffh66h.fsf@HIDDEN>
Date: Wed, 14 Aug 2019 16:43:49 -0400
In-Reply-To: <87woffh66h.fsf@HIDDEN> (Marius Bakke's message of "Wed, 14 Aug
 2019 21:56:38 +0200")
Message-ID: <87imqz4gv3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Marius,

Marius Bakke <mbakke@HIDDEN> writes:

> I wanted to check that the bootstrap-tarballs machinery still worked
> after merging the branch, since it was non-trivial.  Mainly to make the
> commit that created them reachable forever, but maybe we don't need it.

[...]

> [...] I will do this in a 'core-updates-next' branch.  I would also
> like to merge wip-binaries into it as a final step, unless someone has
> objections.

I think that 'wip-binaries' (or something close to it) should be merged
into 'master', rather than 'core-updates'.  That would allow people to
easily verify the new bootstrap binaries from 'master'.

Of course, anything merged into 'master' will eventually be merged into
'core-updates' as well, but no one will be able to verify the new
binaries from 'core-updates' anyway, because 'core-updates' has
different versions of 'bash', 'guile', and maybe some other things.

What do you think?

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 14 Aug 2019 19:56:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 15:56:54 2019
Received: from localhost ([127.0.0.1]:49728 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxzO8-0006zX-R7
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 15:56:54 -0400
Received: from out2-smtp.messagingengine.com ([66.111.4.26]:49175)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hxzO2-0006yn-GL
 for 36747 <at> debbugs.gnu.org; Wed, 14 Aug 2019 15:56:51 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 4E40921B36;
 Wed, 14 Aug 2019 15:56:41 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 14 Aug 2019 15:56:41 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=kNDB6KLf9KBaXb+UydTB88vtPZ
 XcmOXCrgvbrDohiSE=; b=ODDkUs2Tm24m4fZU0OJP0792cYIntvoLNf4elwRynw
 tcRlSRgCCErBZrv6kzBCN7lvizlBgOZTpC9aJgzNAQeGGiewCRa/ors3JNvrsg4A
 gmezecyji19ecS9us4mqHYPu++QTvgOZhteHnrvjsnhokxYn4jRMPl+WjLN6UAzM
 mAbACY737nYdm4zswDNcSUpsdfyzwqxFQUAc+I6ehPgLSiDNpBadCENgWhmB5+S4
 c6tD9AIy1YjblPUukw5jMtoByCt60GjNZvDPeqMFsc+5X/IGkcXYGbYqrq/DC8MA
 hPncCMYnSp43W5KfJJ9nc8lalBiLWwkG2ljNxo3GtReQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=kNDB6K
 Lf9KBaXb+UydTB88vtPZXcmOXCrgvbrDohiSE=; b=H+PWKkYRKHRG8fJznBbPXC
 j7ixfM8vMA3HjBQ+iQE+4ln0afcmtuR4eCvq5CosO4q1J2A1yVUCO+uwJU1xJE28
 dHHp4b9dykkRNAtuOs6Knh+NX0fC0yeBc0lt1vQ0uHXFDTUVWcRgx+a18ZTHMCOr
 XKPyu7jT2g92QuHIA2w7HEqyKm3Mi4gv8HqL6l3bwvAw8rErvMn4c1jL4EQ/uO1i
 CNUwXSpkGyFmVD8OVIVNfNEZyRSmbvNxJzzK190B2Mo9ZgQgtwQdRC8GZC9zmFh8
 NipWHfsva4VPQ4lja6pSY16UjcBG8U4v8KCvUMjh/4s7zPg5SRyu5IPBJSxEvuBQ
 ==
X-ME-Sender: <xms:eGdUXTxa9-kgNqmJ3vbWfjfMuP8YKX1GwinT0XXhO-JW7-2N6iXSxQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddruddvledgkedtucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmne
 cujfgurhephffvufgjfhgffffkgggtsehgtderredtredtnecuhfhrohhmpeforghrihhu
 shcuuegrkhhkvgcuoehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmqeenucffohhmrg
 hinheplhhilhihphhonhgurdhorhhgpdhgnhhurdhorhhgpdhnohhnghhnuhdrohhrghen
 ucfkphepiedvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmh
 gsrghkkhgvsehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:eWdUXWRkj4KeV7w7I4KqXADng1ZP7OzoqFWFPE8vgZK_3PLU_kEmMw>
 <xmx:eWdUXT_pN36QE19fD1eN7m1qFl8p-MDJ0HG4_lHJIg6DYuG7zstGAA>
 <xmx:eWdUXbL7uaDuWCZhmQNc3Vc3_2MiPkdQnPHWhUAMp0qQSLRiA4uL-Q>
 <xmx:eWdUXd3BDyWwbYOcmjWwiE6uuzohsWtfrK2qc8KbNB3lgGVi1BoMJQ>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 7A9E0380076;
 Wed, 14 Aug 2019 15:56:40 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <87v9uz4msh.fsf@HIDDEN>
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Wed, 14 Aug 2019 21:56:38 +0200
Message-ID: <87woffh66h.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 36747 <at> debbugs.gnu.org,
 Jan Nieuwenhuizen <janneke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Mark H Weaver <mhw@HIDDEN> writes:

> Hi Marius,
>
> Marius Bakke <mbakke@HIDDEN> writes:
>
>> Marius Bakke <mbakke@HIDDEN> writes:
>>
>>> Jan Nieuwenhuizen <janneke@HIDDEN> writes:
>>>
>>>> Mark H Weaver writes:
>>>>
>>>> Hi Mark,
>>>>
>>>>>> I called that `wip-binaries', @master from three weeks ago.
>>>>>
>>>>> Thank you, that was a good start.  I found that some additional patch=
es
>>>>> were needed to match the bootstrap binaries that 'core-updates' is
>>>>> currently based on.
>>>>>
>>>>> I ended up deleting and repushing a revised 'wip-binaries' to Savanna=
h.
>>>>> It includes slightly modified versions of the two commits you had
>>>>> included, as well as some additional cherry-picked commits of yours to
>>>>> update mescc-tools and add linux-libre-headers-bootstrap-tarball, and=
 a
>>>>> few of my own.
>>>>
>>>> Very nice.
>>>>
>>>>> I built the new bootstrap tarballs at the new 'wip-binaries', commit
>>>>> c67becb31c30a5cd7685f166970ac4793e3a34a9, and here's what I got:
>>>>>
>>>>> mhw@jojen ~/guix-wip-binaries$ git describe
>>>>> v1.0.1-2404-gc67becb31c
>>>>> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=3Di=
686-linux bootstrap-tarballs
>>>>> /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
>>>>> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/bg086i2qw1fn2jgbd15d9v91=
hyjrjsb2-bootstrap-tarballs-0
>>>>> mhw@jojen /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarba=
lls-0$ sha256sum *
>>>>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  gui=
le-static-stripped-2.2.4-i686-linux.tar.xz
>>>>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  lin=
ux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>>>>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mes=
cc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
>>>>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes=
-minimal-stripped-0.19-i686-linux.tar.xz
>>>>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  sta=
tic-binaries-0-i686-linux.tar.xz
>>>>
>>>>> Can you try "guix build --system=3Di686-linux bootstrap-tarballs" at =
the
>>>>> new 'wip-binaries' branch and see if you get the same results?
>>>>
>>>> Yes, on c67becb31c30a5cd7685f166970ac4793e3a34a9 running
>>>> "./pre-inst-env guix build --system=3Di686-linux bootstrap-tarballs" g=
ives me exactly this,
>>>> also for guile-static-stripped! \o/
>>>>
>>>>> Also, I have a question: One of the changes I made to 'wip-binaries' =
was
>>>>> to update mescc-tools to 0.5.2-0.bb062b0, to match the
>>>>> %bootstrap-mescc-tools that's currently being used in 'core-updates'.
>>>>>
>>>>> However, I noticed that you have also apparently built the official
>>>>> release of mescc-tools-0.5.2, which is on your site:
>>>>>
>>>>>   http://lilypond.org/janneke/guix/20190722/mescc-tools-static-stripp=
ed-0.5.2-i686-linux.tar.xz
>>>>>
>>>>> and that this tarball is identical to the build output of the later g=
it
>>>>> commit: mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz.
>>>>>
>>>>> With this in mind, could we just use 0.5.2?  What changed between 0.5=
.2
>>>>> and 0.5.2-0.bb062b0, and what was the rationale for updating to bb062=
b0?
>>>>
>>>> Good catch.  We probably can, we might try that.
>>>>
>>>> I think the need for updating to bb062b0 has been removed during the
>>>> review of the integration of the reduced binary seed bootstrap into
>>>> core-updates by Ludovic.
>>>>
>>>> For historical reasons, I think this mescc-tools commit
>>>>
>>>> --8<---------------cut here---------------start------------->8---
>>>> commit c184e95096881a13f29ebd7fc507fe305d3d8de5 (gitlab/janneke, janne=
ke)
>>>> Author: Jan Nieuwenhuizen <janneke@HIDDEN>
>>>> Date:   Thu Oct 4 22:03:31 2018 +0200
>>>>
>>>>     build.sh: Update for mes 0.18.
>>>> --8<---------------cut here---------------end--------------->8---
>>>>
>>>> was needed at a time that we did not have mescc-tools or mes in
>>>> bootstrap tarballs.  We built bootstrap variants of mescc-tools and mes
>>>> using a externally (outside fo Guix) built mescc-tools-seed and
>>>> (an almost pure ASCII) mes-seed.
>>>
>>> I tried building the i686 bootstrap tarballs from wip-binaries with this
>>> additional patch:
>>>
>>> diff --git a/gnu/packages/mes.scm b/gnu/packages/mes.scm
>>> index e298cb05c1..380cac6c88 100644
>>> --- a/gnu/packages/mes.scm
>>> +++ b/gnu/packages/mes.scm
>>> @@ -139,33 +139,31 @@ Guile.")
>>>      (license gpl3+)))
>>>=20=20
>>>  (define-public mescc-tools
>>> -  (let ((commit "bb062b0da7bf2724ca40f9002b121579898d4ef7")
>>> -        (revision "0")
>>> -        (version "0.5.2"))
>>> -    (package
>>> -      (name "mescc-tools")
>>> -      (version (string-append version "-" revision "." (string-take co=
mmit 7)))
>>> -      (source (origin
>>> -                (method url-fetch)
>>> -                (uri (string-append
>>> -                      "https://git.savannah.nongnu.org/cgit/mescc-tool=
s.git/snapshot/"
>>> -                      name "-" commit
>>> -                      ".tar.gz"))
>>> -                (sha256
>>> -                 (base32
>>> -                  "1h6j57wyf91i42b26f8msbv6451cw3nm4nmpl1fckp9c7vi8mwk=
h"))))
>>> -      (build-system gnu-build-system)
>>> -      (supported-systems '("i686-linux" "x86_64-linux"))
>>> -      (arguments
>>> -       `(#:make-flags (list (string-append "PREFIX=3D" (assoc-ref %out=
puts "out")))
>>> -         #:test-target "test"
>>> -         #:phases (modify-phases %standard-phases
>>> -                    (delete 'configure))))
>>> -      (synopsis "Tools for the full source bootstrapping process")
>>> -      (description
>>> -       "Mescc-tools is a collection of tools for use in a full source
>>> +  (package
>>> +    (name "mescc-tools")
>>> +    (version "0.5.2")
>>> +    (source (origin
>>> +              (method url-fetch)
>>> +              (uri (string-append
>>> +                    "https://git.savannah.nongnu.org/cgit/mescc-tools.=
git/snapshot/"
>>> +                    name "-Release_" version
>>> +                    ".tar.gz"))
>>> +              (file-name (string-append name "-" version ".tar.gz"))
>>> +              (sha256
>>> +               (base32
>>> +                "01x7bhmgwyf6mc2g1hcvibhps98nllacqm4f0j5l51b1mbi18pc2"=
))))
>>> +    (build-system gnu-build-system)
>>> +    (supported-systems '("i686-linux" "x86_64-linux"))
>>> +    (arguments
>>> +     `(#:make-flags (list (string-append "PREFIX=3D" (assoc-ref %outpu=
ts "out")))
>>> +       #:test-target "test"
>>> +       #:phases (modify-phases %standard-phases
>>> +                  (delete 'configure))))
>>> +    (synopsis "Tools for the full source bootstrapping process")
>>> +    (description
>>> +     "Mescc-tools is a collection of tools for use in a full source
>>>  bootstrapping process.  It consists of the M1 macro assembler, the hex2
>>>  linker, the blood-elf symbol table generator, the kaem shell, exec_ena=
ble and
>>>  get_machine.")
>>>      (home-page "https://savannah.nongnu.org/projects/mescc-tools")
>>> -    (license gpl3+))))
>>> +    (license gpl3+)))
>
> I guess this is equivalent to reverting commit
> 78ced7975b0665e810834391d826c9f0ef7277e1 on the 'wip-binaries' branch,
> yes?

Indeed.

>>> And got this result:
>>>
>>> $ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
>>> $ sha256sum *
>>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile=
-static-stripped-2.2.4-i686-linux.tar.xz
>>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux=
-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc=
-tools-static-stripped-0.5.2-i686-linux.tar.xz
>>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-m=
inimal-stripped-0.19-i686-linux.tar.xz
>>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  stati=
c-binaries-0-i686-linux.tar.xz
>
> Great, looks good to me!
>
>>> I also merged the branch to core-updates and reverted the bash patch,
>
> I think that 'bash-4.4-linux-pgrp-pipe.patch', adapted to 5.0, should be
> applied to all 'bash' packages in 'core-updates'.  To be more precise,
> the patch should be applied to the main 'bash' package in bash.scm,
> inherited from all other bash packages, so that PGRP_PIPE is set
> unconditionally set on systems based on Linux (the kernel), regardless
> of the kernel version running on the build machine.

Got it.

>>> which produced this derivation for "guix build -d -s i686-linux
>>> bootstrap-tarballs":
>>>
>>> /gnu/store/ld82vli1msfrlimjaryznrqcwm0jc5ii-bootstrap-tarballs-0.drv
>>
>> Here are the hashes from this derivation:
>>
>> $ cd /gnu/store/srsqilb3g70r8c7vma0gpam21z1zmg2w-bootstrap-tarballs-0
>> $ sha256sum *
>> 4e5b219be4d9ad4d125f17b8a8a991e78be3908aadc8d22d1a115e96ec856279  guile-=
static-stripped-2.2.6-i686-linux.tar.xz
>> 9e34b26526b184912b0d97df96e316151fd97ede24aec2f22dd13ed33438b2e4  linux-=
libre-headers-stripped-4.19.56-i686-linux.tar.xz
>> 7db07a7097a7920e17f6f1794098b9f29bc3522c36a33cf797123f64581cdc34  mescc-=
tools-static-0.5.2-i686-linux.tar.xz
>> 3a9b050c1a2b61bb1cbed16ee07aecdc83e9097ce4a914623aa1b9808abe57f4  mes-mi=
nimal-stripped-0.19-i686-linux.tar.xz
>> 1ccb4f39656eb977706db7a4aa811461785200b0a11e847035bb89fef91b85ab  static=
-binaries-0-i686-linux.tar.xz
>
> What was the purpose of building these?  'core-updates' is built upon on
> the earlier, unverified, reduced binary seed bootstrap binaries.

I wanted to check that the bootstrap-tarballs machinery still worked
after merging the branch, since it was non-trivial.  Mainly to make the
commit that created them reachable forever, but maybe we don't need it.

>> @Mark: do you think we are ready to merge this now?  Can you do it?
>
> I think what needs to be done is the following:
>
> (1) commit 78ced7975b0665e810834391d826c9f0ef7277e1 on 'wip-binaries'
>     should be reverted, to downgrade mescc-tools to the 0.5.2 release.
>
> (2) The 'wip-binaries' tarballs should be uploaded to a new subdirectory
>     of <https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/>, along
>     with digital signatures, of course.  I'm talking about these in
>     particular:
>
>     3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  gui=
le-static-stripped-2.2.4-i686-linux.tar.xz
>     1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  lin=
ux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>     021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mes=
cc-tools-static-stripped-0.5.2-i686-linux.tar.xz
>     fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes=
-minimal-stripped-0.19-i686-linux.tar.xz
>     c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  sta=
tic-binaries-0-i686-linux.tar.xz
>
> (3) The following bootstrap packages in 'core-updates' bootstrap.scm
>     should be updated to use the new binaries above:
>
>      (a) %bootstrap-linux-libre-headers
>      (b) %bootstrap-mescc-tools
>      (c) %bootstrap-mes
>
> (4) Berlin should start rebuilding 'core-updates'.
>
> If desired, steps (3) and (4) could come before (2) if someone
> temporarily uploads the new binaries somewhere else, and adjusts
> '%bootstrap-base-urls' accordingly.  The key is for the hashes and file
> names to match what we've agreed on here, as I listed in (2) above.
>
> What do you think?

Thank you for the excellent summary.  I can look into adjusting the bash
fix for 5.0, and updating the bootstrap binary URLs and hashes.  I will
do this in a 'core-updates-next' branch.  I would also like to merge
wip-binaries into it as a final step, unless someone has objections.

Ludovic should be back in a couple of days and can hopefully take care
of the uploads.

Ricardo: can you instruct Cuirass to add a reduced jobset for
'core-updates-next', that only builds builds the "core" package subset?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl1UZ3YACgkQoqBt8qM6
VPrb4Qf/W6gi8ZSes1eH2Wd6Fn9R7kgLIeFK1mpVJc4aaXIfB+0M5BJol7k882qh
oLpkVyEH/cWwmaOdhegmIPeDztQKNhDDHQibOJis2/Eg9KIhi5JlI4A9HrUE6zsJ
t3L1ID7l4Ykojlx2RBVbvtHDKqf69rc8UxTyaR7hPV8eYCTc0aRsqueYpx4XYToq
L2ADyEEXjrY6oVcG5wlTqr5XBWN3afU+g/4d4oB3FLMQ44jwXz+w8f9ulp0IPE1+
CxLCIFp57n5Ef65sYlPmzdyT8SXEezcla0/CHr8vGccXnPb/6l0SsR6yYtPfyFF1
Ttd7wGTyGEbJB+vbJOxYpje7SjvhfQ==
=6vry
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 14 Aug 2019 18:43:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 14:43:42 2019
Received: from localhost ([127.0.0.1]:49661 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxyFK-0004iz-6X
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 14:43:42 -0400
Received: from world.peace.net ([64.112.178.59]:42716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hxyFI-0004ii-BP
 for 36747 <at> debbugs.gnu.org; Wed, 14 Aug 2019 14:43:40 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hxyFC-0002jg-Fq; Wed, 14 Aug 2019 14:43:34 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <87v9uz4msh.fsf@HIDDEN> (Mark H. Weaver's message of "Wed, 14
 Aug 2019 14:35:47 -0400")
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
 <87v9uz4msh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
Date: Wed, 14 Aug 2019 14:43:07 -0400
Message-ID: <87pnl74mg9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Earlier I wrote:

[...]
> (3) The following bootstrap packages in 'core-updates' bootstrap.scm
>     should be updated to use the new binaries above:
>
>      (a) %bootstrap-linux-libre-headers
>      (b) %bootstrap-mescc-tools
>      (c) %bootstrap-mes
>
> (4) Berlin should start rebuilding 'core-updates'.
>
> If desired, steps (3) and (4) could come before (2) if someone
> temporarily uploads the new binaries somewhere else, and adjusts
> '%bootstrap-base-urls' accordingly.  The key is for the hashes and file
> names to match what we've agreed on here, as I listed in (2) above.
>
> What do you think?

I should have inserted the following item in the TODO list above:

(3.5) I think that 'bash-4.4-linux-pgrp-pipe.patch', adapted to 5.0, should be
    applied to all 'bash' packages in 'core-updates'.  To be more precise,
    the patch should be applied to the main 'bash' package in bash.scm,
    inherited from all other bash packages, so that PGRP_PIPE is set
    unconditionally set on systems based on Linux (the kernel), regardless
    of the kernel version running on the build machine.

This change would also entail a full rebuild of core-updates, so it
should ideally be done before starting the rebuild.  It's not crucial,
but it would be nice to fix this potential source of non-determinism in
the Bash builds.

      Thanks,
        Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 14 Aug 2019 18:36:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 14:36:22 2019
Received: from localhost ([127.0.0.1]:49653 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxy8D-0004YT-UM
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 14:36:22 -0400
Received: from world.peace.net ([64.112.178.59]:42696)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hxy89-0004YC-PZ
 for 36747 <at> debbugs.gnu.org; Wed, 14 Aug 2019 14:36:18 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hxy83-0002fq-Ae; Wed, 14 Aug 2019 14:36:11 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Marius Bakke <mbakke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN> <87zhkbhd07.fsf@HIDDEN>
Date: Wed, 14 Aug 2019 14:35:47 -0400
In-Reply-To: <87zhkbhd07.fsf@HIDDEN> (Marius Bakke's message of "Wed, 14 Aug
 2019 19:29:12 +0200")
Message-ID: <87v9uz4msh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 36747 <at> debbugs.gnu.org,
 Jan Nieuwenhuizen <janneke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Marius,

Marius Bakke <mbakke@HIDDEN> writes:

> Marius Bakke <mbakke@HIDDEN> writes:
>
>> Jan Nieuwenhuizen <janneke@HIDDEN> writes:
>>
>>> Mark H Weaver writes:
>>>
>>> Hi Mark,
>>>
>>>>> I called that `wip-binaries', @master from three weeks ago.
>>>>
>>>> Thank you, that was a good start.  I found that some additional patches
>>>> were needed to match the bootstrap binaries that 'core-updates' is
>>>> currently based on.
>>>>
>>>> I ended up deleting and repushing a revised 'wip-binaries' to Savannah.
>>>> It includes slightly modified versions of the two commits you had
>>>> included, as well as some additional cherry-picked commits of yours to
>>>> update mescc-tools and add linux-libre-headers-bootstrap-tarball, and a
>>>> few of my own.
>>>
>>> Very nice.
>>>
>>>> I built the new bootstrap tarballs at the new 'wip-binaries', commit
>>>> c67becb31c30a5cd7685f166970ac4793e3a34a9, and here's what I got:
>>>>
>>>> mhw@jojen ~/guix-wip-binaries$ git describe
>>>> v1.0.1-2404-gc67becb31c
>>>> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=i686-linux bootstrap-tarballs
>>>> /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
>>>> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
>>>> mhw@jojen /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0$ sha256sum *
>>>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
>>>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>>>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
>>>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
>>>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz
>>>
>>>> Can you try "guix build --system=i686-linux bootstrap-tarballs" at the
>>>> new 'wip-binaries' branch and see if you get the same results?
>>>
>>> Yes, on c67becb31c30a5cd7685f166970ac4793e3a34a9 running
>>> "./pre-inst-env guix build --system=i686-linux bootstrap-tarballs" gives me exactly this,
>>> also for guile-static-stripped! \o/
>>>
>>>> Also, I have a question: One of the changes I made to 'wip-binaries' was
>>>> to update mescc-tools to 0.5.2-0.bb062b0, to match the
>>>> %bootstrap-mescc-tools that's currently being used in 'core-updates'.
>>>>
>>>> However, I noticed that you have also apparently built the official
>>>> release of mescc-tools-0.5.2, which is on your site:
>>>>
>>>>   http://lilypond.org/janneke/guix/20190722/mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz
>>>>
>>>> and that this tarball is identical to the build output of the later git
>>>> commit: mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz.
>>>>
>>>> With this in mind, could we just use 0.5.2?  What changed between 0.5.2
>>>> and 0.5.2-0.bb062b0, and what was the rationale for updating to bb062b0?
>>>
>>> Good catch.  We probably can, we might try that.
>>>
>>> I think the need for updating to bb062b0 has been removed during the
>>> review of the integration of the reduced binary seed bootstrap into
>>> core-updates by Ludovic.
>>>
>>> For historical reasons, I think this mescc-tools commit
>>>
>>> --8<---------------cut here---------------start------------->8---
>>> commit c184e95096881a13f29ebd7fc507fe305d3d8de5 (gitlab/janneke, janneke)
>>> Author: Jan Nieuwenhuizen <janneke@HIDDEN>
>>> Date:   Thu Oct 4 22:03:31 2018 +0200
>>>
>>>     build.sh: Update for mes 0.18.
>>> --8<---------------cut here---------------end--------------->8---
>>>
>>> was needed at a time that we did not have mescc-tools or mes in
>>> bootstrap tarballs.  We built bootstrap variants of mescc-tools and mes
>>> using a externally (outside fo Guix) built mescc-tools-seed and
>>> (an almost pure ASCII) mes-seed.
>>
>> I tried building the i686 bootstrap tarballs from wip-binaries with this
>> additional patch:
>>
>> diff --git a/gnu/packages/mes.scm b/gnu/packages/mes.scm
>> index e298cb05c1..380cac6c88 100644
>> --- a/gnu/packages/mes.scm
>> +++ b/gnu/packages/mes.scm
>> @@ -139,33 +139,31 @@ Guile.")
>>      (license gpl3+)))
>>  
>>  (define-public mescc-tools
>> -  (let ((commit "bb062b0da7bf2724ca40f9002b121579898d4ef7")
>> -        (revision "0")
>> -        (version "0.5.2"))
>> -    (package
>> -      (name "mescc-tools")
>> -      (version (string-append version "-" revision "." (string-take commit 7)))
>> -      (source (origin
>> -                (method url-fetch)
>> -                (uri (string-append
>> -                      "https://git.savannah.nongnu.org/cgit/mescc-tools.git/snapshot/"
>> -                      name "-" commit
>> -                      ".tar.gz"))
>> -                (sha256
>> -                 (base32
>> -                  "1h6j57wyf91i42b26f8msbv6451cw3nm4nmpl1fckp9c7vi8mwkh"))))
>> -      (build-system gnu-build-system)
>> -      (supported-systems '("i686-linux" "x86_64-linux"))
>> -      (arguments
>> -       `(#:make-flags (list (string-append "PREFIX=" (assoc-ref %outputs "out")))
>> -         #:test-target "test"
>> -         #:phases (modify-phases %standard-phases
>> -                    (delete 'configure))))
>> -      (synopsis "Tools for the full source bootstrapping process")
>> -      (description
>> -       "Mescc-tools is a collection of tools for use in a full source
>> +  (package
>> +    (name "mescc-tools")
>> +    (version "0.5.2")
>> +    (source (origin
>> +              (method url-fetch)
>> +              (uri (string-append
>> +                    "https://git.savannah.nongnu.org/cgit/mescc-tools.git/snapshot/"
>> +                    name "-Release_" version
>> +                    ".tar.gz"))
>> +              (file-name (string-append name "-" version ".tar.gz"))
>> +              (sha256
>> +               (base32
>> +                "01x7bhmgwyf6mc2g1hcvibhps98nllacqm4f0j5l51b1mbi18pc2"))))
>> +    (build-system gnu-build-system)
>> +    (supported-systems '("i686-linux" "x86_64-linux"))
>> +    (arguments
>> +     `(#:make-flags (list (string-append "PREFIX=" (assoc-ref %outputs "out")))
>> +       #:test-target "test"
>> +       #:phases (modify-phases %standard-phases
>> +                  (delete 'configure))))
>> +    (synopsis "Tools for the full source bootstrapping process")
>> +    (description
>> +     "Mescc-tools is a collection of tools for use in a full source
>>  bootstrapping process.  It consists of the M1 macro assembler, the hex2
>>  linker, the blood-elf symbol table generator, the kaem shell, exec_enable and
>>  get_machine.")
>>      (home-page "https://savannah.nongnu.org/projects/mescc-tools")
>> -    (license gpl3+))))
>> +    (license gpl3+)))

I guess this is equivalent to reverting commit
78ced7975b0665e810834391d826c9f0ef7277e1 on the 'wip-binaries' branch,
yes?

>> And got this result:
>>
>> $ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
>> $ sha256sum *
>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz
>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz

Great, looks good to me!

>> I also merged the branch to core-updates and reverted the bash patch,

I think that 'bash-4.4-linux-pgrp-pipe.patch', adapted to 5.0, should be
applied to all 'bash' packages in 'core-updates'.  To be more precise,
the patch should be applied to the main 'bash' package in bash.scm,
inherited from all other bash packages, so that PGRP_PIPE is set
unconditionally set on systems based on Linux (the kernel), regardless
of the kernel version running on the build machine.

>> which produced this derivation for "guix build -d -s i686-linux
>> bootstrap-tarballs":
>>
>> /gnu/store/ld82vli1msfrlimjaryznrqcwm0jc5ii-bootstrap-tarballs-0.drv
>
> Here are the hashes from this derivation:
>
> $ cd /gnu/store/srsqilb3g70r8c7vma0gpam21z1zmg2w-bootstrap-tarballs-0
> $ sha256sum *
> 4e5b219be4d9ad4d125f17b8a8a991e78be3908aadc8d22d1a115e96ec856279  guile-static-stripped-2.2.6-i686-linux.tar.xz
> 9e34b26526b184912b0d97df96e316151fd97ede24aec2f22dd13ed33438b2e4  linux-libre-headers-stripped-4.19.56-i686-linux.tar.xz
> 7db07a7097a7920e17f6f1794098b9f29bc3522c36a33cf797123f64581cdc34  mescc-tools-static-0.5.2-i686-linux.tar.xz
> 3a9b050c1a2b61bb1cbed16ee07aecdc83e9097ce4a914623aa1b9808abe57f4  mes-minimal-stripped-0.19-i686-linux.tar.xz
> 1ccb4f39656eb977706db7a4aa811461785200b0a11e847035bb89fef91b85ab  static-binaries-0-i686-linux.tar.xz

What was the purpose of building these?  'core-updates' is built upon on
the earlier, unverified, reduced binary seed bootstrap binaries.

> @Mark: do you think we are ready to merge this now?  Can you do it?

I think what needs to be done is the following:

(1) commit 78ced7975b0665e810834391d826c9f0ef7277e1 on 'wip-binaries'
    should be reverted, to downgrade mescc-tools to the 0.5.2 release.

(2) The 'wip-binaries' tarballs should be uploaded to a new subdirectory
    of <https://alpha.gnu.org/gnu/guix/bootstrap/i686-linux/>, along
    with digital signatures, of course.  I'm talking about these in
    particular:

    3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
    1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
    021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz
    fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
    c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz

(3) The following bootstrap packages in 'core-updates' bootstrap.scm
    should be updated to use the new binaries above:

     (a) %bootstrap-linux-libre-headers
     (b) %bootstrap-mescc-tools
     (c) %bootstrap-mes

(4) Berlin should start rebuilding 'core-updates'.

If desired, steps (3) and (4) could come before (2) if someone
temporarily uploads the new binaries somewhere else, and adjusts
'%bootstrap-base-urls' accordingly.  The key is for the hashes and file
names to match what we've agreed on here, as I listed in (2) above.

What do you think?

It will be a couple of days before I can do more solid work on this, but
I'd be grateful if others could carry it forward in the meantime.

     Thanks!
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 14 Aug 2019 17:29:25 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 13:29:25 2019
Received: from localhost ([127.0.0.1]:49634 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxx5N-0002bi-HH
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 13:29:25 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:42799)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hxx5M-0002bX-4v
 for 36747 <at> debbugs.gnu.org; Wed, 14 Aug 2019 13:29:20 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id E62C221E1C;
 Wed, 14 Aug 2019 13:29:14 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 14 Aug 2019 13:29:14 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=LN8quFyFhCxrHG6uXSgMncaZQX
 bMgEhzN0uHfdvGSmk=; b=w4B4JvvgmRl+xSskSEUWdFdYS5TuOcqgpUv9QuPDvR
 FmryR9EHt91WF769KdjBHcaeKcZU5GylUKraxLhYOCvIeS0VjTae//5EmAbWywCF
 r83o+Namxe0QZLIFBOE5q6chRWrpoPApgo/F2oUJ6YxPsvpgPkmZlKH1QEjOiGym
 R1tserME6R3gzYgvb/ThXtIeMQ98OHUukkvZbCNIgvhm0Yha6uKPVz6/YgjHTj84
 lkOSCGp6CMXB7i+61HGVz2Ij4T26Jeg6n13XClxalC/pKZecdmje50TQZub1jNCw
 AeO1FKFkzcdGvoXUbEc2q7R5lEnITvBIr5LaDpTSztiQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=LN8quF
 yFhCxrHG6uXSgMncaZQXbMgEhzN0uHfdvGSmk=; b=1iKf1AVS1NdRIfJJtTLLsw
 6ZC3FKU32A+HQs/4w59EhzcXtW7FG8dWrslVdFsb7wo50ErhjpCqw9ucAUMpJ51F
 oGFYcxq5fvo9hLq3Dp3a0Eu7zUr6tEC9n9i69rflUyYpE4dVM2BASPisPYGpoPbg
 p6iWWdXOAxA7k8ij9wmNiWufkZcgiGlRygQJmHw0dIalKRNvyVpYSTF9t6Y/9jtC
 2Hc6F7hBGj/AfuBQnvEzy+tbvmviDj9Lh7qyCrNfJA6pTuX9jeYArpd/BeDszaoP
 dwck5wwoFeNWWrjw/hf4FQjJUMPR528kyVhNjGZ94BD/duIHO0YhL0tZzeYstadA
 ==
X-ME-Sender: <xms:6kRUXQRj5kUJ7_-LrgrvMTkoTg9mDcJDPC96V4r_x3CB-h8bdkc6BQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddruddvledgheduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtre
 ertdertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghs
 thhmrghilhdrtghomheqnecuffhomhgrihhnpehlihhlhihpohhnugdrohhrghdpnhhonh
 hgnhhurdhorhhgnecukfhppeeivddrudeirddvvdeirddugedtnecurfgrrhgrmhepmhgr
 ihhlfhhrohhmpehmsggrkhhkvgesfhgrshhtmhgrihhlrdgtohhmnecuvehluhhsthgvrh
 fuihiivgeptd
X-ME-Proxy: <xmx:6kRUXcjCY1aAt8cT84UNwyR7T7tAvf_TrWHf-Se3yxZuGObUey9m5A>
 <xmx:6kRUXQBYLNqtSlriDY_JZdBJwEvjda9fVbzIVyEPjVmT5t8KVPsnWQ>
 <xmx:6kRUXYgNtd0ykCctsBn9aX2vFn4vg73GvdqZK_-q4XBgEUn7tdYEkQ>
 <xmx:6kRUXTXhVFehgarALXvRfsGU9OjPZid0ZxuNy04YjwKhbRV33LguHQ>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 1057D380086;
 Wed, 14 Aug 2019 13:29:13 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <8736i3iyas.fsf@HIDDEN>
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
 <8736i3iyas.fsf@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Wed, 14 Aug 2019 19:29:12 +0200
Message-ID: <87zhkbhd07.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Marius Bakke <mbakke@HIDDEN> writes:

> Jan Nieuwenhuizen <janneke@HIDDEN> writes:
>
>> Mark H Weaver writes:
>>
>> Hi Mark,
>>
>>>> I called that `wip-binaries', @master from three weeks ago.
>>>
>>> Thank you, that was a good start.  I found that some additional patches
>>> were needed to match the bootstrap binaries that 'core-updates' is
>>> currently based on.
>>>
>>> I ended up deleting and repushing a revised 'wip-binaries' to Savannah.
>>> It includes slightly modified versions of the two commits you had
>>> included, as well as some additional cherry-picked commits of yours to
>>> update mescc-tools and add linux-libre-headers-bootstrap-tarball, and a
>>> few of my own.
>>
>> Very nice.
>>
>>> I built the new bootstrap tarballs at the new 'wip-binaries', commit
>>> c67becb31c30a5cd7685f166970ac4793e3a34a9, and here's what I got:
>>>
>>> mhw@jojen ~/guix-wip-binaries$ git describe
>>> v1.0.1-2404-gc67becb31c
>>> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=3Di68=
6-linux bootstrap-tarballs
>>> /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
>>> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/bg086i2qw1fn2jgbd15d9v91hy=
jrjsb2-bootstrap-tarballs-0
>>> mhw@jojen /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarball=
s-0$ sha256sum *
>>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile=
-static-stripped-2.2.4-i686-linux.tar.xz
>>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux=
-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc=
-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
>>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-m=
inimal-stripped-0.19-i686-linux.tar.xz
>>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  stati=
c-binaries-0-i686-linux.tar.xz
>>
>>> Can you try "guix build --system=3Di686-linux bootstrap-tarballs" at the
>>> new 'wip-binaries' branch and see if you get the same results?
>>
>> Yes, on c67becb31c30a5cd7685f166970ac4793e3a34a9 running
>> "./pre-inst-env guix build --system=3Di686-linux bootstrap-tarballs" giv=
es me exactly this,
>> also for guile-static-stripped! \o/
>>
>>> Also, I have a question: One of the changes I made to 'wip-binaries' was
>>> to update mescc-tools to 0.5.2-0.bb062b0, to match the
>>> %bootstrap-mescc-tools that's currently being used in 'core-updates'.
>>>
>>> However, I noticed that you have also apparently built the official
>>> release of mescc-tools-0.5.2, which is on your site:
>>>
>>>   http://lilypond.org/janneke/guix/20190722/mescc-tools-static-stripped=
-0.5.2-i686-linux.tar.xz
>>>
>>> and that this tarball is identical to the build output of the later git
>>> commit: mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz.
>>>
>>> With this in mind, could we just use 0.5.2?  What changed between 0.5.2
>>> and 0.5.2-0.bb062b0, and what was the rationale for updating to bb062b0?
>>
>> Good catch.  We probably can, we might try that.
>>
>> I think the need for updating to bb062b0 has been removed during the
>> review of the integration of the reduced binary seed bootstrap into
>> core-updates by Ludovic.
>>
>> For historical reasons, I think this mescc-tools commit
>>
>> --8<---------------cut here---------------start------------->8---
>> commit c184e95096881a13f29ebd7fc507fe305d3d8de5 (gitlab/janneke, janneke)
>> Author: Jan Nieuwenhuizen <janneke@HIDDEN>
>> Date:   Thu Oct 4 22:03:31 2018 +0200
>>
>>     build.sh: Update for mes 0.18.
>> --8<---------------cut here---------------end--------------->8---
>>
>> was needed at a time that we did not have mescc-tools or mes in
>> bootstrap tarballs.  We built bootstrap variants of mescc-tools and mes
>> using a externally (outside fo Guix) built mescc-tools-seed and
>> (an almost pure ASCII) mes-seed.
>
> I tried building the i686 bootstrap tarballs from wip-binaries with this
> additional patch:
>
> diff --git a/gnu/packages/mes.scm b/gnu/packages/mes.scm
> index e298cb05c1..380cac6c88 100644
> --- a/gnu/packages/mes.scm
> +++ b/gnu/packages/mes.scm
> @@ -139,33 +139,31 @@ Guile.")
>      (license gpl3+)))
>=20=20
>  (define-public mescc-tools
> -  (let ((commit "bb062b0da7bf2724ca40f9002b121579898d4ef7")
> -        (revision "0")
> -        (version "0.5.2"))
> -    (package
> -      (name "mescc-tools")
> -      (version (string-append version "-" revision "." (string-take comm=
it 7)))
> -      (source (origin
> -                (method url-fetch)
> -                (uri (string-append
> -                      "https://git.savannah.nongnu.org/cgit/mescc-tools.=
git/snapshot/"
> -                      name "-" commit
> -                      ".tar.gz"))
> -                (sha256
> -                 (base32
> -                  "1h6j57wyf91i42b26f8msbv6451cw3nm4nmpl1fckp9c7vi8mwkh"=
))))
> -      (build-system gnu-build-system)
> -      (supported-systems '("i686-linux" "x86_64-linux"))
> -      (arguments
> -       `(#:make-flags (list (string-append "PREFIX=3D" (assoc-ref %outpu=
ts "out")))
> -         #:test-target "test"
> -         #:phases (modify-phases %standard-phases
> -                    (delete 'configure))))
> -      (synopsis "Tools for the full source bootstrapping process")
> -      (description
> -       "Mescc-tools is a collection of tools for use in a full source
> +  (package
> +    (name "mescc-tools")
> +    (version "0.5.2")
> +    (source (origin
> +              (method url-fetch)
> +              (uri (string-append
> +                    "https://git.savannah.nongnu.org/cgit/mescc-tools.gi=
t/snapshot/"
> +                    name "-Release_" version
> +                    ".tar.gz"))
> +              (file-name (string-append name "-" version ".tar.gz"))
> +              (sha256
> +               (base32
> +                "01x7bhmgwyf6mc2g1hcvibhps98nllacqm4f0j5l51b1mbi18pc2"))=
))
> +    (build-system gnu-build-system)
> +    (supported-systems '("i686-linux" "x86_64-linux"))
> +    (arguments
> +     `(#:make-flags (list (string-append "PREFIX=3D" (assoc-ref %outputs=
 "out")))
> +       #:test-target "test"
> +       #:phases (modify-phases %standard-phases
> +                  (delete 'configure))))
> +    (synopsis "Tools for the full source bootstrapping process")
> +    (description
> +     "Mescc-tools is a collection of tools for use in a full source
>  bootstrapping process.  It consists of the M1 macro assembler, the hex2
>  linker, the blood-elf symbol table generator, the kaem shell, exec_enabl=
e and
>  get_machine.")
>      (home-page "https://savannah.nongnu.org/projects/mescc-tools")
> -    (license gpl3+))))
> +    (license gpl3+)))
>
> And got this result:
>
> $ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
> $ sha256sum *
> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-s=
tatic-stripped-2.2.4-i686-linux.tar.xz
> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-l=
ibre-headers-stripped-4.14.67-i686-linux.tar.xz
> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-t=
ools-static-stripped-0.5.2-i686-linux.tar.xz
> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-min=
imal-stripped-0.19-i686-linux.tar.xz
> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-=
binaries-0-i686-linux.tar.xz
>
> I also merged the branch to core-updates and reverted the bash patch,
> which produced this derivation for "guix build -d -s i686-linux
> bootstrap-tarballs":
>
> /gnu/store/ld82vli1msfrlimjaryznrqcwm0jc5ii-bootstrap-tarballs-0.drv

Here are the hashes from this derivation:

$ cd /gnu/store/srsqilb3g70r8c7vma0gpam21z1zmg2w-bootstrap-tarballs-0
$ sha256sum *
4e5b219be4d9ad4d125f17b8a8a991e78be3908aadc8d22d1a115e96ec856279  guile-sta=
tic-stripped-2.2.6-i686-linux.tar.xz
9e34b26526b184912b0d97df96e316151fd97ede24aec2f22dd13ed33438b2e4  linux-lib=
re-headers-stripped-4.19.56-i686-linux.tar.xz
7db07a7097a7920e17f6f1794098b9f29bc3522c36a33cf797123f64581cdc34  mescc-too=
ls-static-0.5.2-i686-linux.tar.xz
3a9b050c1a2b61bb1cbed16ee07aecdc83e9097ce4a914623aa1b9808abe57f4  mes-minim=
al-stripped-0.19-i686-linux.tar.xz
1ccb4f39656eb977706db7a4aa811461785200b0a11e847035bb89fef91b85ab  static-bi=
naries-0-i686-linux.tar.xz

@Mark: do you think we are ready to merge this now?  Can you do it?

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl1UROgACgkQoqBt8qM6
VPrTeAf9FbX5Z8Um/gufD1oRY9qMDEL3sV1bjn3MxFUs4PIYK/FUGEZWhKn6U3Pm
ulaIo6yQjyZ19ZveFRv5SEk/wb1eaOX1x25mndCea8RA+GUqSnu1Lj8i9kfzKjNt
+xwqGyVyjNkY13+yHvdkPC6LPwMqs4uuvvKzw8HySwi8SwTG4ps7tFuvAgMLtSMK
f6GO44+OdjPGZYwgtZzUMht5IdDmuDMRjoWdSfSYfhrWWEb3+DJwgTGFk1jOOaAB
0qAFbOY7xcfARCOfTf2M0nEu5FAae8SyKYcNWvC31qds0aqryxEOTVl/8L8pVA3F
HXUPwgoW5rWiM+SwfxB9Wj9uUIn3HA==
=z3ye
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 14 Aug 2019 15:04:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Aug 14 11:04:08 2019
Received: from localhost ([127.0.0.1]:49584 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxuom-0007C8-8n
	for submit <at> debbugs.gnu.org; Wed, 14 Aug 2019 11:04:08 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:50441)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mbakke@HIDDEN>) id 1hxuol-0007Bg-4v
 for 36747 <at> debbugs.gnu.org; Wed, 14 Aug 2019 11:04:03 -0400
Received: from compute5.internal (compute5.nyi.internal [10.202.2.45])
 by mailout.nyi.internal (Postfix) with ESMTP id 14ED22208E;
 Wed, 14 Aug 2019 11:03:58 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute5.internal (MEProxy); Wed, 14 Aug 2019 11:03:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=fastmail.com; h=
 from:to:cc:subject:in-reply-to:references:date:message-id
 :mime-version:content-type; s=fm3; bh=A5VUAdc9Kh2Hmwc1Wz60TjcLg0
 fxSp8BguUj43WAca0=; b=fAxS3mvPFuuApWDufqjmcXOPDb+i/oRGdJjg6s0gFv
 N0C+zVxqBGjUPQQVU1KvvyjL1L4P+02MCKwOs5sIJijCLwWtzpqXOhWjlMKjQt7+
 LN/9ssvizCT9osZarejEexyiTLqrH0QAnfMIvkG42oGygIU+tae+/2jGqWkGzazP
 l0mbR2bXtujyvpYP+8eQKe6BuXpCWGxBl6hf9btLc7Tmqr46a/jDmcui42nZ7B2x
 nZTfMsLpzUrZSc+C/3iMBXuz7YP6rWLKs63bQ9OvxZ1cRdqjc1Pd+w3etTd94QFI
 R55aHd51WsnlK2FoothIeC9ckj7ktB/DLLwkewIR4OuQ==
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm3; bh=A5VUAd
 c9Kh2Hmwc1Wz60TjcLg0fxSp8BguUj43WAca0=; b=WKGqEETk8bPXU2lElTKzgG
 Td+dpeNcVYxCsPiv/06QkO9eM+E9+ZHukFky0f4LECz3NTh0lwNki/UOc5xrJwYD
 mtB2QiuO7QaJsLyshLYtw1n6Msv4rCEueP+n3/LxMBOQncuefe0eXA5tFri2wEyG
 sofXsMx0A8Fq8frf6R+E2go3cjIZjKDFgHlnLD1eaTGCuR4EEB1X1mozDS5QYPTG
 cw8cgUJqqhyXnEwLtqXDJqLSWDk2fT+YynEAOlLgBnc55o+c/YQGckhoSqA+/89f
 bZcD/Oauh2ZBpJT67bMupHplTrH4wJY8cC2gRR9k4Hb+lQ9VxhZokH/skfhgBenw
 ==
X-ME-Sender: <xms:3SJUXXEZE5hR70nIZbLxq9yGUi9Gp8sjbuIF3YjTyHz2kl52OqF4Bw>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduvddruddvledgvddvucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfqfgfvpdfurfetoffkrfgpnffqhgen
 uceurghilhhouhhtmecufedttdenucenucfjughrpefhvffujghffgffkfggtgesghdtre
 ertdertdenucfhrhhomhepofgrrhhiuhhsuceurghkkhgvuceomhgsrghkkhgvsehfrghs
 thhmrghilhdrtghomheqnecuffhomhgrihhnpehlihhlhihpohhnugdrohhrghenucfkph
 epiedvrdduiedrvddviedrudegtdenucfrrghrrghmpehmrghilhhfrhhomhepmhgsrghk
 khgvsehfrghsthhmrghilhdrtghomhenucevlhhushhtvghrufhiiigvpedt
X-ME-Proxy: <xmx:3SJUXXDkRQJBWsJUyfXBLBj1l8vOYPZJgkFXxN-9BUq4rqg8S7k2NQ>
 <xmx:3SJUXU_HYq2eyM-_Os1wW6R7Fv6Pg2NxJg9KkajqMjt8HSnUWZDEvw>
 <xmx:3SJUXbjiuiKo2JU_brtodSg0ErL9t8r98hZJ5FVqrvsEShtOXS-zOw>
 <xmx:3iJUXcOYaGuBdS_o_b_r5TBJgkygc15eCRIFo96YyVexHfMXgJPfPA>
Received: from localhost (140.226.16.62.customer.cdi.no [62.16.226.140])
 by mail.messagingengine.com (Postfix) with ESMTPA id 502B5380091;
 Wed, 14 Aug 2019 11:03:57 -0400 (EDT)
From: Marius Bakke <mbakke@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>, Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <87mugdbc9r.fsf@HIDDEN>
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN> <87mugdbc9r.fsf@HIDDEN>
User-Agent: Notmuch/0.29.1 (https://notmuchmail.org) Emacs/26.2
 (x86_64-pc-linux-gnu)
Date: Wed, 14 Aug 2019 17:03:55 +0200
Message-ID: <8736i3iyas.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="==-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--==-=-=
Content-Type: multipart/mixed; boundary="=-=-="

--=-=-=
Content-Type: text/plain

Jan Nieuwenhuizen <janneke@HIDDEN> writes:

> Mark H Weaver writes:
>
> Hi Mark,
>
>>> I called that `wip-binaries', @master from three weeks ago.
>>
>> Thank you, that was a good start.  I found that some additional patches
>> were needed to match the bootstrap binaries that 'core-updates' is
>> currently based on.
>>
>> I ended up deleting and repushing a revised 'wip-binaries' to Savannah.
>> It includes slightly modified versions of the two commits you had
>> included, as well as some additional cherry-picked commits of yours to
>> update mescc-tools and add linux-libre-headers-bootstrap-tarball, and a
>> few of my own.
>
> Very nice.
>
>> I built the new bootstrap tarballs at the new 'wip-binaries', commit
>> c67becb31c30a5cd7685f166970ac4793e3a34a9, and here's what I got:
>>
>> mhw@jojen ~/guix-wip-binaries$ git describe
>> v1.0.1-2404-gc67becb31c
>> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=i686-linux bootstrap-tarballs
>> /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
>> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
>> mhw@jojen /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0$ sha256sum *
>> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
>> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz
>
>> Can you try "guix build --system=i686-linux bootstrap-tarballs" at the
>> new 'wip-binaries' branch and see if you get the same results?
>
> Yes, on c67becb31c30a5cd7685f166970ac4793e3a34a9 running
> "./pre-inst-env guix build --system=i686-linux bootstrap-tarballs" gives me exactly this,
> also for guile-static-stripped! \o/
>
>> Also, I have a question: One of the changes I made to 'wip-binaries' was
>> to update mescc-tools to 0.5.2-0.bb062b0, to match the
>> %bootstrap-mescc-tools that's currently being used in 'core-updates'.
>>
>> However, I noticed that you have also apparently built the official
>> release of mescc-tools-0.5.2, which is on your site:
>>
>>   http://lilypond.org/janneke/guix/20190722/mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz
>>
>> and that this tarball is identical to the build output of the later git
>> commit: mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz.
>>
>> With this in mind, could we just use 0.5.2?  What changed between 0.5.2
>> and 0.5.2-0.bb062b0, and what was the rationale for updating to bb062b0?
>
> Good catch.  We probably can, we might try that.
>
> I think the need for updating to bb062b0 has been removed during the
> review of the integration of the reduced binary seed bootstrap into
> core-updates by Ludovic.
>
> For historical reasons, I think this mescc-tools commit
>
> --8<---------------cut here---------------start------------->8---
> commit c184e95096881a13f29ebd7fc507fe305d3d8de5 (gitlab/janneke, janneke)
> Author: Jan Nieuwenhuizen <janneke@HIDDEN>
> Date:   Thu Oct 4 22:03:31 2018 +0200
>
>     build.sh: Update for mes 0.18.
> --8<---------------cut here---------------end--------------->8---
>
> was needed at a time that we did not have mescc-tools or mes in
> bootstrap tarballs.  We built bootstrap variants of mescc-tools and mes
> using a externally (outside fo Guix) built mescc-tools-seed and
> (an almost pure ASCII) mes-seed.

I tried building the i686 bootstrap tarballs from wip-binaries with this
additional patch:


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline; filename=mes.diff
Content-Transfer-Encoding: quoted-printable

diff --git a/gnu/packages/mes.scm b/gnu/packages/mes.scm
index e298cb05c1..380cac6c88 100644
=2D-- a/gnu/packages/mes.scm
+++ b/gnu/packages/mes.scm
@@ -139,33 +139,31 @@ Guile.")
     (license gpl3+)))
=20
 (define-public mescc-tools
=2D  (let ((commit "bb062b0da7bf2724ca40f9002b121579898d4ef7")
=2D        (revision "0")
=2D        (version "0.5.2"))
=2D    (package
=2D      (name "mescc-tools")
=2D      (version (string-append version "-" revision "." (string-take comm=
it 7)))
=2D      (source (origin
=2D                (method url-fetch)
=2D                (uri (string-append
=2D                      "https://git.savannah.nongnu.org/cgit/mescc-tools.=
git/snapshot/"
=2D                      name "-" commit
=2D                      ".tar.gz"))
=2D                (sha256
=2D                 (base32
=2D                  "1h6j57wyf91i42b26f8msbv6451cw3nm4nmpl1fckp9c7vi8mwkh"=
))))
=2D      (build-system gnu-build-system)
=2D      (supported-systems '("i686-linux" "x86_64-linux"))
=2D      (arguments
=2D       `(#:make-flags (list (string-append "PREFIX=3D" (assoc-ref %outpu=
ts "out")))
=2D         #:test-target "test"
=2D         #:phases (modify-phases %standard-phases
=2D                    (delete 'configure))))
=2D      (synopsis "Tools for the full source bootstrapping process")
=2D      (description
=2D       "Mescc-tools is a collection of tools for use in a full source
+  (package
+    (name "mescc-tools")
+    (version "0.5.2")
+    (source (origin
+              (method url-fetch)
+              (uri (string-append
+                    "https://git.savannah.nongnu.org/cgit/mescc-tools.git/=
snapshot/"
+                    name "-Release_" version
+                    ".tar.gz"))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "01x7bhmgwyf6mc2g1hcvibhps98nllacqm4f0j5l51b1mbi18pc2"))))
+    (build-system gnu-build-system)
+    (supported-systems '("i686-linux" "x86_64-linux"))
+    (arguments
+     `(#:make-flags (list (string-append "PREFIX=3D" (assoc-ref %outputs "=
out")))
+       #:test-target "test"
+       #:phases (modify-phases %standard-phases
+                  (delete 'configure))))
+    (synopsis "Tools for the full source bootstrapping process")
+    (description
+     "Mescc-tools is a collection of tools for use in a full source
 bootstrapping process.  It consists of the M1 macro assembler, the hex2
 linker, the blood-elf symbol table generator, the kaem shell, exec_enable =
and
 get_machine.")
     (home-page "https://savannah.nongnu.org/projects/mescc-tools")
=2D    (license gpl3+))))
+    (license gpl3+)))

--=-=-=
Content-Type: text/plain


And got this result:

$ cd /gnu/store/rdwyr8mh7dvhfkb5g4cws6q40hp23rbi-bootstrap-tarballs-0
$ sha256sum *
3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz

I also merged the branch to core-updates and reverted the bash patch,
which produced this derivation for "guix build -d -s i686-linux
bootstrap-tarballs":

/gnu/store/ld82vli1msfrlimjaryznrqcwm0jc5ii-bootstrap-tarballs-0.drv

I will report back with hashes once it finishes building.  It would be
great if someone else could try to resolve the merge and see if they get
the same derivation.

--=-=-=--

--==-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEu7At3yzq9qgNHeZDoqBt8qM6VPoFAl1UItsACgkQoqBt8qM6
VPqTUAf+KginaSq7wY/hWl+fb1Mz9mCWAJsReukB7pnVvV081ESR65pXc7NuMkZq
B1S1FguPrB6pu68l9JdhfwLFSSjX0GfIS+9kVL7OyjNWA6HFHjiuq+o0XjMPomPz
03Kc8yyC+n9nMYJe6nGsC12WZ6ktVnEQhCCwUw74BjvxgUx5/DJ4XQ/V68Qt+YH0
1onByXaxMrDhBd8JpGUAUPRO/Cmh8vQAlGXkE+asrRmHH1BBv6lb1mlGS46XMTSg
dOrxA+nLmxrk/HUycmY/S9Q1OgDKKlNDBub8zlnZmnnJ3hSe5v8wdITZjBS+qHAP
RXL4zuAI3mVWFo5vQQlsTG0ndNCF0g==
=UXHE
-----END PGP SIGNATURE-----
--==-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 13 Aug 2019 10:17:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 13 06:17:19 2019
Received: from localhost ([127.0.0.1]:47717 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxTri-00073f-Hp
	for submit <at> debbugs.gnu.org; Tue, 13 Aug 2019 06:17:18 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48234)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1hxTre-00073N-E1
 for 36747 <at> debbugs.gnu.org; Tue, 13 Aug 2019 06:17:17 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:36105)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1hxTrZ-0000Lq-7X; Tue, 13 Aug 2019 06:17:09 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=36996
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1hxTrY-0003gw-JV; Tue, 13 Aug 2019 06:17:08 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
Organization: AvatarAcademy.nl
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
 <8736i5a7mb.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 13 Aug 2019 12:17:04 +0200
In-Reply-To: <8736i5a7mb.fsf@HIDDEN> (Mark H. Weaver's message of "Tue, 13
 Aug 2019 02:42:25 -0400")
Message-ID: <87mugdbc9r.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mark H Weaver writes:

Hi Mark,

>> I called that `wip-binaries', @master from three weeks ago.
>
> Thank you, that was a good start.  I found that some additional patches
> were needed to match the bootstrap binaries that 'core-updates' is
> currently based on.
>
> I ended up deleting and repushing a revised 'wip-binaries' to Savannah.
> It includes slightly modified versions of the two commits you had
> included, as well as some additional cherry-picked commits of yours to
> update mescc-tools and add linux-libre-headers-bootstrap-tarball, and a
> few of my own.

Very nice.

> I built the new bootstrap tarballs at the new 'wip-binaries', commit
> c67becb31c30a5cd7685f166970ac4793e3a34a9, and here's what I got:
>
> mhw@jojen ~/guix-wip-binaries$ git describe
> v1.0.1-2404-gc67becb31c
> mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=3Di686-=
linux bootstrap-tarballs
> /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
> mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjr=
jsb2-bootstrap-tarballs-0
> mhw@jojen /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-=
0$ sha256sum *
> 3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-s=
tatic-stripped-2.2.4-i686-linux.tar.xz
> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-l=
ibre-headers-stripped-4.14.67-i686-linux.tar.xz
> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-t=
ools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-min=
imal-stripped-0.19-i686-linux.tar.xz
> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-=
binaries-0-i686-linux.tar.xz

> Can you try "guix build --system=3Di686-linux bootstrap-tarballs" at the
> new 'wip-binaries' branch and see if you get the same results?

Yes, on c67becb31c30a5cd7685f166970ac4793e3a34a9 running
"./pre-inst-env guix build --system=3Di686-linux bootstrap-tarballs" gives =
me exactly this,
also for guile-static-stripped! \o/

> Also, I have a question: One of the changes I made to 'wip-binaries' was
> to update mescc-tools to 0.5.2-0.bb062b0, to match the
> %bootstrap-mescc-tools that's currently being used in 'core-updates'.
>
> However, I noticed that you have also apparently built the official
> release of mescc-tools-0.5.2, which is on your site:
>
>   http://lilypond.org/janneke/guix/20190722/mescc-tools-static-stripped-0=
.5.2-i686-linux.tar.xz
>
> and that this tarball is identical to the build output of the later git
> commit: mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz.
>
> With this in mind, could we just use 0.5.2?  What changed between 0.5.2
> and 0.5.2-0.bb062b0, and what was the rationale for updating to bb062b0?

Good catch.  We probably can, we might try that.

I think the need for updating to bb062b0 has been removed during the
review of the integration of the reduced binary seed bootstrap into
core-updates by Ludovic.

For historical reasons, I think this mescc-tools commit

--8<---------------cut here---------------start------------->8---
commit c184e95096881a13f29ebd7fc507fe305d3d8de5 (gitlab/janneke, janneke)
Author: Jan Nieuwenhuizen <janneke@HIDDEN>
Date:   Thu Oct 4 22:03:31 2018 +0200

    build.sh: Update for mes 0.18.
--8<---------------cut here---------------end--------------->8---

was needed at a time that we did not have mescc-tools or mes in
bootstrap tarballs.  We built bootstrap variants of mescc-tools and mes
using a externally (outside fo Guix) built mescc-tools-seed and
(an almost pure ASCII) mes-seed.

Greetings,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 13 Aug 2019 06:42:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Aug 13 02:42:56 2019
Received: from localhost ([127.0.0.1]:47617 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hxQWF-000175-Kc
	for submit <at> debbugs.gnu.org; Tue, 13 Aug 2019 02:42:55 -0400
Received: from world.peace.net ([64.112.178.59]:38460)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hxQWD-00016q-ML
 for 36747 <at> debbugs.gnu.org; Tue, 13 Aug 2019 02:42:54 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hxQW7-0004Q5-I9; Tue, 13 Aug 2019 02:42:47 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN> <87h86mdaex.fsf@HIDDEN>
Date: Tue, 13 Aug 2019 02:42:25 -0400
In-Reply-To: <87h86mdaex.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Mon, 12
 Aug 2019 11:01:58 +0200")
Message-ID: <8736i5a7mb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Janneke,

Jan Nieuwenhuizen <janneke@HIDDEN> writes:

> Mark H Weaver writes:
>
>> It seems to me that the best way to accomplish this is to backport the
>> new '%bootstrap-tarballs' from 'wip-cu-binaries' to the 'master' branch.
>
> I called that `wip-binaries', @master from three weeks ago.

Thank you, that was a good start.  I found that some additional patches
were needed to match the bootstrap binaries that 'core-updates' is
currently based on.

I ended up deleting and repushing a revised 'wip-binaries' to Savannah.
It includes slightly modified versions of the two commits you had
included, as well as some additional cherry-picked commits of yours to
update mescc-tools and add linux-libre-headers-bootstrap-tarball, and a
few of my own.

I built the new bootstrap tarballs at the new 'wip-binaries', commit
c67becb31c30a5cd7685f166970ac4793e3a34a9, and here's what I got:

--8<---------------cut here---------------start------------->8---
mhw@jojen ~/guix-wip-binaries$ git describe
v1.0.1-2404-gc67becb31c
mhw@jojen ~/guix-wip-binaries$ ./pre-inst-env guix build --system=i686-linux bootstrap-tarballs
/gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
mhw@jojen ~/guix-wip-binaries$ cd /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0
mhw@jojen /gnu/store/bg086i2qw1fn2jgbd15d9v91hyjrjsb2-bootstrap-tarballs-0$ sha256sum *
3e50c070a100b6bcf84c4bf5c868f9cd0a9fd1570f5d82fbfb78f8411959091b  guile-static-stripped-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  static-binaries-0-i686-linux.tar.xz
--8<---------------cut here---------------end--------------->8---

All of these match what you posted here earlier except for
guile-static-stripped-2.2.4.  In my final commit to 'wip-binaries'
I disabled the parallel build in guile-static, which I hope might
make that build deterministic.

Can you try "guix build --system=i686-linux bootstrap-tarballs" at the
new 'wip-binaries' branch and see if you get the same results?

Also, I have a question: One of the changes I made to 'wip-binaries' was
to update mescc-tools to 0.5.2-0.bb062b0, to match the
%bootstrap-mescc-tools that's currently being used in 'core-updates'.

However, I noticed that you have also apparently built the official
release of mescc-tools-0.5.2, which is on your site:

  http://lilypond.org/janneke/guix/20190722/mescc-tools-static-stripped-0.5.2-i686-linux.tar.xz

and that this tarball is identical to the build output of the later git
commit: mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz.

With this in mind, could we just use 0.5.2?  What changed between 0.5.2
and 0.5.2-0.bb062b0, and what was the rationale for updating to bb062b0?
Here's the relevant commit:

  commit 7cbf6f1ca268a7a179d715aaba2a451a8886ab44
  Author: Jan Nieuwenhuizen <janneke@HIDDEN>
  Date:   Fri Oct 12 08:19:53 2018 +0200
  
      gnu: mescc-tools: Update to 0.5.2-0.bb062b0d.
      
      * gnu/packages/mes.scm (mescc-tools): Update to 0.5.2-0.bb062b0d.
      mescc
      * gnu/packages/commencement.scm (mescc-tools-boot): Stay at 0.5.2

Anyway, thanks for all of your work on this.

     Best,
      Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 12 Aug 2019 09:02:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 05:02:11 2019
Received: from localhost ([127.0.0.1]:46083 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hx6DS-0007ih-Vj
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 05:02:11 -0400
Received: from eggs.gnu.org ([209.51.188.92]:53494)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1hx6DR-0007iP-58
 for 36747 <at> debbugs.gnu.org; Mon, 12 Aug 2019 05:02:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47034)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1hx6DK-0005Cl-Je; Mon, 12 Aug 2019 05:02:02 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=41918
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1hx6DK-0002xD-0Z; Mon, 12 Aug 2019 05:02:02 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
Organization: AvatarAcademy.nl
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
 <87zhke97xj.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Mon, 12 Aug 2019 11:01:58 +0200
In-Reply-To: <87zhke97xj.fsf@HIDDEN> (Mark H. Weaver's message of "Mon, 12
 Aug 2019 03:08:45 -0400")
Message-ID: <87h86mdaex.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mark H Weaver writes:

> It seems to me that the best way to accomplish this is to backport the
> new '%bootstrap-tarballs' from 'wip-cu-binaries' to the 'master' branch.

I called that `wip-binaries', @master from three weeks ago.

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 12 Aug 2019 07:09:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 03:09:13 2019
Received: from localhost ([127.0.0.1]:46055 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hx4S8-0004ZF-PR
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 03:09:13 -0400
Received: from world.peace.net ([64.112.178.59]:35120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hx4S7-0004Yn-Cw
 for 36747 <at> debbugs.gnu.org; Mon, 12 Aug 2019 03:09:11 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hx4S1-0005kD-1w; Mon, 12 Aug 2019 03:09:05 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <875znt2hlc.fsf@HIDDEN>
Date: Mon, 12 Aug 2019 03:08:45 -0400
In-Reply-To: <875znt2hlc.fsf@HIDDEN> ("Ludovic
 \=\?utf-8\?Q\?Court\=C3\=A8s\=22'\?\=
 \=\?utf-8\?Q\?s\?\= message of "Tue, 23 Jul 2019 12:03:27 +0200")
Message-ID: <87zhke97xj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludovic,

Ludovic Court=C3=A8s <ludo@HIDDEN> writes:

> Mark H Weaver <mhw@HIDDEN> skribis:
>
>>> I have added a very similar set of two patches to wip-cu-binaries,
>>> branched @ ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.
>>>
>>> They give the same md5sum for me as the wip-binaries branch that
>>> branched off of master; so mine are at
>>> http://lilypond.org/janneke/guix/20190722/
>>
>> I built these, and here are the results:
>>
>> mhw@jojen /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs=
-0$ sha256sum *
>> b5915c71ff5ea722864e1097ce1e7ed50fd68ad7544521f2dd6969173c260276  guile-=
static-stripped-2.2.4-i686-linux.tar.xz
>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-=
libre-headers-stripped-4.14.67-i686-linux.tar.xz
>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-=
tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-mi=
nimal-stripped-0.19-i686-linux.tar.xz
>> 9ee954dc19db5c8d4113c73a702fd8f79f26c51024220f2617d0572c0a85e69c  static=
-binaries-0-i686-linux.tar.xz
>>
>> Do these match what you built?
>
> We verified things back then:
>
>   https://lists.gnu.org/archive/html/guix-devel/2018-12/msg00046.html
>
> This was on commit 4ae7dc7b9af64794081b1913740b97acd89c91bc, which is
> earlier than the one you=E2=80=99re looking at (commit
> ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f, right?)

Yes.  However, I just noticed a more serious problem.

The "independent verification" that you and I performed at commit
4ae7dc7b9af64794081b1913740b97acd89c91bc was bogus, because at that
commit, %bootstrap-inputs had already been changed to use an earlier
draft of the reduced binary seed, based on unverified bootstrap tarballs
downloaded from lilypond.org.

In order to perform a truly independent verification, we need to build
the new bootstrap binaries without using the new bootstrap binaries.
Otherwise our verification is circular.

It seems to me that the best way to accomplish this is to backport the
new '%bootstrap-tarballs' from 'wip-cu-binaries' to the 'master' branch.

What do you think?

      Thanks,
        Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 12 Aug 2019 04:11:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 12 00:11:34 2019
Received: from localhost ([127.0.0.1]:46025 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hx1gE-0007vR-M0
	for submit <at> debbugs.gnu.org; Mon, 12 Aug 2019 00:11:34 -0400
Received: from world.peace.net ([64.112.178.59]:34874)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hx1gD-0007v4-60
 for 36747 <at> debbugs.gnu.org; Mon, 12 Aug 2019 00:11:33 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hx1g7-0004iD-Ku; Mon, 12 Aug 2019 00:11:27 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <87o91luuvs.fsf@HIDDEN>
 <878srz9qrm.fsf@HIDDEN>
Date: Mon, 12 Aug 2019 00:11:08 -0400
In-Reply-To: <878srz9qrm.fsf@HIDDEN> (Mark H. Weaver's message of "Sun, 11
 Aug 2019 20:21:54 -0400")
Message-ID: <874l2n9g5k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I wrote earlier:

> There are two bootstrap tarballs that differ:
>
> (1) static-binaries
> (2) guile-static-stripped
>
> In this message, I'll address only the 'static-binaries'.
>
> The only difference in the static-binaries is bash.  It turns out that
> the bash-4.4 configure script produces an incorrect compile-time
> configuration when built on Linux 5.x or later.  It boils down to this
> code in Bash's configure.ac:
>
> linux*)         LOCAL_LDFLAGS=-rdynamic          # allow dynamic loading
>                 case "`uname -r`" in
>                 2.[[456789]]*|[[34]]*)  AC_DEFINE(PGRP_PIPE) ;;
>                 esac ;;

I pushed a fix for this issue to the 'wip-cu-binaries' branch, commit
eefabc1db04c91d6954306e319820cd95190c25d.  With this fix, my
'static-binaries' tarball now matches yours.

What remains is to make 'guile-static-stripped' deterministic.  For now,
I suspect it might be sufficient to build it with #:parallel-build #f,
although of course it would be good to eventually fix the parallel build
to be deterministic.

It would also be good to enable building the bootstrap binaries from a
commit that's somewhere along the linear history of the 'master' branch.

To be continued...

     Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 12 Aug 2019 00:22:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 11 20:22:24 2019
Received: from localhost ([127.0.0.1]:45921 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hwy6P-0001vr-Rr
	for submit <at> debbugs.gnu.org; Sun, 11 Aug 2019 20:22:24 -0400
Received: from world.peace.net ([64.112.178.59]:34452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hwy6N-0001vZ-7o
 for 36747 <at> debbugs.gnu.org; Sun, 11 Aug 2019 20:22:19 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hwy6H-0003Tg-4o; Sun, 11 Aug 2019 20:22:13 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN> <87o91luuvs.fsf@HIDDEN>
Date: Sun, 11 Aug 2019 20:21:54 -0400
In-Reply-To: <87o91luuvs.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Tue, 23
 Jul 2019 08:28:55 +0200")
Message-ID: <878srz9qrm.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jan Nieuwenhuizen <janneke@HIDDEN> writes:

> Mark H Weaver writes:
>
> Hi Mark,
>
>>> I have added a very similar set of two patches to wip-cu-binaries,
>>> branched @ ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.
>>>
>>> They give the same md5sum for me as the wip-binaries branch that
>>> branched off of master; so mine are at
>>> http://lilypond.org/janneke/guix/20190722/
>>
>> I built these, and here are the results:
>>
>> mhw@jojen /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0$ sha256sum *
>> b5915c71ff5ea722864e1097ce1e7ed50fd68ad7544521f2dd6969173c260276  guile-static-stripped-2.2.4-i686-linux.tar.xz
>> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
>> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
>> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
>> 9ee954dc19db5c8d4113c73a702fd8f79f26c51024220f2617d0572c0a85e69c  static-binaries-0-i686-linux.tar.xz
>>
>> Do these match what you built?
>
> Well...
>
> 08:16:12 janneke@dundal:~/src/guix/wip-cu-binaries [env]
> $ sha256sum /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/*
> adce360f68ed0083c7356c267c24271fa4907f8082c9d47db28b603f9da5e763
> /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/guile-static-stripped-2.2.4-i686-linux.tar.xz
> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a
> /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330
> /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0
> /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/mes-minimal-stripped-0.19-i686-linux.tar.xz
> c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7
> /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/static-binaries-0-i686-linux.tar.xz

There are two bootstrap tarballs that differ:

(1) static-binaries
(2) guile-static-stripped

In this message, I'll address only the 'static-binaries'.

The only difference in the static-binaries is bash.  It turns out that
the bash-4.4 configure script produces an incorrect compile-time
configuration when built on Linux 5.x or later.  It boils down to this
code in Bash's configure.ac:

--8<---------------cut here---------------start------------->8---
linux*)         LOCAL_LDFLAGS=-rdynamic          # allow dynamic loading
                case "`uname -r`" in
                2.[[456789]]*|[[34]]*)  AC_DEFINE(PGRP_PIPE) ;;
                esac ;;
--8<---------------cut here---------------end--------------->8---

In bash-5.0, this code has been changed to:

--8<---------------cut here---------------start------------->8---
linux*)         LOCAL_LDFLAGS=-rdynamic          # allow dynamic loading
                case "`uname -r`" in
                1.*|2.[[0123]]*)        : ;;
                *)      AC_DEFINE(PGRP_PIPE) ;;
                esac ;;
--8<---------------cut here---------------end--------------->8---

which is certainly an improvement, but still nondeterministic.  We
should probably fix that.

Anyway, it appears that our static-binaries-0-i686-linux.tar.xz tarball
can only be built correctly on a machine running Linux 4.x or earlier.

       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 23 Jul 2019 10:03:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 23 06:03:38 2019
Received: from localhost ([127.0.0.1]:34087 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hprdx-0001d5-L7
	for submit <at> debbugs.gnu.org; Tue, 23 Jul 2019 06:03:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:43095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1hprdv-0001cs-Rh
 for 36747 <at> debbugs.gnu.org; Tue, 23 Jul 2019 06:03:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:50492)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1hprdq-00061j-Ba; Tue, 23 Jul 2019 06:03:30 -0400
Received: from [2a01:e35:2ffd:930:d5d6:61ca:ae54:d991] (port=42756 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1hprdp-0001KV-Rd; Tue, 23 Jul 2019 06:03:30 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 5 Thermidor an 227 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Tue, 23 Jul 2019 12:03:27 +0200
In-Reply-To: <87lfwpqpb7.fsf@HIDDEN> (Mark H. Weaver's message of "Tue, 23
 Jul 2019 01:42:25 -0400")
Message-ID: <875znt2hlc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org, Jan Nieuwenhuizen <janneke@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Mark,

Mark H Weaver <mhw@HIDDEN> skribis:

> Hi Janneke,
>
>> I have added a very similar set of two patches to wip-cu-binaries,
>> branched @ ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.
>>
>> They give the same md5sum for me as the wip-binaries branch that
>> branched off of master; so mine are at
>> http://lilypond.org/janneke/guix/20190722/
>
> I built these, and here are the results:
>
> mhw@jojen /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-=
0$ sha256sum *
> b5915c71ff5ea722864e1097ce1e7ed50fd68ad7544521f2dd6969173c260276  guile-s=
tatic-stripped-2.2.4-i686-linux.tar.xz
> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-l=
ibre-headers-stripped-4.14.67-i686-linux.tar.xz
> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-t=
ools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-min=
imal-stripped-0.19-i686-linux.tar.xz
> 9ee954dc19db5c8d4113c73a702fd8f79f26c51024220f2617d0572c0a85e69c  static-=
binaries-0-i686-linux.tar.xz
>
> Do these match what you built?

We verified things back then:

  https://lists.gnu.org/archive/html/guix-devel/2018-12/msg00046.html

This was on commit 4ae7dc7b9af64794081b1913740b97acd89c91bc, which is
earlier than the one you=E2=80=99re looking at (commit
ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f, right?)

> For the sake of completeness, I built these by running
>
>   ./pre-inst-env guix build bootstrap-tarballs --system=3Di686-linux
>
> from a git checkout at commit 5a6465e41a84b4320940d33709b80d78c1aff9d0.

Hmm I don=E2=80=99t have this commit here.

I think we should first make sure we=E2=80=99re starting from the right
commits.  Then, if there are still differences, I suggest a cursory look
at the output of =E2=80=98diffoscope=E2=80=99 to see if there=E2=80=99s any=
thing obvious
(non-determinism in .go files is apparently still a problem, for
example.)

Thanks for checking!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 23 Jul 2019 06:29:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 23 02:29:07 2019
Received: from localhost ([127.0.0.1]:33905 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpoIM-0002PF-KX
	for submit <at> debbugs.gnu.org; Tue, 23 Jul 2019 02:29:07 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42044)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1hpoIJ-0002Og-Px
 for 36747 <at> debbugs.gnu.org; Tue, 23 Jul 2019 02:29:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:48154)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1hpoIE-00008L-DW; Tue, 23 Jul 2019 02:28:58 -0400
Received: from mx.verum.com ([31.223.170.65]:17392
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1hpoID-0008F5-Vm; Tue, 23 Jul 2019 02:28:58 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
Organization: AvatarAcademy.nl
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
 <87lfwpqpb7.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Tue, 23 Jul 2019 08:28:55 +0200
In-Reply-To: <87lfwpqpb7.fsf@HIDDEN> (Mark H. Weaver's message of "Tue, 23
 Jul 2019 01:42:25 -0400")
Message-ID: <87o91luuvs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mark H Weaver writes:

Hi Mark,

>> I have added a very similar set of two patches to wip-cu-binaries,
>> branched @ ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.
>>
>> They give the same md5sum for me as the wip-binaries branch that
>> branched off of master; so mine are at
>> http://lilypond.org/janneke/guix/20190722/
>
> I built these, and here are the results:
>
> mhw@jojen /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-=
0$ sha256sum *
> b5915c71ff5ea722864e1097ce1e7ed50fd68ad7544521f2dd6969173c260276  guile-s=
tatic-stripped-2.2.4-i686-linux.tar.xz
> 1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-l=
ibre-headers-stripped-4.14.67-i686-linux.tar.xz
> 021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-t=
ools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
> fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-min=
imal-stripped-0.19-i686-linux.tar.xz
> 9ee954dc19db5c8d4113c73a702fd8f79f26c51024220f2617d0572c0a85e69c  static-=
binaries-0-i686-linux.tar.xz
>
> Do these match what you built?

Well...

08:16:12 janneke@dundal:~/src/guix/wip-cu-binaries [env]
$ sha256sum /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-=
0/*
adce360f68ed0083c7356c267c24271fa4907f8082c9d47db28b603f9da5e763  /gnu/stor=
e/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/guile-static-stripp=
ed-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  /gnu/stor=
e/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/linux-libre-headers=
-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  /gnu/stor=
e/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/mescc-tools-static-=
stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  /gnu/stor=
e/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/mes-minimal-strippe=
d-0.19-i686-linux.tar.xz
c80cdd17b0a24eebdd75570ff72c4ec06e129bd702ac008186b57f6301c448e7  /gnu/stor=
e/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0/static-binaries-0-i=
686-linux.tar.xz

...for mescc-tools and mes: yes.  I have put them all up here: http://lilyp=
ond.org/janneke/guix/20190722

> For the sake of completeness, I built these by running
>
>   ./pre-inst-env guix build bootstrap-tarballs --system=3Di686-linux
>
> from a git checkout at commit 5a6465e41a84b4320940d33709b80d78c1aff9d0.

/me too

>> After this commit should come the update-commit, using them in
>> bootstrap.scm.
>
> Right, except those commits should be applied to the tip of
> 'core-updates', and not until we're sure that these new bootstrap
> binaries are good.

Yes.

> Ludovic, what do you think?

FWIW, I'm working on a mes-0.20 release that supports Nyacc-0.99.0 (and
hopefully 1.0.0) and mescc-tools-0.6 and building on Debian ootb.

There's no real reason to update bootstrap tarballs for those versions
and I cannot promise a release date yet.

Further work on mes-0.21 should bring the Reduced Binary Seed bootstrap
to ARM (lots of work still) and replace the `static-binaries' with Gash,
reducing the size of our bootstrap binaries once again by ~50%.

janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 23 Jul 2019 05:44:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 23 01:44:49 2019
Received: from localhost ([127.0.0.1]:33877 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpnbV-0001Bs-HC
	for submit <at> debbugs.gnu.org; Tue, 23 Jul 2019 01:44:49 -0400
Received: from world.peace.net ([64.112.178.59]:42496)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hpnbT-0001Bc-9U
 for 36747 <at> debbugs.gnu.org; Tue, 23 Jul 2019 01:44:47 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hpnbN-0003Fc-CO; Tue, 23 Jul 2019 01:44:41 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <87pnm2ufv1.fsf@HIDDEN>
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN> <87pnm2ufv1.fsf@HIDDEN>
Date: Tue, 23 Jul 2019 01:42:25 -0400
Message-ID: <87lfwpqpb7.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>, 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Janneke,

> I have added a very similar set of two patches to wip-cu-binaries,
> branched @ ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.
>
> They give the same md5sum for me as the wip-binaries branch that
> branched off of master; so mine are at
> http://lilypond.org/janneke/guix/20190722/

I built these, and here are the results:

--8<---------------cut here---------------start------------->8---
mhw@jojen /gnu/store/hd3lk0f08a0sq40qqa6yv1q9gbk7gxww-bootstrap-tarballs-0$ sha256sum *
b5915c71ff5ea722864e1097ce1e7ed50fd68ad7544521f2dd6969173c260276  guile-static-stripped-2.2.4-i686-linux.tar.xz
1acd8f83e27d2fac311a5ca78e9bf11a9a1638b82469870d5c854c4e7afaa26a  linux-libre-headers-stripped-4.14.67-i686-linux.tar.xz
021543d9bb6af55f39e68d69692e3cb74646ced2cad0bb9ac0047ef81e9d7330  mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz
fb32090071b39fc804fb9a7fba96f0bc5eb844a0efd268fb24c42e6bfa959de0  mes-minimal-stripped-0.19-i686-linux.tar.xz
9ee954dc19db5c8d4113c73a702fd8f79f26c51024220f2617d0572c0a85e69c  static-binaries-0-i686-linux.tar.xz
--8<---------------cut here---------------end--------------->8---

Do these match what you built?

For the sake of completeness, I built these by running

  ./pre-inst-env guix build bootstrap-tarballs --system=i686-linux

from a git checkout at commit 5a6465e41a84b4320940d33709b80d78c1aff9d0.

> After this commit should come the update-commit, using them in
> bootstrap.scm.

Right, except those commits should be applied to the tip of
'core-updates', and not until we're sure that these new bootstrap
binaries are good.

Ludovic, what do you think?

     Thanks,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 22 Jul 2019 17:41:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 22 13:41:20 2019
Received: from localhost ([127.0.0.1]:33586 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpcJM-00050n-2Q
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 13:41:20 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42771)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1hpcJK-00050W-7d
 for 36747 <at> debbugs.gnu.org; Mon, 22 Jul 2019 13:41:18 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35115)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1hpcJE-0007Dq-Rv; Mon, 22 Jul 2019 13:41:12 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=59296
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1hpcJC-0003cp-AD; Mon, 22 Jul 2019 13:41:11 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
Organization: AvatarAcademy.nl
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
 <877e8a79mz.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Mon, 22 Jul 2019 19:41:06 +0200
In-Reply-To: <877e8a79mz.fsf@HIDDEN> (Mark H. Weaver's message of "Mon, 22
 Jul 2019 04:31:48 -0400")
Message-ID: <87pnm2ufv1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Mark H Weaver writes:

Hi Mark,

> Actually, I have a better idea.  How about starting a new branch at
> commit ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f (the commit used to
> build the current bootstrap binaries for core-updates) and applying the
> fixes there?  Then you can push that new branch to savannah, and we can
> build it and see if we get the same thing?  Hopefully, the only
> difference will be those store references in MesCC.
>
> What do you think?

I have added a very similar set of two patches to wip-cu-binaries,
branched @ ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.

They give the same md5sum for me as the wip-binaries branch that
branched off of master; so mine are at
http://lilypond.org/janneke/guix/20190722/

After this commit should come the update-commit, using them in
bootstrap.scm.

HTH,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 22 Jul 2019 08:32:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 22 04:32:54 2019
Received: from localhost ([127.0.0.1]:59920 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpTkc-0005X4-JP
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 04:32:54 -0400
Received: from world.peace.net ([64.112.178.59]:38782)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hpTkb-0005Wq-Mt
 for 36747 <at> debbugs.gnu.org; Mon, 22 Jul 2019 04:32:54 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hpTkV-0004Vc-Od; Mon, 22 Jul 2019 04:32:48 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <87muh6sib4.fsf@HIDDEN>
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
Date: Mon, 22 Jul 2019 04:31:48 -0400
Message-ID: <877e8a79mz.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Janneke,

Jan Nieuwenhuizen <janneke@HIDDEN> wrote:
>> What I need is a way to build the new bootstrap tarballs without using
>> the existing 'core-updates' branch.  I need a way to build them from a
>> branch that's based upon the much older bootstrap binaries that we've
>> been using for many years.  Preferably, they should be built from
>> something close to current 'master'.
>>
>> Is this feasible?
>
> Hmm, I'm not sure how much work it would be.

Actually, I have a better idea.  How about starting a new branch at
commit ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f (the commit used to
build the current bootstrap binaries for core-updates) and applying the
fixes there?  Then you can push that new branch to savannah, and we can
build it and see if we get the same thing?  Hopefully, the only
difference will be those store references in MesCC.

What do you think?

      Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 22 Jul 2019 08:26:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 22 04:26:41 2019
Received: from localhost ([127.0.0.1]:59916 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpTea-0003CN-Rf
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 04:26:41 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39453)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1hpTeZ-0003C7-0T
 for 36747 <at> debbugs.gnu.org; Mon, 22 Jul 2019 04:26:39 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54719)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1hpTeT-000150-SG; Mon, 22 Jul 2019 04:26:33 -0400
Received: from mx.verum.com ([31.223.170.65]:32596
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1hpTeS-0000Mj-LZ; Mon, 22 Jul 2019 04:26:33 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
Organization: AvatarAcademy.nl
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Mon, 22 Jul 2019 10:26:30 +0200
In-Reply-To: <87muh6sib4.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Mon, 22
 Jul 2019 08:18:55 +0200")
Message-ID: <878ssqsceh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jan Nieuwenhuizen writes:

>> What I need is a way to build the new bootstrap tarballs without using
>> the existing 'core-updates' branch.  I need a way to build them from a
>> branch that's based upon the much older bootstrap binaries that we've
>> been using for many years.  Preferably, they should be built from
>> something close to current 'master'.
>>
>> Is this feasible?
>
> Hmm, I'm not sure how much work it would be.  If we're lucky then the
> recipes from gnu/packages/bootstrap.scm for mescc-tools-static-stripped
> and mes-minimal-stripped and their tarballs could be put into and used
> on master to build.  I'll have a look into this.

Yes, this probably works.  I have pushed a `wip-binaries' branch,
branched-off of current master and added recipes for mescc-tools and mes
bootstrap tarballs.

I have put the results of

--8<---------------cut here---------------start------------->8---
./pre-inst-env guix build --system=3Di686-linux mes-minimal-stripped-tarball
./pre-inst-env guix build --system=3Di686-linux mescc-tools-static-stripped=
-tarball
--8<---------------cut here---------------end--------------->8---

here: http://lilypond.org/janneke/guix/20190722/

Once the patches are cleaned-up/we decide how we want it, we can build
and inject the resulting binaries into current core-updates.  I don't
really like it a lot to have built them on a totally new branch but it's
the best we can do right now, I think.

Greetings,
janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 22 Jul 2019 06:26:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 22 02:26:40 2019
Received: from localhost ([127.0.0.1]:59832 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpRmR-0006Ew-UU
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 02:26:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:50471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1hpRmQ-0006Ek-GS
 for 36747 <at> debbugs.gnu.org; Mon, 22 Jul 2019 02:26:38 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52876)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1hpRmL-0005oF-Bb; Mon, 22 Jul 2019 02:26:33 -0400
Received: from mx.verum.com ([31.223.170.65]:36782
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1hpRmK-0008SM-Sm; Mon, 22 Jul 2019 02:26:33 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
Organization: AvatarAcademy.nl
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN> <87muh6sib4.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Mon, 22 Jul 2019 08:26:31 +0200
In-Reply-To: <87muh6sib4.fsf@HIDDEN> (Jan Nieuwenhuizen's message of "Mon, 22
 Jul 2019 08:18:55 +0200")
Message-ID: <87d0i2shyg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Jan Nieuwenhuizen writes:

> Hmm, I'm not sure how much work it would be.  If we're lucky then the
> recipes from gnu/packages/bootstrap.scm

 *gnu/packages/make-bootstrap.scm

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 22 Jul 2019 06:19:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 22 02:19:15 2019
Received: from localhost ([127.0.0.1]:59828 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpRfC-00064a-Rd
	for submit <at> debbugs.gnu.org; Mon, 22 Jul 2019 02:19:15 -0400
Received: from eggs.gnu.org ([209.51.188.92]:48082)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1hpRfA-00064M-7s
 for 36747 <at> debbugs.gnu.org; Mon, 22 Jul 2019 02:19:09 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52822)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1hpRf4-0008JL-Q8; Mon, 22 Jul 2019 02:19:02 -0400
Received: from mx.verum.com ([31.223.170.65]:16491
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1hpRf4-0007nN-BV; Mon, 22 Jul 2019 02:19:02 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
Organization: AvatarAcademy.nl
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
 <87ftmy51kk.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Mon, 22 Jul 2019 08:18:55 +0200
In-Reply-To: <87ftmy51kk.fsf@HIDDEN> (Mark H. Weaver's message of "Sun, 21
 Jul 2019 20:56:16 -0400")
Message-ID: <87muh6sib4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mark H Weaver writes:

Hi Mark,

> I agree that store references should be removed, i.e. the hash component
> of the store file names should be replaced with all eeeeee's.  Note that
> 'e' is never found in a valid Nix base32 hash string.  This is what was
> done in our older bootstrap binaries, which we've been using for many
> years, since the early days of Guix.

Yes, I understand the last bit.  However, it is only now with my failure
to remove them that we found something possiblby fishy?  IWBN if we knew
that the hashes are reproducible before we remove them.  Hmm, that might
be a good argument to have two packages, a merely static/content
stripped version and a hashes-stripped version.

> I'd like to build the new bootstrap binaries, but I'm unsure how to
> proceed.  In your new batch of commits, you reference the commit that
> was used to perform the build:

> I guess that I should build from a checkout of commit
> 2e13b6fff94027158b3de5d3a1469dc9f89b0c39.  However, that commit is not
> on Savannah, as demonstrated by the following URL, which reports "Bad
> commit reference: 2e13b6fff94027158b3de5d3a1469dc9f89b0c39".
>
>   https://git.savannah.gnu.org/cgit/guix.git/commit/?id=3D2e13b6fff940271=
58b3de5d3a1469dc9f89b0c39

Right, that commit is two commits up or my core-updates branch @ gitlab

    https://gitlab.com/janneke/guix @ core-updates=20=20=20=20

it's core-updates plus the two first patches I sent.  I could push a
wip-core-updates branch (but I'll first try the master thing, see
below).

> The other issue is that your proposed new fixes do not seem to apply to
> 'master'.  Did you build the newly fixed bootstrap tarballs from
> something based on 'core-updates'?  If so, that leaves me no way to
> independently verify the new bootstrap without putting my trust in the
> slightly older bootstrap -- the same one that I just failed to
> reproduce.

Ah, hadn't thought about that...

> What I need is a way to build the new bootstrap tarballs without using
> the existing 'core-updates' branch.  I need a way to build them from a
> branch that's based upon the much older bootstrap binaries that we've
> been using for many years.  Preferably, they should be built from
> something close to current 'master'.
>
> Is this feasible?

Hmm, I'm not sure how much work it would be.  If we're lucky then the
recipes from gnu/packages/bootstrap.scm for mescc-tools-static-stripped
and mes-minimal-stripped and their tarballs could be put into and used
on master to build.  I'll have a look into this.

If we could find how you can reproduce the current flawed hash-containing
bootstrap binaries that we have on core-updates, that would be nice...I'm
hoping for Ludo' to step in and say something insightful about the
differences you found :)

janneke

--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 22 Jul 2019 00:58:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 20:58:38 2019
Received: from localhost ([127.0.0.1]:59746 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpMf0-0004f8-99
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 20:58:38 -0400
Received: from world.peace.net ([64.112.178.59]:37368)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hpMez-0004ew-Ba
 for 36747 <at> debbugs.gnu.org; Sun, 21 Jul 2019 20:58:37 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hpMet-0001vu-JS; Sun, 21 Jul 2019 20:58:31 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: Jan Nieuwenhuizen <janneke@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
In-Reply-To: <87ef2j1pgt.fsf@HIDDEN>
References: <875znwcoo9.fsf@HIDDEN> <87ef2j1pgt.fsf@HIDDEN>
Date: Sun, 21 Jul 2019 20:56:16 -0400
Message-ID: <87ftmy51kk.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Janneke,

Thanks very much for the quick response to this issue.

Jan Nieuwenhuizen <janneke@HIDDEN> wrote:
> In any case, if store references are present in bootstrap binaries, then
> they should be reproducible.  Removing store references is one way to
> make them reproducible but I'm not sure if that's the best way?
>
> Making a reference invalid helps making sure that it isn't used.  But if
> it cannot be used anyway, removing it could hide the fact that it may
> differs accros builds, as we are finding out right now.  Thoughts?

I agree that store references should be removed, i.e. the hash component
of the store file names should be replaced with all eeeeee's.  Note that
'e' is never found in a valid Nix base32 hash string.  This is what was
done in our older bootstrap binaries, which we've been using for many
years, since the early days of Guix.

I'd like to build the new bootstrap binaries, but I'm unsure how to
proceed.  In your new batch of commits, you reference the commit that
was used to perform the build:

> From 172ee1045689cd42d2de837ee560d32c43730cc3 Mon Sep 17 00:00:00 2001
> From: Jan Nieuwenhuizen <janneke@HIDDEN>
> Date: Sun, 21 Jul 2019 14:38:52 +0200
> Subject: [PATCH 3/4] bootstrap: bootstrap-mescc-tools: Update.
> 
>     Built with
>         2e13b6fff94027158b3de5d3a1469dc9f89b0c39 bootstrap: mes-minimal-stripped: Remove store references.
> 
>     * gnu/packages/bootstrap.scm (%bootstrap-mescc-tools): Update.

I guess that I should build from a checkout of commit
2e13b6fff94027158b3de5d3a1469dc9f89b0c39.  However, that commit is not
on Savannah, as demonstrated by the following URL, which reports "Bad
commit reference: 2e13b6fff94027158b3de5d3a1469dc9f89b0c39".

  https://git.savannah.gnu.org/cgit/guix.git/commit/?id=2e13b6fff94027158b3de5d3a1469dc9f89b0c39

The other issue is that your proposed new fixes do not seem to apply to
'master'.  Did you build the newly fixed bootstrap tarballs from
something based on 'core-updates'?  If so, that leaves me no way to
independently verify the new bootstrap without putting my trust in the
slightly older bootstrap -- the same one that I just failed to
reproduce.

What I need is a way to build the new bootstrap tarballs without using
the existing 'core-updates' branch.  I need a way to build them from a
branch that's based upon the much older bootstrap binaries that we've
been using for many years.  Preferably, they should be built from
something close to current 'master'.

Is this feasible?

     Thanks,
       Mark




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.
Severity set to 'serious' from 'normal' Request was from Mark H Weaver <mhw@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 36747 <at> debbugs.gnu.org:


Received: (at 36747) by debbugs.gnu.org; 21 Jul 2019 13:34:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 09:34:33 2019
Received: from localhost ([127.0.0.1]:58220 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpByt-0003dy-BK
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 09:34:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35032)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <janneke@HIDDEN>) id 1hpByo-0003df-2u
 for 36747 <at> debbugs.gnu.org; Sun, 21 Jul 2019 09:34:25 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:38532)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <janneke@HIDDEN>)
 id 1hpByh-0002T6-VM; Sun, 21 Jul 2019 09:34:16 -0400
Received: from [2001:980:1b4f:1:42d2:832d:bb59:862] (port=60362
 helo=dundal.peder.onsbrabantnet.nl)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <janneke@HIDDEN>)
 id 1hpByh-0000UE-1I; Sun, 21 Jul 2019 09:34:15 -0400
From: Jan Nieuwenhuizen <janneke@HIDDEN>
To: Mark H Weaver <mhw@HIDDEN>
Subject: Re: bug#36747: Official MesCC bootstrap binaries differ from my
 locally built ones
Organization: AvatarAcademy.nl
References: <875znwcoo9.fsf@HIDDEN>
X-Url: http://AvatarAcademy.nl
Date: Sun, 21 Jul 2019 15:34:10 +0200
In-Reply-To: <875znwcoo9.fsf@HIDDEN> (Mark H. Weaver's message of "Sat, 20
 Jul 2019 18:43:07 -0400")
Message-ID: <87ef2j1pgt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36747
Cc: 36747 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Mark H Weaver writes:

> I'm working to independently verify the new bootstrap binaries.  Toward
> that end, I locally built the new bootstrap tarballs by running the
> following command from a git checkout at commit
> ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.
>
>   ./pre-inst-env guix build bootstrap-tarballs --system=i686-linux
>
> This produces a mescc-tools-static-0.5.2-0.bb062b0-i686-linux.tar.xz
> tarball that differs from the official one.  See below for the precise
> differences, but what they boil down to is that the official tarball
> contains several references to:
>
>   /gnu/store/xjr9rv1p4vgg9sclwzsai17gqi1c1d9j-glibc-2.28
>
> Whereas in my locally built tarball, these references are instead to:
>
>   /gnu/store/ggj9164ahhn1kmdcyl3sm27qsxk46h01-glibc-2.28

Aww, that's not good :(

> First of all, I hope we can agree that our bootstrap binaries shouldn't
> include any references to the store.

I think that is our policy and it is probably safest not to do so; at
least in code.  A piece of documentation can include a string
/gnu/store/.... as long at it is static and not really a reference.

Store references in bootstrap binaries or scripts cannot be used or
depended on: if our bootstrap build is clean those references will not
exist when the bootstrap binaries run.

In any case, if store references are present in bootstrap binaries, then
they should be reproducible.  Removing store references is one way to
make them reproducible but I'm not sure if that's the best way?

Making a reference invalid helps making sure that it isn't used.  But if
it cannot be used anyway, removing it could hide the fact that it may
differs accros builds, as we are finding out right now.  Thoughts?

> However, it also raises the curious question of how I ended up with
> references to a different glibc than the one referenced by the official
> tarball.  Any idea what happened here?

Yes, that's something that I would like to know...

Anyway, I have built a new set of bootstrap binaries for mescc-tools and
mes using attched patches that remove store references (also on my
https://gitlab.com/janneke/guix core-updates).

I have just verified that tcc-boot0 builds by using this local
modification

--8<---------------cut here---------------start------------->8---
15:05:56 janneke@dundal:~/src/guix/core-updates [env]
$ git diff
diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
index 73fc7d3e5e..bca90bec94 100644
--- a/gnu/packages/bootstrap.scm
+++ b/gnu/packages/bootstrap.scm
@@ -288,7 +288,8 @@ or false to signal an error."
 
 (define %bootstrap-base-urls
   ;; This is where the initial binaries come from.
-  '("https://alpha.gnu.org/gnu/guix/bootstrap"
+  '("http://lilypond.org/janneke/guix"
+    "https://alpha.gnu.org/gnu/guix/bootstrap"
     "http://alpha.gnu.org/gnu/guix/bootstrap"
     "ftp://alpha.gnu.org/gnu/guix/bootstrap"
     "http://www.fdn.fr/~lcourtes/software/guix/packages"
--8<---------------cut here---------------end--------------->8---

and running
 
    ./pre-inst-env guix build --system=i686-linux -e '(@@ (gnu packages commencement) tcc-boot0)'

Thanks again for looking into this!

Greetings,
janneke


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0001-bootstrap-mescc-tools-static-stripped-Remove-store-r.patch

From 11c12e30bbdb1a10fd56dc9d5c14548e49b63c12 Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Sun, 21 Jul 2019 11:40:54 +0200
Subject: [PATCH 1/4] bootstrap: mescc-tools-static-stripped: Remove store
 references.

* gnu/packages/make-bootstrap.scm (%mescc-tools-static-stripped): Rename from
%mescc-tools-static; update users.  Remove store references.
---
 gnu/packages/make-bootstrap.scm | 27 +++++++++++++++++++--------
 1 file changed, 19 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.scm
index 2163b646f6..8cc4eef430 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -585,16 +585,27 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
            #t))))
     (inputs `(("gcc" ,%gcc-static)))))
 
-(define %mescc-tools-static
-  ;; A statically linked MesCC Tools for bootstrap.
+(define %mescc-tools-static-stripped
+  ;; A statically linked Mescc Tools with store references removed, for
+  ;; bootstrap.
   (package
     (inherit mescc-tools)
-    (name "mescc-tools-static")
+    (name "mescc-tools-static-stripped")
     (arguments
-     `(#:system "i686-linux"
-       ,@(substitute-keyword-arguments (package-arguments mescc-tools)
-           ((#:make-flags flags)
-            `(cons "CC=gcc -static" ,flags)))))))
+     `(#:make-flags (list (string-append "PREFIX=" (assoc-ref %outputs "out"))
+                          "CC=gcc -static")
+       #:test-target "test"
+       #:phases (modify-phases %standard-phases
+                  (delete 'configure)
+                  (add-after 'install 'strip-store-references
+                    (lambda _
+                      (let* ((out (assoc-ref %outputs "out"))
+                             (bin (string-append out "/bin")))
+                        (for-each (lambda (file)
+                                 (let ((target (string-append bin "/" file)))
+                                   (format #t "strippingg `~a'...~%" target)
+                                   (remove-store-references target)))
+                               '( "M1" "blood-elf" "hex2"))))))))))
 
 (define-public %mes-minimal-stripped
   ;; A minimal Mes without documentation dependencies, for bootstrap.
@@ -791,7 +802,7 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
 
 (define %mescc-tools-bootstrap-tarball
   ;; A tarball with MesCC binary seed.
-  (tarball-package %mescc-tools-static))
+  (tarball-package %mescc-tools-static-stripped))
 
 (define %mes-bootstrap-tarball
   ;; A tarball with Mes ASCII Seed and binary Mes C Library.
-- 
2.21.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0002-bootstrap-mes-minimal-stripped-Remove-store-referenc.patch

From 2e13b6fff94027158b3de5d3a1469dc9f89b0c39 Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Sun, 21 Jul 2019 14:27:07 +0200
Subject: [PATCH 2/4] bootstrap: mes-minimal-stripped: Remove store references.

* gnu/packages/make-bootstrap.scm (%mes-minimal-stripped): Remove store
references.
---
 gnu/packages/make-bootstrap.scm | 15 +++++++++++----
 1 file changed, 11 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/make-bootstrap.scm b/gnu/packages/make-bootstrap.scm
index 8cc4eef430..af89ca8c3c 100644
--- a/gnu/packages/make-bootstrap.scm
+++ b/gnu/packages/make-bootstrap.scm
@@ -621,6 +621,7 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
          #:configure-flags '("--mes")
          #:phases
          (modify-phases %standard-phases
+           (delete 'patch-shebangs)
            (add-after 'install 'strip-install
              (lambda _
                (let* ((out (assoc-ref %outputs "out"))
@@ -628,10 +629,16 @@ for `sh' in $PATH, and without nscd, and with static NSS modules."
                  (delete-file-recursively (string-append out "/lib/guile"))
                  (delete-file-recursively (string-append share "/guile"))
                  (delete-file-recursively (string-append share "/mes/scaffold"))
-                 (for-each
-                  delete-file
-                  (find-files (string-append share  "/mes/lib")
-                              "\\.(h|c)")))))))))))
+
+                 (for-each delete-file
+                           (find-files
+                            (string-append share "/mes/lib") "\\.(h|c)"))
+
+                 (for-each (lambda (dir)
+                             (for-each remove-store-references
+                                       (find-files (string-append out "/" dir)
+                                                   ".*")))
+                           '("bin" "share/mes")))))))))))
 
 (define %guile-static
   ;; A statically-linked Guile that is relocatable--i.e., it can search
-- 
2.21.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0003-bootstrap-bootstrap-mescc-tools-Update.patch

From 172ee1045689cd42d2de837ee560d32c43730cc3 Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Sun, 21 Jul 2019 14:38:52 +0200
Subject: [PATCH 3/4] bootstrap: bootstrap-mescc-tools: Update.

    Built with
        2e13b6fff94027158b3de5d3a1469dc9f89b0c39 bootstrap: mes-minimal-stripped: Remove store references.

    * gnu/packages/bootstrap.scm (%bootstrap-mescc-tools): Update.
---
 gnu/packages/bootstrap.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
index 8dbe52435e..a8a5c93e01 100644
--- a/gnu/packages/bootstrap.scm
+++ b/gnu/packages/bootstrap.scm
@@ -703,7 +703,7 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
   ;; %MESCC-TOOLS-BOOTSTRAP-TARBALL.
   (package
     (name "bootstrap-mescc-tools")
-    (version "0.5.2")
+    (version "1")
     (source #f)
     (build-system trivial-build-system)
     (arguments
@@ -735,12 +735,12 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
             (method url-fetch)
             (uri (map
                   (cute string-append <>
-                        "/i686-linux/20181020/"
-                        "mescc-tools-static-0.5.2-0.bb062b0-i686-linux.tar.xz")
+                        "/i686-linux/20190721/"
+                        "mescc-tools-static-stripped-0.5.2-0.bb062b0-i686-linux.tar.xz")
                   %bootstrap-base-urls))
             (sha256
              (base32
-              "11lniw0vg61kmyhvnwkmcnkci9ym6hbmiksiqggd0hkipbq7hvlz")))))))
+              "0h7sbc5im74gxjx3xybqavq7hacbg7gcl4sznc1mpw67yja49f75")))))))
     (synopsis "Bootstrap binaries of MesCC Tools")
     (description synopsis)
     (home-page #f)
-- 
2.21.0


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline;
 filename=0004-bootstrap-bootstrap-mes-Update.patch

From e316146f23dce4156fc8c5b3b28cd5e180487cda Mon Sep 17 00:00:00 2001
From: Jan Nieuwenhuizen <janneke@HIDDEN>
Date: Sun, 21 Jul 2019 14:42:35 +0200
Subject: [PATCH 4/4] bootstrap: bootstrap-mes: Update.

    Built with
        2e13b6fff94027158b3de5d3a1469dc9f89b0c39 bootstrap: mes-minimal-stripped: Remove store references.

* gnu/packages/bootstrap.scm (%bootstrap-mes): Update.
---
 gnu/packages/bootstrap.scm | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/bootstrap.scm b/gnu/packages/bootstrap.scm
index a8a5c93e01..73fc7d3e5e 100644
--- a/gnu/packages/bootstrap.scm
+++ b/gnu/packages/bootstrap.scm
@@ -752,7 +752,7 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
   ;; %MES-BOOTSTRAP-TARBALL.
   (package
     (name "bootstrap-mes")
-    (version "0")
+    (version "1")
     (source #f)
     (build-system trivial-build-system)
     (arguments
@@ -784,12 +784,12 @@ exec ~a/bin/.gcc-wrapped -B~a/lib \
             (method url-fetch)
             (uri (map
                   (cute string-append <>
-                        "/i686-linux/20181020/"
+                        "/i686-linux/20190721/"
                         "mes-minimal-stripped-0.19-i686-linux.tar.xz")
                   %bootstrap-base-urls))
             (sha256
              (base32
-              "0k7kkl68a6xaadv47ij0nr9jm5ca1ffj38n7f2lg80y72wdkwr9h")))))))
+              "0c8j9p84vx4w8fz6bkxf57wsarq3ng1ka09h18lv3lfxxvnpiak6")))))))
     (supported-systems '("i686-linux" "x86_64-linux"))
     (synopsis "Bootstrap binaries of Mes")
     (description synopsis)
-- 
2.21.0


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable


--=20
Jan Nieuwenhuizen <janneke@HIDDEN> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar=C2=AE http://AvatarAcademy.com

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 20 Jul 2019 22:45:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jul 20 18:45:35 2019
Received: from localhost ([127.0.0.1]:57981 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hoy6g-0007i7-EQ
	for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 18:45:35 -0400
Received: from lists.gnu.org ([209.51.188.17]:39887)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mhw@HIDDEN>) id 1hoy6d-0007hz-UQ
 for submit <at> debbugs.gnu.org; Sat, 20 Jul 2019 18:45:33 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:51142)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <mhw@HIDDEN>) id 1hoy6a-0002nl-Lg
 for bug-guix@HIDDEN; Sat, 20 Jul 2019 18:45:31 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,WEIRD_QUOTING
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <mhw@HIDDEN>) id 1hoy6X-0007Hz-AD
 for bug-guix@HIDDEN; Sat, 20 Jul 2019 18:45:28 -0400
Received: from world.peace.net ([64.112.178.59]:49786)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <mhw@HIDDEN>) id 1hoy6X-0007Fo-4T
 for bug-guix@HIDDEN; Sat, 20 Jul 2019 18:45:25 -0400
Received: from mhw by world.peace.net with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <mhw@HIDDEN>)
 id 1hoy6U-0006Zo-4w; Sat, 20 Jul 2019 18:45:22 -0400
From: Mark H Weaver <mhw@HIDDEN>
To: bug-guix@HIDDEN
Subject: Official MesCC bootstrap binaries differ from my locally built ones
Date: Sat, 20 Jul 2019 18:43:07 -0400
Message-ID: <875znwcoo9.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 64.112.178.59
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

I'm working to independently verify the new bootstrap binaries.  Toward
that end, I locally built the new bootstrap tarballs by running the
following command from a git checkout at commit
ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.

  ./pre-inst-env guix build bootstrap-tarballs --system=3Di686-linux

This produces a mescc-tools-static-0.5.2-0.bb062b0-i686-linux.tar.xz
tarball that differs from the official one.  See below for the precise
differences, but what they boil down to is that the official tarball
contains several references to:

  /gnu/store/xjr9rv1p4vgg9sclwzsai17gqi1c1d9j-glibc-2.28

Whereas in my locally built tarball, these references are instead to:

  /gnu/store/ggj9164ahhn1kmdcyl3sm27qsxk46h01-glibc-2.28

First of all, I hope we can agree that our bootstrap binaries shouldn't
include any references to the store.

However, it also raises the curious question of how I ended up with
references to a different glibc than the one referenced by the official
tarball.  Any idea what happened here?

Note that I have copies of _both_ of the above glibc outputs on my local
machine, as well as their derivations and build logs.  Everything on
this machine is locally built, since I never use substitutes.

--8<---------------cut here---------------start------------->8---
mhw@jojen ~$ guix build --log-file /gnu/store/xjr9rv1p4vgg9sclwzsai17gqi1c1=
d9j-glibc-2.28
/var/log/guix/drvs/s5/s8yb94gdp1ym2hgyyygqrh038gsiqw-glibc-2.28.drv.bz2
mhw@jojen ~$ guix build --log-file /gnu/store/ggj9164ahhn1kmdcyl3sm27qsxk46=
h01-glibc-2.28
/var/log/guix/drvs/wf/yp8sg7afy9m2vlhar8rvmn22w25hmc-glibc-2.28.drv.bz2
--8<---------------cut here---------------end--------------->8---

The glibc referenced in the official MesCC bootstrap binaries was built
on my local machine on 16 December 2018, when I built an earlier version
of the bootstrap binaries for independent verification, using Guix at
commit da3c6a7f19ef1243af725f63c16c8fd92fde33b4.  I've retained them
ever since, because I registered a GC root for them, and I run my
guix-daemon with --gc-keep-derivations=3Dyes and --gc-keep-outputs=3Dyes.

The other glibc, referenced in my locally built MesCC bootstrap binary,
was built only a few hours ago:

--8<---------------cut here---------------start------------->8---
mhw@jojen ~$ ls -l /var/log/guix/drvs/s5/s8yb94gdp1ym2hgyyygqrh038gsiqw-gli=
bc-2.28.drv.bz2 /var/log/guix/drvs/wf/yp8sg7afy9m2vlhar8rvmn22w25hmc-glibc-=
2.28.drv.bz2
-rw-r--r-- 1 root root 285219 Dec 16  2018 /var/log/guix/drvs/s5/s8yb94gdp1=
ym2hgyyygqrh038gsiqw-glibc-2.28.drv.bz2
-rw-r--r-- 1 root root 285154 Jul 20 03:11 /var/log/guix/drvs/wf/yp8sg7afy9=
m2vlhar8rvmn22w25hmc-glibc-2.28.drv.bz2
--8<---------------cut here---------------end--------------->8---

See below for the contents of these two derivations, and further down
for the precise differences between the official MesCC bootstrap
binaries and the ones built on my machine.

Any idea what's going on here?

     Thanks,
       Mark


Comparison of the derivations that produced these two glibc outputs:

--8<---------------cut here---------------start------------->8---
mhw@jojen ~$ cat /gnu/store/s5s8yb94gdp1ym2hgyyygqrh038gsiqw-glibc-2.28.drv=
; echo
Derive([("debug","/gnu/store/p526py2jj23zg378033qa1094kjkvlzk-glibc-2.28-de=
bug","",""),("out","/gnu/store/xjr9rv1p4vgg9sclwzsai17gqi1c1d9j-glibc-2.28"=
,"",""),("static","/gnu/store/ws5z6apb5sg8khg17sk06xhk2pj5g518-glibc-2.28-s=
tatic","","")],[("/gnu/store/0rl51d8dy35mlaggp8j6syfrrgivfhsj-srfi-43.scm.d=
rv",["out"]),("/gnu/store/1dz9ddx84s4lgpcayy71kd01w493ab8f-guile-bootstrap-=
2.0.drv",["out"]),("/gnu/store/22g8aki15frq5cdmq4v32kz7pkd5x3rf-binutils-cr=
oss-boot0-2.31.1.drv",["out"]),("/gnu/store/22qdy2xdjsfzaxq8g9xwsl47ldcc0az=
m-bison-3.0.5.drv",["out"]),("/gnu/store/2bdw2779cqxqczg0k4fci100fnfr6g44-d=
iffutils-boot0-3.6.drv",["out"]),("/gnu/store/2z7q85qm0g37i8p6494yb23n04jsh=
7h4-perl-boot0-5.28.0.drv",["out"]),("/gnu/store/42frdzbk7gkqfhwqaim9yk4li0=
y6ns01-gettext-boot0-0.19.8.1.drv",["out"]),("/gnu/store/5vd6z8f6y78ryr18j3=
4gzy1l7cf9lhc4-texinfo-6.5.drv",["out"]),("/gnu/store/6h6gq4z3gfzpax4kagi5a=
245xb8nfbqf-bootstrap-mes-0.drv",["out"]),("/gnu/store/6vrfl0m6frvb7qg6k1xh=
5kv19n1g63m4-module-import-compiled.drv",["out"]),("/gnu/store/739ssha506n0=
8va2n959vpb2fg0cf5x4-make-boot0-4.2.1.drv",["out"]),("/gnu/store/8921l4sb2y=
3hy054z56q5h08j98fdh41-file-boot0-5.33.drv",["out"]),("/gnu/store/8ckhpzhv7=
64wycnyvkpkvvhw0bx1d4d5-gcc-mesboot-4.9.4.drv",["out"]),("/gnu/store/b52z5r=
shzynh46dl5140v1959y2bc7ng-bash-static-4.4.23.drv",["out"]),("/gnu/store/ds=
fnzzdl7lxdgh5j7wsbwcxaajy662nb-linux-libre-headers-bootstrap-0.drv",["out"]=
),("/gnu/store/fzx2xaih5x4cr3y8m3i6s9xi35jzbyb1-findutils-boot0-4.6.0.drv",=
["out"]),("/gnu/store/g6zayh2j861qhspkn4grl53ikm5nqzcz-gcc-cross-boot0-5.5.=
0.drv",["out"]),("/gnu/store/k6kqmd9vq3zyy9z4r6yns5i0wb4jprsx-module-import=
.drv",["out"]),("/gnu/store/l3rbwq6s3kq2hf9ijizyqyc75qgl776g-gcc-mesboot-wr=
apper-4.7.4.drv",["out"]),("/gnu/store/mb0j1fpzasjx1036hd9dbkdgvk7467gs-lin=
ux-libre-headers-4.14.67.drv",["out"]),("/gnu/store/msmqmwxx2lap7c4lvxjj0l4=
0627pr09r-ld-wrapper-boot0-0.drv",["out"]),("/gnu/store/s6ygb5hnq73yhmbqq91=
a7hm1wq0jn4ba-m4-1.4.18.drv",["out"]),("/gnu/store/scnwi0hfmk6wmc222a61mkgl=
flsb4k82-glibc-2.28.tar.xz.drv",["out"]),("/gnu/store/vlzyim2nn5nznkfa2dspb=
chp4sb70bxq-bootstrap-binaries-0.drv",["out"]),("/gnu/store/yd9vch8dlfif0hg=
kkmjkimc87s41fcrv-bootstrap-mescc-tools-0.5.2.drv",["out"]),("/gnu/store/z2=
rq1cj3f7vjiaxsjrmy4d5shjz6wwwg-glibc-mesboot-2.16.0.drv",["out"])],["/gnu/s=
tore/a245dby8gf25c9ikifgdi5zf9z32wfz9-glibc-2.28-guile-builder"],"i686-linu=
x","/gnu/store/djh3drjx3hnxlx1bsdnixdm3xjbg5v2c-guile-bootstrap-2.0/bin/gui=
le",["--no-auto-compile","-L","/gnu/store/iqr0nr40sg7cgpaxjjg7vibax69nsq8h-=
module-import","/gnu/store/a245dby8gf25c9ikifgdi5zf9z32wfz9-glibc-2.28-guil=
e-builder"],[("GUILE_LOAD_COMPILED_PATH","/gnu/store/plym8lbl9610vj6ylxg70s=
x86s9m3c2b-module-import-compiled"),("allowedReferences","/gnu/store/ay5p74=
13ryib96gr488hp066m8mpw2yi-gcc-cross-boot0-5.5.0-lib /gnu/store/k6h5pi0gjpw=
g4mzb5f0vh8f3hz4abvzz-linux-libre-headers-4.14.67 /gnu/store/8aac1rm5n1q3w6=
l5djhzaw1hwbz6nldj-bash-static-4.4.23 out debug static"),("debug","/gnu/sto=
re/p526py2jj23zg378033qa1094kjkvlzk-glibc-2.28-debug"),("out","/gnu/store/x=
jr9rv1p4vgg9sclwzsai17gqi1c1d9j-glibc-2.28"),("static","/gnu/store/ws5z6apb=
5sg8khg17sk06xhk2pj5g518-glibc-2.28-static")])
mhw@jojen ~$ cat /gnu/store/wfyp8sg7afy9m2vlhar8rvmn22w25hmc-glibc-2.28.drv=
; echo
Derive([("debug","/gnu/store/j9vhacdrjlrv3bzrgbrvigdybvnql09p-glibc-2.28-de=
bug","",""),("out","/gnu/store/ggj9164ahhn1kmdcyl3sm27qsxk46h01-glibc-2.28"=
,"",""),("static","/gnu/store/s10gqbx5m4sz3yn126zfqlrwxaks0slm-glibc-2.28-s=
tatic","","")],[("/gnu/store/4rbgkir0nbsyw47wgm6iha57dlqgd4xr-file-boot0-5.=
33.drv",["out"]),("/gnu/store/7r27xar6limlz2wxis5v078bk8w5wqr4-gettext-boot=
0-0.19.8.1.drv",["out"]),("/gnu/store/7zgc2ikwf87gh3h5zmj6mhnywck5r0l8-boot=
strap-binaries-0.drv",["out"]),("/gnu/store/86ws6viwkkffgs0f2lp25kzc6nq0d0j=
w-m4-1.4.18.drv",["out"]),("/gnu/store/9ai57qjjjd0iq9v99jyini6sy60x92vv-bis=
on-3.2.2.drv",["out"]),("/gnu/store/b2r1g8wds9v60g7q8215lvl7bfidsfy4-glibc-=
2.28.tar.xz.drv",["out"]),("/gnu/store/b5nn5fjkvs06m4vlj853qzza08azcgxj-boo=
tstrap-mes-0.drv",["out"]),("/gnu/store/b75j8fwz1nx5qkg8jz4hqvzbdw8mmsak-ba=
sh-static-4.4.23.drv",["out"]),("/gnu/store/bcybhh9l1075m2rpcw7vxysr9mdncqm=
7-gcc-mesboot-wrapper-4.7.4.drv",["out"]),("/gnu/store/bgqxrpdrrmfvp7n5r0hv=
770gmzdvnbg4-guile-bootstrap-2.0.drv",["out"]),("/gnu/store/cmy9vnca89r58mq=
7y03a4brrsla5rc9r-bootstrap-mescc-tools-0.5.2.drv",["out"]),("/gnu/store/gp=
09w4n2cfxkczrbvw3288gr4cprjgib-gcc-cross-boot0-5.5.0.drv",["out"]),("/gnu/s=
tore/gsmclbr9x7l4gk24jv6snd9bna02vdcb-module-import.drv",["out"]),("/gnu/st=
ore/hjd5zrg6bdqlqxzv2y7jcwmij6r8983x-glibc-mesboot-2.16.0.drv",["out"]),("/=
gnu/store/if9k5sdlfpwsc7rd4b3grmlfwgdb4m5g-perl-boot0-5.28.1.drv",["out"]),=
("/gnu/store/j9z73l4x81xgnxz0skyj0njrqy2nfhxy-gcc-mesboot-4.9.4.drv",["out"=
]),("/gnu/store/jczyw8ihvlh3yy9ypi3rnphgszpwvij7-linux-libre-headers-bootst=
rap-0.drv",["out"]),("/gnu/store/k1j5swxajphrrjcmznmkl6xajq7pnb21-ld-wrappe=
r-boot0-0.drv",["out"]),("/gnu/store/kgizc8jv7id3xyczddj325lh98f8ii0w-modul=
e-import-compiled.drv",["out"]),("/gnu/store/lr079n33vdvik6wmrpkclqpmb4969p=
sv-binutils-cross-boot0-2.31.1.drv",["out"]),("/gnu/store/m7vr8r3gfbq0zklay=
0k7n46lqzwwnzvs-linux-libre-headers-4.14.67.drv",["out"]),("/gnu/store/q0n0=
l5shcnsrgdgqfpzzqzis5p3hwjgn-diffutils-boot0-3.6.drv",["out"]),("/gnu/store=
/q6wfr6nywlgk7hbh46qrddzdkx66r6lr-make-boot0-4.2.1.drv",["out"]),("/gnu/sto=
re/s1jn1lp0kfdd881xvjjkypp1mk9yx7wk-findutils-boot0-4.6.0.drv",["out"]),("/=
gnu/store/v0cahwnlwzmdgvw09fg4sq4hv558n2yy-srfi-43.scm.drv",["out"]),("/gnu=
/store/yg6lplxhwh3iwlagiji5m58wym5r0mb2-texinfo-6.5.drv",["out"])],["/gnu/s=
tore/fc0phdb4hp943vj48mvf7fq0hvc2cijx-glibc-2.28-guile-builder"],"i686-linu=
x","/gnu/store/djh3drjx3hnxlx1bsdnixdm3xjbg5v2c-guile-bootstrap-2.0/bin/gui=
le",["--no-auto-compile","-L","/gnu/store/72ng0zh4qr4lfhaxmz6pgfsn8rcnk85w-=
module-import","/gnu/store/fc0phdb4hp943vj48mvf7fq0hvc2cijx-glibc-2.28-guil=
e-builder"],[("GUILE_LOAD_COMPILED_PATH","/gnu/store/ivfirsrq74c0i76i2ri0r9=
ra78y0llv7-module-import-compiled"),("allowedReferences","/gnu/store/f2w43q=
wpwyi10yqmx23kbwp7giczq25l-gcc-cross-boot0-5.5.0-lib /gnu/store/hwxvrxfyrmc=
rn4i8kzl9gwnkpkrjdkhj-linux-libre-headers-4.14.67 /gnu/store/yz3q2266n3ganh=
ranh7xqg5fs0lkp3py-bash-static-4.4.23 out debug static"),("debug","/gnu/sto=
re/j9vhacdrjlrv3bzrgbrvigdybvnql09p-glibc-2.28-debug"),("out","/gnu/store/g=
gj9164ahhn1kmdcyl3sm27qsxk46h01-glibc-2.28"),("static","/gnu/store/s10gqbx5=
m4sz3yn126zfqlrwxaks0slm-glibc-2.28-static")])
--8<---------------cut here---------------end--------------->8---


Detailed comparison of the official mescc bootstrap tarball contents,
compared to the one I built locally:

--8<---------------cut here---------------start------------->8---
mhw@jojen ~/new-bootstrap-binaries/unpacked-mescc-tools-static$ diff -ru of=
ficial locally-built
Binary files official/blood-elf and locally-built/blood-elf differ
diff -ru official/blood-elf.hex locally-built/blood-elf.hex
--- official/blood-elf.hex	2019-07-20 17:48:02.924329972 -0400
+++ locally-built/blood-elf.hex	2019-07-20 17:48:02.268326719 -0400
@@ -23719,16 +23719,16 @@
 0005e2f0  73 00 4c 41 4e 47 55 41  47 45 00 50 4f 53 49 58  |s.LANGUAGE.PO=
SIX|
 0005e300  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
 *
-0005e320  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-0005e330  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-0005e340  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+0005e320  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+0005e330  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+0005e340  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 0005e350  63 2d 32 2e 32 38 2f 73  68 61 72 65 2f 6c 6f 63  |c-2.28/share/=
loc|
 0005e360  61 6c 65 00 6d 65 73 73  61 67 65 73 00 6c 6c 6f  |ale.messages.=
llo|
 0005e370  00 6c 6c 78 00 49 00 6c  6c 75 00 6c 6c 58 00 6c  |.llx.I.llu.ll=
X.l|
 0005e380  6c 64 00 6c 6c 69 00 72  63 65 00 00 2f 67 6e 75  |ld.lli.rce../=
gnu|
-0005e390  2f 73 74 6f 72 65 2f 78  6a 72 39 72 76 31 70 34  |/store/xjr9rv=
1p4|
-0005e3a0  76 67 67 39 73 63 6c 77  7a 73 61 69 31 37 67 71  |vgg9sclwzsai1=
7gq|
-0005e3b0  69 31 63 31 64 39 6a 2d  67 6c 69 62 63 2d 32 2e  |i1c1d9j-glibc=
-2.|
+0005e390  2f 73 74 6f 72 65 2f 67  67 6a 39 31 36 34 61 68  |/store/ggj916=
4ah|
+0005e3a0  68 6e 31 6b 6d 64 63 79  6c 33 73 6d 32 37 71 73  |hn1kmdcyl3sm2=
7qs|
+0005e3b0  78 6b 34 36 68 30 31 2d  67 6c 69 62 63 2d 32 2e  |xk46h01-glibc=
-2.|
 0005e3c0  32 38 2f 73 68 61 72 65  2f 6c 6f 63 61 6c 65 00  |28/share/loca=
le.|
 0005e3d0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
 0005e3e0  b0 e9 04 08 b0 e9 04 08  58 e8 04 08 90 e8 04 08  |........X....=
...|
@@ -24245,9 +24245,9 @@
 000604e0  61 74 75 73 20 3d 3d 20  5f 5f 47 43 4f 4e 56 5f  |atus =3D=3D _=
_GCONV_|
 000604f0  46 55 4c 4c 5f 4f 55 54  50 55 54 00 5f 5f 6d 62  |FULL_OUTPUT._=
_mb|
 00060500  73 72 74 6f 77 63 73 5f  6c 00 00 00 2f 67 6e 75  |srtowcs_l.../=
gnu|
-00060510  2f 73 74 6f 72 65 2f 78  6a 72 39 72 76 31 70 34  |/store/xjr9rv=
1p4|
-00060520  76 67 67 39 73 63 6c 77  7a 73 61 69 31 37 67 71  |vgg9sclwzsai1=
7gq|
-00060530  69 31 63 31 64 39 6a 2d  67 6c 69 62 63 2d 32 2e  |i1c1d9j-glibc=
-2.|
+00060510  2f 73 74 6f 72 65 2f 67  67 6a 39 31 36 34 61 68  |/store/ggj916=
4ah|
+00060520  68 6e 31 6b 6d 64 63 79  6c 33 73 6d 32 37 71 73  |hn1kmdcyl3sm2=
7qs|
+00060530  78 6b 34 36 68 30 31 2d  67 6c 69 62 63 2d 32 2e  |xk46h01-glibc=
-2.|
 00060540  32 38 2f 6c 69 62 65 78  65 63 2f 67 65 74 63 6f  |28/libexec/ge=
tco|
 00060550  6e 66 00 47 45 54 43 4f  4e 46 5f 44 49 52 00 4c  |nf.GETCONF_DI=
R.L|
 00060560  50 36 34 5f 4f 46 46 36  34 00 4c 50 42 49 47 5f  |P64_OFF64.LPB=
IG_|
@@ -24604,9 +24604,9 @@
 00061bf0  43 53 2d 32 42 45 2f 2f  00 55 4e 49 43 4f 44 45  |CS-2BE//.UNIC=
ODE|
 00061c00  42 49 47 2f 2f 00 00 00  00 00 00 00 00 00 00 00  |BIG//........=
...|
 00061c10  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
-00061c20  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-00061c30  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-00061c40  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+00061c20  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+00061c30  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+00061c40  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 00061c50  63 2d 32 2e 32 38 2f 6c  69 62 2f 67 63 6f 6e 76  |c-2.28/lib/gc=
onv|
 00061c60  00 67 63 6f 6e 76 5f 62  75 69 6c 74 69 6e 2e 63  |.gconv_builti=
n.c|
 00061c70  00 00 00 00 63 6e 74 20  3c 20 73 69 7a 65 6f 66  |....cnt < siz=
eof|
@@ -24707,9 +24707,9 @@
 00062260  5f 5f 67 63 6f 6e 76 5f  74 72 61 6e 73 66 6f 72  |__gconv_trans=
for|
 00062270  6d 5f 69 6e 74 65 72 6e  61 6c 5f 75 63 73 34 00  |m_internal_uc=
s4.|
 00062280  c0 e0 f0 f8 fc 47 43 4f  4e 56 5f 50 41 54 48 00  |.....GCONV_PA=
TH.|
-00062290  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-000622a0  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-000622b0  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+00062290  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+000622a0  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+000622b0  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 000622c0  63 2d 32 2e 32 38 2f 6c  69 62 2f 67 63 6f 6e 76  |c-2.28/lib/gc=
onv|
 000622d0  2f 67 63 6f 6e 76 2d 6d  6f 64 75 6c 65 73 2e 63  |/gconv-module=
s.c|
 000622e0  61 63 68 65 00 67 63 6f  6e 76 5f 64 6c 2e 63 00  |ache.gconv_dl=
.c.|
@@ -28182,9 +28182,9 @@
 00070290  10 00 00 00 01 00 00 00  47 4e 55 00 7f 45 4c 46  |........GNU..=
ELF|
 000702a0  01 01 01 03 00 00 00 00  7f 45 4c 46 01 01 01 00  |.........ELF.=
...|
 000702b0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
-000702c0  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-000702d0  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-000702e0  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+000702c0  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+000702d0  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+000702e0  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 000702f0  63 2d 32 2e 32 38 2f 6c  69 62 2f 00 64 6c 2d 6c  |c-2.28/lib/.d=
l-l|
 00070300  6f 6f 6b 75 70 2e 63 00  20 28 6e 6f 20 76 65 72  |ookup.c. (no =
ver|
 00070310  73 69 6f 6e 20 73 79 6d  62 6f 6c 73 29 00 2c 20  |sion symbols)=
., |
Binary files official/hex2 and locally-built/hex2 differ
diff -ru official/hex2.hex locally-built/hex2.hex
--- official/hex2.hex	2019-07-20 17:48:03.140331043 -0400
+++ locally-built/hex2.hex	2019-07-20 17:48:02.488327810 -0400
@@ -23990,16 +23990,16 @@
 0005f4b0  68 61 72 73 65 74 3d 00  20 09 0a 00 25 73 2f 25  |harset=3D. ..=
.%s/%|
 0005f4c0  73 00 4c 41 4e 47 55 41  47 45 00 50 4f 53 49 58  |s.LANGUAGE.PO=
SIX|
 0005f4d0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
-0005f4e0  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-0005f4f0  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-0005f500  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+0005f4e0  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+0005f4f0  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+0005f500  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 0005f510  63 2d 32 2e 32 38 2f 73  68 61 72 65 2f 6c 6f 63  |c-2.28/share/=
loc|
 0005f520  61 6c 65 00 6d 65 73 73  61 67 65 73 00 6c 6c 6f  |ale.messages.=
llo|
 0005f530  00 6c 6c 78 00 49 00 6c  6c 75 00 6c 6c 58 00 6c  |.llx.I.llu.ll=
X.l|
 0005f540  6c 64 00 6c 6c 69 00 72  63 65 00 00 2f 67 6e 75  |ld.lli.rce../=
gnu|
-0005f550  2f 73 74 6f 72 65 2f 78  6a 72 39 72 76 31 70 34  |/store/xjr9rv=
1p4|
-0005f560  76 67 67 39 73 63 6c 77  7a 73 61 69 31 37 67 71  |vgg9sclwzsai1=
7gq|
-0005f570  69 31 63 31 64 39 6a 2d  67 6c 69 62 63 2d 32 2e  |i1c1d9j-glibc=
-2.|
+0005f550  2f 73 74 6f 72 65 2f 67  67 6a 39 31 36 34 61 68  |/store/ggj916=
4ah|
+0005f560  68 6e 31 6b 6d 64 63 79  6c 33 73 6d 32 37 71 73  |hn1kmdcyl3sm2=
7qs|
+0005f570  78 6b 34 36 68 30 31 2d  67 6c 69 62 63 2d 32 2e  |xk46h01-glibc=
-2.|
 0005f580  32 38 2f 73 68 61 72 65  2f 6c 6f 63 61 6c 65 00  |28/share/loca=
le.|
 0005f590  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
 0005f5a0  b0 f8 04 08 b0 f8 04 08  58 f7 04 08 90 f7 04 08  |........X....=
...|
@@ -24516,9 +24516,9 @@
 000616a0  61 74 75 73 20 3d 3d 20  5f 5f 47 43 4f 4e 56 5f  |atus =3D=3D _=
_GCONV_|
 000616b0  46 55 4c 4c 5f 4f 55 54  50 55 54 00 5f 5f 6d 62  |FULL_OUTPUT._=
_mb|
 000616c0  73 72 74 6f 77 63 73 5f  6c 00 00 00 2f 67 6e 75  |srtowcs_l.../=
gnu|
-000616d0  2f 73 74 6f 72 65 2f 78  6a 72 39 72 76 31 70 34  |/store/xjr9rv=
1p4|
-000616e0  76 67 67 39 73 63 6c 77  7a 73 61 69 31 37 67 71  |vgg9sclwzsai1=
7gq|
-000616f0  69 31 63 31 64 39 6a 2d  67 6c 69 62 63 2d 32 2e  |i1c1d9j-glibc=
-2.|
+000616d0  2f 73 74 6f 72 65 2f 67  67 6a 39 31 36 34 61 68  |/store/ggj916=
4ah|
+000616e0  68 6e 31 6b 6d 64 63 79  6c 33 73 6d 32 37 71 73  |hn1kmdcyl3sm2=
7qs|
+000616f0  78 6b 34 36 68 30 31 2d  67 6c 69 62 63 2d 32 2e  |xk46h01-glibc=
-2.|
 00061700  32 38 2f 6c 69 62 65 78  65 63 2f 67 65 74 63 6f  |28/libexec/ge=
tco|
 00061710  6e 66 00 47 45 54 43 4f  4e 46 5f 44 49 52 00 4c  |nf.GETCONF_DI=
R.L|
 00061720  50 36 34 5f 4f 46 46 36  34 00 4c 50 42 49 47 5f  |P64_OFF64.LPB=
IG_|
@@ -24875,9 +24875,9 @@
 00062db0  43 53 2d 32 42 45 2f 2f  00 55 4e 49 43 4f 44 45  |CS-2BE//.UNIC=
ODE|
 00062dc0  42 49 47 2f 2f 00 00 00  00 00 00 00 00 00 00 00  |BIG//........=
...|
 00062dd0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
-00062de0  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-00062df0  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-00062e00  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+00062de0  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+00062df0  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+00062e00  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 00062e10  63 2d 32 2e 32 38 2f 6c  69 62 2f 67 63 6f 6e 76  |c-2.28/lib/gc=
onv|
 00062e20  00 67 63 6f 6e 76 5f 62  75 69 6c 74 69 6e 2e 63  |.gconv_builti=
n.c|
 00062e30  00 00 00 00 63 6e 74 20  3c 20 73 69 7a 65 6f 66  |....cnt < siz=
eof|
@@ -24978,9 +24978,9 @@
 00063420  5f 5f 67 63 6f 6e 76 5f  74 72 61 6e 73 66 6f 72  |__gconv_trans=
for|
 00063430  6d 5f 69 6e 74 65 72 6e  61 6c 5f 75 63 73 34 00  |m_internal_uc=
s4.|
 00063440  c0 e0 f0 f8 fc 47 43 4f  4e 56 5f 50 41 54 48 00  |.....GCONV_PA=
TH.|
-00063450  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-00063460  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-00063470  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+00063450  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+00063460  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+00063470  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 00063480  63 2d 32 2e 32 38 2f 6c  69 62 2f 67 63 6f 6e 76  |c-2.28/lib/gc=
onv|
 00063490  2f 67 63 6f 6e 76 2d 6d  6f 64 75 6c 65 73 2e 63  |/gconv-module=
s.c|
 000634a0  61 63 68 65 00 67 63 6f  6e 76 5f 64 6c 2e 63 00  |ache.gconv_dl=
.c.|
@@ -28453,9 +28453,9 @@
 00071450  10 00 00 00 01 00 00 00  47 4e 55 00 7f 45 4c 46  |........GNU..=
ELF|
 00071460  01 01 01 03 00 00 00 00  7f 45 4c 46 01 01 01 00  |.........ELF.=
...|
 00071470  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
-00071480  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-00071490  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-000714a0  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+00071480  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+00071490  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+000714a0  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 000714b0  63 2d 32 2e 32 38 2f 6c  69 62 2f 00 64 6c 2d 6c  |c-2.28/lib/.d=
l-l|
 000714c0  6f 6f 6b 75 70 2e 63 00  20 28 6e 6f 20 76 65 72  |ookup.c. (no =
ver|
 000714d0  73 69 6f 6e 20 73 79 6d  62 6f 6c 73 29 00 2c 20  |sion symbols)=
., |
Binary files official/M1 and locally-built/M1 differ
diff -ru official/M1.hex locally-built/M1.hex
--- official/M1.hex	2019-07-20 17:48:03.360332134 -0400
+++ locally-built/M1.hex	2019-07-20 17:48:02.708328901 -0400
@@ -23998,16 +23998,16 @@
 0005f490  68 61 72 73 65 74 3d 00  20 09 0a 00 25 73 2f 25  |harset=3D. ..=
.%s/%|
 0005f4a0  73 00 4c 41 4e 47 55 41  47 45 00 50 4f 53 49 58  |s.LANGUAGE.PO=
SIX|
 0005f4b0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
-0005f4c0  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-0005f4d0  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-0005f4e0  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+0005f4c0  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+0005f4d0  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+0005f4e0  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 0005f4f0  63 2d 32 2e 32 38 2f 73  68 61 72 65 2f 6c 6f 63  |c-2.28/share/=
loc|
 0005f500  61 6c 65 00 6d 65 73 73  61 67 65 73 00 6c 6c 6f  |ale.messages.=
llo|
 0005f510  00 6c 6c 78 00 49 00 6c  6c 75 00 6c 6c 58 00 6c  |.llx.I.llu.ll=
X.l|
 0005f520  6c 64 00 6c 6c 69 00 72  63 65 00 00 2f 67 6e 75  |ld.lli.rce../=
gnu|
-0005f530  2f 73 74 6f 72 65 2f 78  6a 72 39 72 76 31 70 34  |/store/xjr9rv=
1p4|
-0005f540  76 67 67 39 73 63 6c 77  7a 73 61 69 31 37 67 71  |vgg9sclwzsai1=
7gq|
-0005f550  69 31 63 31 64 39 6a 2d  67 6c 69 62 63 2d 32 2e  |i1c1d9j-glibc=
-2.|
+0005f530  2f 73 74 6f 72 65 2f 67  67 6a 39 31 36 34 61 68  |/store/ggj916=
4ah|
+0005f540  68 6e 31 6b 6d 64 63 79  6c 33 73 6d 32 37 71 73  |hn1kmdcyl3sm2=
7qs|
+0005f550  78 6b 34 36 68 30 31 2d  67 6c 69 62 63 2d 32 2e  |xk46h01-glibc=
-2.|
 0005f560  32 38 2f 73 68 61 72 65  2f 6c 6f 63 61 6c 65 00  |28/share/loca=
le.|
 0005f570  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
 0005f580  80 f9 04 08 80 f9 04 08  28 f8 04 08 60 f8 04 08  |........(...`=
...|
@@ -24524,9 +24524,9 @@
 00061680  61 74 75 73 20 3d 3d 20  5f 5f 47 43 4f 4e 56 5f  |atus =3D=3D _=
_GCONV_|
 00061690  46 55 4c 4c 5f 4f 55 54  50 55 54 00 5f 5f 6d 62  |FULL_OUTPUT._=
_mb|
 000616a0  73 72 74 6f 77 63 73 5f  6c 00 00 00 2f 67 6e 75  |srtowcs_l.../=
gnu|
-000616b0  2f 73 74 6f 72 65 2f 78  6a 72 39 72 76 31 70 34  |/store/xjr9rv=
1p4|
-000616c0  76 67 67 39 73 63 6c 77  7a 73 61 69 31 37 67 71  |vgg9sclwzsai1=
7gq|
-000616d0  69 31 63 31 64 39 6a 2d  67 6c 69 62 63 2d 32 2e  |i1c1d9j-glibc=
-2.|
+000616b0  2f 73 74 6f 72 65 2f 67  67 6a 39 31 36 34 61 68  |/store/ggj916=
4ah|
+000616c0  68 6e 31 6b 6d 64 63 79  6c 33 73 6d 32 37 71 73  |hn1kmdcyl3sm2=
7qs|
+000616d0  78 6b 34 36 68 30 31 2d  67 6c 69 62 63 2d 32 2e  |xk46h01-glibc=
-2.|
 000616e0  32 38 2f 6c 69 62 65 78  65 63 2f 67 65 74 63 6f  |28/libexec/ge=
tco|
 000616f0  6e 66 00 47 45 54 43 4f  4e 46 5f 44 49 52 00 4c  |nf.GETCONF_DI=
R.L|
 00061700  50 36 34 5f 4f 46 46 36  34 00 4c 50 42 49 47 5f  |P64_OFF64.LPB=
IG_|
@@ -24883,9 +24883,9 @@
 00062d90  43 53 2d 32 42 45 2f 2f  00 55 4e 49 43 4f 44 45  |CS-2BE//.UNIC=
ODE|
 00062da0  42 49 47 2f 2f 00 00 00  00 00 00 00 00 00 00 00  |BIG//........=
...|
 00062db0  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
-00062dc0  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-00062dd0  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-00062de0  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+00062dc0  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+00062dd0  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+00062de0  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 00062df0  63 2d 32 2e 32 38 2f 6c  69 62 2f 67 63 6f 6e 76  |c-2.28/lib/gc=
onv|
 00062e00  00 67 63 6f 6e 76 5f 62  75 69 6c 74 69 6e 2e 63  |.gconv_builti=
n.c|
 00062e10  00 00 00 00 63 6e 74 20  3c 20 73 69 7a 65 6f 66  |....cnt < siz=
eof|
@@ -24986,9 +24986,9 @@
 00063400  5f 5f 67 63 6f 6e 76 5f  74 72 61 6e 73 66 6f 72  |__gconv_trans=
for|
 00063410  6d 5f 69 6e 74 65 72 6e  61 6c 5f 75 63 73 34 00  |m_internal_uc=
s4.|
 00063420  c0 e0 f0 f8 fc 47 43 4f  4e 56 5f 50 41 54 48 00  |.....GCONV_PA=
TH.|
-00063430  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-00063440  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-00063450  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+00063430  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+00063440  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+00063450  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 00063460  63 2d 32 2e 32 38 2f 6c  69 62 2f 67 63 6f 6e 76  |c-2.28/lib/gc=
onv|
 00063470  2f 67 63 6f 6e 76 2d 6d  6f 64 75 6c 65 73 2e 63  |/gconv-module=
s.c|
 00063480  61 63 68 65 00 67 63 6f  6e 76 5f 64 6c 2e 63 00  |ache.gconv_dl=
.c.|
@@ -28461,9 +28461,9 @@
 00071430  10 00 00 00 01 00 00 00  47 4e 55 00 7f 45 4c 46  |........GNU..=
ELF|
 00071440  01 01 01 03 00 00 00 00  7f 45 4c 46 01 01 01 00  |.........ELF.=
...|
 00071450  00 00 00 00 00 00 00 00  00 00 00 00 00 00 00 00  |.............=
...|
-00071460  2f 67 6e 75 2f 73 74 6f  72 65 2f 78 6a 72 39 72  |/gnu/store/xj=
r9r|
-00071470  76 31 70 34 76 67 67 39  73 63 6c 77 7a 73 61 69  |v1p4vgg9sclwz=
sai|
-00071480  31 37 67 71 69 31 63 31  64 39 6a 2d 67 6c 69 62  |17gqi1c1d9j-g=
lib|
+00071460  2f 67 6e 75 2f 73 74 6f  72 65 2f 67 67 6a 39 31  |/gnu/store/gg=
j91|
+00071470  36 34 61 68 68 6e 31 6b  6d 64 63 79 6c 33 73 6d  |64ahhn1kmdcyl=
3sm|
+00071480  32 37 71 73 78 6b 34 36  68 30 31 2d 67 6c 69 62  |27qsxk46h01-g=
lib|
 00071490  63 2d 32 2e 32 38 2f 6c  69 62 2f 00 64 6c 2d 6c  |c-2.28/lib/.d=
l-l|
 000714a0  6f 6f 6b 75 70 2e 63 00  20 28 6e 6f 20 76 65 72  |ookup.c. (no =
ver|
 000714b0  73 69 6f 6e 20 73 79 6d  62 6f 6c 73 29 00 2c 20  |sion symbols)=
., |
--8<---------------cut here---------------end--------------->8---




Acknowledgement sent to Mark H Weaver <mhw@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#36747; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 24 Aug 2019 20:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.